/**
* app version
* product	// 生产环境
* debug	// 模拟器或者真机测试
* web		// web测试 (设置为debug的情况下，会自动检测是否为web测试，不需要把下面的值手动设置为web)
* wechat   // 微信
*/
APPVERSION = 'product';
/**
* 版本号	 */
VERSION_NUMBER = '1.3.1';
/**
* 数据库中最新版本号，在打开app的时候回去更新
*/
LAST_VERSION_NUMBER = '1.3.1';
/**
* APP名字
*/

APPNAME = '福建省立医院';
/**
* 设备uuid
*/
DEVICE_UUID = '';
/**
* Rest API base url
*/

/*QA*/
////
//WEB_URL = 'http://218.75.108.154:8817/mobile-web';
//IM_URL = 'http://218.75.108.154:8818/doctor-web';
//ASSISTANT_URL = 'http://218.75.108.154:8818/assistant-web';
//NOTICE_URL = 'http://172.16.10.218:8082/mobile-web';

/*product*/
WEB_URL = 'https://mobile3.zhicall.cn/mobile-web';
IM_URL = 'http://zsyw.zhicall.cn:8080/doctor-web';
ASSISTANT_URL = 'http://121.40.106.15:8080/assistant-web';
NOTICE_URL = 'http://115.29.184.248/mobile-web';

/**
* 医院信息
*/
HOSPITAL_ID = 10017;
BRANCH_HOSPITAL_ID = 10335 ;
HOSPITAL_NAME = '福建省立医院';
HOSPITAL_FULL_NAME = '福建省立医院';
/**
* 获取医生头像的URL
*/
EXPERT_ICON_URL = WEB_URL + '/mobile/image/hospital/' + HOSPITAL_ID + '/expert/';
EXPERT_ICON_LOCAL_URL = 'themes/images/expert/';

/*健康资讯*/
NEWS_ID = 10003;
NEWS_URL = 'http://app.ehujia.com/angel-mobile';
NEWS_URL_PIC = NEWS_URL+'/healthNews/newsPic/get/';

ZIXUN_URL = 'http://hera.ehujia.com:8000/hera-web';

/**
* 智能导诊里面的人体图相关配置
*/
MAXW = 0;
MAXH = 0;
NORMALW = 400;

APP_ID = 30001;
CHANNEL_ID = 20001;
//STATISTIC_URL = 'http://172.16.10.222/angel-web/stat-web/collect';
STATISTIC_URL = 'http://stat.ehujia.com/stat-web/collect';

// hacks
if (APPVERSION === 'web') {
// cordova js will try to replace console...
window.nativeConsole = console;
}
baiduMapData = {
hospital: '福建省立医院',
lat: '26.092877',
lon: '119.313791',
address: '福建省福州市东街134号'
};
