var FuckHttp = {
	globalData: {
		deviceId: DEVICE_UUID,
		version: VERSION_NUMBER,
		hospitalId: HOSPITAL_ID
	},
	/**
	 * ajax请求成功回调param.success方法，请求失败回调param.error方法，json.success = false 回调param.doneError方法
	 * @param param
	 */
	asyncPost: function(param) {
		var data = $.extend({}, this.globalData, param.data || {});

		Util.log(param.url);
		Util.log(data);

		$.ajax({
			type : 'POST',
			url  : param.url,
			data : data,
			dataType: 'json'
		}).done(function(json, textStatus, jqXHR) {
			Widget.popupLoadingClose();
			if (!json.success) {
				if (json.errMsg === Views.errorMsg.SESSION_ERROR_CODE) {
					Util.alert(Views.errorMsg.LOGIN_AGAIN, function() {
						StageManager.pushView(Views.loginView);
					}, '温馨提示', '跳转到登录界面');
					return;
				}
				if (typeof param.doneError === 'function') {
					param.doneError(json);
					return;
				}
				Util.alert(json.errMsg);
				return;
			}
			if (typeof param.success === 'function') {
				Util.log(json);
				param.success(json);
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {
			Widget.popupLoadingClose();
			if (typeof param.error === 'function') {
				param.error();
				return;
			}
			Widget.popupToast(Views.errorMsg.NETWORK_ERROR);
		});
	},

	getJSONFromLocation: function() {
		$.ajax({
			url: 'js/json/test.json',
			type: 'POST',
			data: {
				rtime: Util.rtime()
			},
			dataType: 'text',
			success: function(data) {
				Util.log(eval(data)[0]);
			},
			error: function() {
				Util.log('error!');
			}
		});
		/*$.getJSON('js/json/test.json', function(data) {
			console.log( data );
		}).done(function(data) {
			console.log( data );
		}).fail(function() {
			console.log( "error" );
		});*/
	},
    getAPPNote: function (option) {
        var url = WEB_URL + '/mobile/more/appNote';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getRechargeRange: function(option){
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/more/chargeConfig';
        this.asyncPost($.extend({url: url}, option || {}));
    },
	showDepartListView: function(option) {
//		var url = WEB_URL + '/mobile/hospital/' + HOSPITAL_ID + '/depts/info';
		var url = WEB_URL + '/mobile/hospital/' + HOSPITAL_ID + '/depts/reg/5';
		Widget.popupLoading('获取科室列表中...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
	showAllDepartListView: function(option) {
		var url = WEB_URL + '/mobile/hospital/guidingDoctor/depts';
		Widget.popupLoading('获取科室列表中...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getAllDoctors: function (option) {
        var url = WEB_URL + '/mobile/hospital/guidingDoctor/experts';
        Widget.popupLoading('获取专家列表中...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getDoctorsByDept: function(option){
        var url = WEB_URL + '/mobile/hospital/guidingDoctor/dept/experts';
        Widget.popupLoading('获取专家列表中...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
	showDoctorListView: function(option) {
		var param = Util.data('reg.param'),
			url = WEB_URL + '/mobile/hospital/' + HOSPITAL_ID + '/experts/reg/' + param.depart.id,
			regType = param.regType;
		//如果是叫号
		if (regType === 'realTimeCall') {
			regType = '';
		}
		Widget.popupLoading('获取专家列表中...');
		this.asyncPost($.extend({url: url, data: {expertType: param.expertType, regType: param.regType}}, option || {}));
	},
    showBranchDoctorListView: function(option) {
        var param = Util.data('reg.param'),
            url = WEB_URL + '/mobile/special/' + BRANCH_HOSPITAL_ID  + '/'+ param.depart.id + '/byClinicLabel',
            regType = param.regType;
        Widget.popupLoading('获取专家列表中...');
        this.asyncPost($.extend({url: url}, option || {}));
    },

	getDeptSchedule: function(option) {
		var param = Util.data('reg.param'),
			url = WEB_URL + '/mobile/schedule/' + HOSPITAL_ID + '/dept/' + param.depart.id + '/info',
			data = {fetchType: 'SCHEDULE_' + (param.regType === 'RESERVATION' ? 'RESERVATION' : 'REALTIME')};
		Widget.popupLoading('获取科室详情中...');
		this.asyncPost($.extend({url: url, data: data}, option || {}));
	},
	getExpertSchedule: function(option) {
		var param = Util.data('reg.param'),
			url = WEB_URL + '/mobile/schedule/hospital/' + HOSPITAL_ID + '/dept/' + param.depart.id + '/expert/' + param.doctor.id+ '/info',
			data = {fetchType: 'SCHEDULE_RESERVATION'};
		Widget.popupLoading('获取专家详情中...');
		this.asyncPost($.extend({url: url, data: data}, option || {}));
	},
    getBranchExpertSchedule: function(option) {
        var param = Util.data('reg.param'),
            url = WEB_URL + '/mobile/schedule/hospital/' + BRANCH_HOSPITAL_ID + '/dept/' + param.depart.id  + '/expert/'  +param.doctorID+ '/info',
            data = {
                fetchType: param.fetchType,
                expertType:param.expertType,
                hospitalId : BRANCH_HOSPITAL_ID
            };
        Widget.popupLoading('获取专家详情中...');
        this.asyncPost($.extend({url: url, data: data}, option || {}));
    },
    getBranchAllSchedule: function(option) {
        var param = Util.data('reg.param'),
            url = WEB_URL + '/mobile/schedule/' + BRANCH_HOSPITAL_ID + '/dept/' + param.depart.id + '/info',
            data = {
                fetchType: param.fetchType,
                expertType:param.expertType,
                hospitalId : BRANCH_HOSPITAL_ID
            };
        Widget.popupLoading('获取专家详情中...');
        this.asyncPost($.extend({url: url, data: data}, option || {}));
    },
    getNewSchedule: function(option) {
        var param = Util.data('reg.param'),
            url = WEB_URL + '/mobile/schedule/hospital/' + HOSPITAL_ID + '/dept/' + param.depart.id + '/oneDay';
        Widget.popupLoading('正在加载...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getNewBranchSchedule: function(option) {
        var param = Util.data('reg.param'),
            url = WEB_URL + '/mobile/schedule/hospital/' + BRANCH_HOSPITAL_ID + '/dept/' + param.depart.id + '/oneDay';
        Widget.popupLoading('正在加载...');
        this.asyncPost($.extend({url: url }, option || {}));
    },
	getLastNum: function(option) {
		var param = Util.data('reg.param'),
			url = WEB_URL + '/mobile/guahao/nums/left',
			data = {
				scheduleId: param.schedule.scheduleId,
				regDate: param.schedule.regDate,
				regTime: param.schedule.regTime,
				timeline: param.schedule.selTime.timeline
			};
		Widget.popupLoading('获取专家详情中...');
		this.asyncPost($.extend({url: url, data: data}, option || {}));
	},
	confirmClinic: function(option) {
		var param = Util.data('reg.param'),
			url = WEB_URL + '/mobile/guahao/apply/new',
            info =  param.info ,

			msg = (param.regType === 'RESERVATION' ? '预约中...' : '挂号中...');
        if(param.hospital == "GRINM"){

            data = StageManager.getCurrentView().getClinicParam();
        }else{
            data = StageManager.getCurrentView().getBranchClinicParam();
        }
		Widget.popupLoading(msg);
		this.asyncPost($.extend({url: url, data: data}, option || {}));
	},
	getMyCallNum: function(option) {
		var url = WEB_URL + '/mobile/callnum/callNumList/' + HOSPITAL_ID + '/' + UserProfile.id + '/-1';
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getCallNums: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/callnum/myCallNum/' + UserProfile.id + '/' + HOSPITAL_ID;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getMedicalNums: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/special/getMedicalQueue';
        this.asyncPost($.extend({url: url}, option || {}));
    },
	login: function(option) {
		var url = WEB_URL + '/mobile/user/login';
		this.asyncPost($.extend({url: url}, option || {}));
	},
    regIM : function(option){
        var url = IM_URL + '/im/account/regiser';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getIM : function(option){
        var url = IM_URL + '/im/account/query';
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getMembers: function(option) {
		var url = WEB_URL + '/mobile/patient/get/familyMembers/true/' + UserProfile.id + '/' + HOSPITAL_ID;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getCards: function(option) {
		var url = WEB_URL + '/mobile/medicalcard/get/underAccount/' + HOSPITAL_ID + '/' + UserProfile.id;
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getCardTypes: function(option){
        var url = WEB_URL + '/mobile/medicalcard/cardTypes/get/' + HOSPITAL_ID;
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getCardSecurityCode: function(option) {
		Widget.popupLoading('正在获取验证码...');
		var url = WEB_URL + '/mobile/medicalcard/bind/verifycode';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	addCard: function(option) {
		var url = WEB_URL + '/mobile/medicalcard/bind';
		this.asyncPost($.extend({url: url}, option || {}));
	},
    addCardNew: function(option) {
        var url = WEB_URL + '/mobile/patients/bind/familyMember';
        this.asyncPost($.extend({url: url}, option || {}));
    },
	updateCard: function(option) {
		var url = WEB_URL + '/mobile/medicalcard/update';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	deleteCard: function(option) {
		var url = WEB_URL+'/mobile/medicalcard/unBind/'+HOSPITAL_ID+'/'+ option.cardId;
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getCardScode: function(option){
        Widget.popupLoading('正在获取...');
//        var url = WEB_URL+'/mobile/medicalcard/bind/verifycode';
        var url = WEB_URL+'/mobile/barCode/his/verify';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    contactType: function(option){
        Widget.popupLoading('正在获取...');
//        var url = WEB_URL+'/mobile/medicalcard/bind/verifycode';
        var url = WEB_URL+'/portal/app/nurses/verifycode';
        this.asyncPost($.extend({url: url}, option || {}));
    },

	ajaxRegs: function(option) {
		var type = option,
			filterOption = Util.data('filter.option') || {},
			organization = filterOption.organization || {},
			yearMonth = '';
		//进入页面，不是点更多
		if (type === 'index') {
			yearMonth = filterOption.time || '';
		} else {
			yearMonth = option.yearMonth;
		}
		Widget.popupLoading('正在获取挂号记录');
		this.asyncPost($.extend({data: {yearMonth: yearMonth}}, option || {}));
	},
	addMember: function(option) {
		option.data.isFamilyMember=true;
		option.data.accountId=UserProfile.id;
		Widget.popupLoading('正在提交数据...');
		var url = WEB_URL+'/mobile/patient/bind';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	submitMember: function(option) {
		delete option.data.medicalCards;
		option.data.isFamilyMember = true;
		option.data.accountId = UserProfile.id;
        option.data.hospitalId = HOSPITAL_ID;
		Widget.popupLoading('正在提交数据...');
		var url = WEB_URL+'/mobile/patient/update';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	deleteMember: function(option) {
		var url = WEB_URL + "/mobile/patient/unbind/"+HOSPITAL_ID+'/'+ option.memberId;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getRegisterCode: function(option) {
		Widget.popupLoading('正在获取验证码...');
		var url = WEB_URL + '/mobile/user/register/verifycode/'+option.mobileNo;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getPwdCode: function(option) {
		Widget.popupLoading('正在获取验证码...');
		var url = WEB_URL + '/mobile/user/forgetpwd/verifycode/'+option.mobileNo;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	goRegister: function(option) {
		var url = WEB_URL + '/mobile/user/register';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	goForgotPwd: function(option) {
		var url = WEB_URL + '/mobile/user/forgetpwd/reset';
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getPaperType: function(option) {
        if (option.title) {
            Widget.popupLoading(option.title);
        }
        var url = WEB_URL + '/portal/reservation/paperType';
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getResetAccountSecCode: function(option) {
		Widget.popupLoading('正在获取验证码');
		var url = WEB_URL+'/mobile/user/reset/verifycode/' + option.mobileNo;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	resetAccountAjax: function(option) {
		Widget.popupLoading('更新中，请稍候...');
		var param = option.data;
		var url = WEB_URL+'/mobile/user/reset/'+UserProfile.id+'/'+param.oldAccount+'/'+param.oldPassword+'/'+param.mobileNo+'/'+param.password+'/'+param.verifyCode;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	changePassword: function(option){
		Widget.popupLoading('重置中，请稍候...');
		var url = WEB_URL + '/mobile/user/updatepwd/new';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	submitFeedback: function(option) {
		Widget.popupLoading("正在提交数据...");
		var url = WEB_URL + '/mobile/more/suggestionFeedback/add';
		this.asyncPost($.extend({url: url}, option || {}));
	},
    ajaxReportRange: function(option) {
        var url = WEB_URL + '/mobile/reports/getReportDate';
        Widget.popupLoading();
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getReservationTimeSetting: function(option) {
        var url = WEB_URL + '/portal/reservation/getReservationTimeSetting';
        Widget.popupLoading();
        this.asyncPost($.extend({url: url}, option || {}));
    },
	ajaxCost: function(option) {
		var url = WEB_URL + '/mobile/reports/expenseByPatient/' + HOSPITAL_ID + '/-1' + '/' + option.memberId;
		if (option.title) {
			Widget.popupLoading(option.title);
		}
		this.asyncPost($.extend({url: url}, option || {}));
	},
	ajaxCostRefresh: function(option) {
		var url = WEB_URL + '/mobile/reports/expense/refreshByPatient/' + HOSPITAL_ID + '/-1' + '/' + option.memberId;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getCostInfo: function(option) {
		var url = WEB_URL+'/mobile/reports/expense/detail/' + option.data.id;
		Widget.popupLoading('正在获取详细信息...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
    ajaxMzSettleRecords: function(option) {
        var url = WEB_URL + '/mobile/payment/bill/cur/list';
        if (option.title) {
            Widget.popupLoading(option.title);
        }
        this.asyncPost($.extend({url: url}, option || {}));
    },
    ajaxMzHistoryRecords: function(option) {
        var url = WEB_URL + '/mobile/payment/bill/histroy/list';
        if (option.title) {
            Widget.popupLoading(option.title);
        }
        this.asyncPost($.extend({url: url}, option || {}));
    },
	ajaxPrescription: function(option) {
		var url = WEB_URL + '/mobile/reports/presByPatient/' + HOSPITAL_ID + '/-1' + '/' + option.memberId;
		if (option.title) {
			Widget.popupLoading(option.title);
		}
		this.asyncPost($.extend({url: url}, option || {}));
	},
	ajaxPrescriptionRefresh: function(option) {
		var url = WEB_URL + '/mobile/reports/prescriptionByPatient/refresh/' + HOSPITAL_ID + '/-1' + '/' + option.memberId;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getPrescriptionInfo: function(option) {
		var url = WEB_URL+'/mobile/reports/prescription/detail/' + HOSPITAL_ID + '/' + option.hisId;
		Widget.popupLoading('正在获取详细信息...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
	loadHospitalNote: function(option) {
		var url = WEB_URL + '/mobile/more/hospitalNote/info';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	loadLastTwoRegRecord: function(option) {
		var url = WEB_URL + '/mobile/guahao/records/latest/' + HOSPITAL_ID + '/' + UserProfile.id + '/2';
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getFaq: function(option) {
		var url = WEB_URL + '/mobile/more/commonQuestion/' + HOSPITAL_ID;
		Widget.popupLoading('努力获取中...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getHistoryRecord: function(option) {
		Widget.popupLoading('获取历史记录...');
		this.asyncPost(option || {});
	},
    checkVersion: function(option) {
        var _system = 'android';
        if( mobile_system === 'ios' ) {
            _system = 'iphone';
        }

        var url = ASSISTANT_URL + '/mobile/more/version/current/'+HOSPITAL_ID+'/' + _system;
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getAppointmentRecords: function(option) {
        Widget.popupLoading('信息获取中...');
        var param =  Util.data('reg.param');
        var hosptial = param.hospital , hosptialID;
        if(hosptial == "GRINM"){
            hosptialID = HOSPITAL_ID ;
        }else{
            hosptialID =  BRANCH_HOSPITAL_ID ;
        }

		var url = WEB_URL + '/mobile/reports/regOnline/' + hosptialID + '/-1/' + option.memberId + '/0';
        this.asyncPost($.extend({url: url}, option || {}));
	},
	cancelAppointment: function(option) {
		var url = WEB_URL + '/mobile/guahao/cancel/' + HOSPITAL_ID + '/' + option.id;
		Widget.popupLoading('正在取消预约...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
    updateRegStatus: function(option) {
        var url = WEB_URL + '/mobile/special/queryRegistrationNo';
        Widget.popupLoading('正在更新状态...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getDeptAndExperts: function(option) {
		var url = WEB_URL + '/mobile/hospital/' + HOSPITAL_ID + '/experts/hospital/reg';
		Widget.popupLoading('信息获取中...');
		this.asyncPost($.extend({url: url}, option || {}));
	},
    getAllDeptAndExperts: function(option){
        var url = WEB_URL + '/mobile/hospital/guidingDoctor/deptAndDoctors';
        Widget.popupLoading('信息获取中...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
	getNewsClasses: function(option, force) {
		Widget.popupLoading('正在获取');

		var url = NEWS_URL + '/healthNews/catalogs/get/'+NEWS_ID;

		if( force ) {
			this.asyncPost($.extend({url: url}, option || {}));
		} else {
			var newsClasses = Util.data('newsCategories'), updateTime = Util.data('newsCategories.updateTime');
			if( newsClasses && (new Date()).getTime() - updateTime < Util.MILLIS_10_MIN ) {
				option.success(newsClasses, true);
			} else {
				this.asyncPost($.extend({url: url}, option || {}));
			}
		}
	},
	getNewsByClassId: function(option, force) {
		Widget.popupLoading('正在获取');
		var url = NEWS_URL + '/healthNews/get';
		if( force ) {
			this.asyncPost($.extend({url: url}, option || {}));
		} else {
			var news = CACHE.getNewsByClassId(option.id);
			if( news && (new Date()).getTime() - news.updateTime < Util.MILLIS_10_MIN ) {
				option.success(news.data, true);
			} else {
				this.asyncPost($.extend({url: url}, option || {}));
			}
		}
	},
	getNewsMoreByClassId: function(option) {
		this.asyncPost($.extend({url: NEWS_URL+'/healthNews/get'}, option || {}));		
	},
	getNewsInfo: function(option) {
		Widget.popupLoading('正在获取');
		var cacheInfo = CACHE.getNewsInfofromCache(option.id);
		if( cacheInfo ) {
			option.success(cacheInfo, true);
		} else {
			var url = NEWS_URL + '/healthNews/detail/get/' + option.id;
			this.asyncPost($.extend({url: url}, option || {}));
		}
	},

	/*自助诊断*/
	getRentiBodyList: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/guide/bodypart/first/" + option.partType;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getBodypartSecond: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/guide/bodypart/second/" + option.code + "/" + option.partType;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getSymptoms: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/guide/symptoms/" + option.id;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getSymptomResult: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/guide/disease/matched/" + option.ids;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	getDiseaseDetail: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/guide/disease/detail/" + option._id + '/matchedDept/' + HOSPITAL_ID;
		this.asyncPost($.extend({url: url}, option || {}));
	},
	
	/*院内导航*/
	getBuildingDetail: function(option) {
		Widget.popupLoading("正在获取数据...");
		var url = WEB_URL + "/mobile/more/floorNavigation/" + HOSPITAL_ID +'/'+ option.buildingId;
		this.asyncPost($.extend({url: url}, option || {}));
	},

    /*缴费充值*/
    checkOperatorBill: function(option) {
        Widget.popupLoading("正在检查票据号...");
        var url = WEB_URL + "/mobile/special/operatorBill";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    doRecharge: function(option) {
        Widget.popupLoading("正在提交...");
        var url = WEB_URL + "/mobile/medicalcard/charge";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getCardBalance: function(option) {
        var url = WEB_URL + "/mobile/medicalcard/get/balance";
        this.asyncPost($.extend({url: url}, option || {}));
    },

    ajaxRechargeRecord: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/medicalcard/get/chargeRecords";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getRechargeRecordInfo: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/medicalcard/get/chargeRecords/detail/"+ option.data.id;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    ajaxChargeResult: function(option) {
        Widget.popupLoading("正在获取充值结果...");
        var url = WEB_URL + "/mobile/medicalcard/get/chargeResult";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    goRechargeAtInfoPage: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/medicalcard/charge/goPay";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    updateRechargeStatus: function(option) {
        Widget.popupLoading("正在更新...");
        var url = WEB_URL + "/mobile/special/updateChargeException";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    /*消息中心*/
    getMsgType: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/message/types";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getMsgByType: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/message/list";
        this.asyncPost($.extend({url: url}, option || {}));
    },



    readMsg: function(option) {
        var url = WEB_URL + "/mobile/message/read/" + option.data.id;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    deleteMsg: function(option) {
        Widget.popupLoading("正在删除...");
        var url = WEB_URL + "/mobile/message/delete/" + option.data.id;
        this.asyncPost($.extend({url: url}, option || {}));
    },

  /*************护工预约****************/
  hospitalNote: function(option) {
      var url = WEB_URL + "/mobile/more/hospitalNote/info";
      this.asyncPost($.extend({url: url}, option || {}));
  },

    nursesList: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses";
        this.asyncPost($.extend({url: url}, option || {}));
    },

    commentList: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/comment/list";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    nursesYuyueList: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/yuyue/list";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    nursesYuyue: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/yuyue";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    contacts: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/contacts";
        this.asyncPost($.extend({url: url}, option || {}));
    },
   addcontacts: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/contacts/add";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    updateContacts: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/contacts/update";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    cancelYuyue: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/yuyue/cancel";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    nursesComment: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/nursesComment/add";
        this.asyncPost($.extend({url: url}, option || {}));
    },

    myFavories: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/myFavories";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    addMyFavories: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/myFavories/add";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    cancelMyFavories: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/myFavories/cancel";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    nursesNoticeList: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/nursesNotice/list";
        this.asyncPost($.extend({url: url}, option || {}));
    },
    nursesNoticeGet: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/portal/app/nurses/nursesNotice/get";
        this.asyncPost($.extend({url: url}, option || {}));
    },



    // 获取分院科室

    branchDepts: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL + "/mobile/hospital/depts";
        this.asyncPost($.extend({url: url}, option || {}));
    },









    /********* 资讯 *********/
    getZixun: function(option){
        var url = ZIXUN_URL + '/resident/healthNews/catalogs/get/' + HOSPITAL_ID;
        Widget.popupLoading('正在获取信息...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getZixunList: function(option){
        var url = ZIXUN_URL + '/resident/healthNews/' + option.data.id;
        Widget.popupLoading('正在获取信息...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getZixunDetail: function(option){
        var url = ZIXUN_URL + '/resident/healthNews/detail/get/' + option.data.id;
        Widget.popupLoading('正在获取信息...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    //检查检验记录
    getCheckSecCode: function(option) {
        Widget.popupLoading('正在获取验证码');
//        var url = WEB_URL+'/mobile/reports/his/sendCode';
        var url = WEB_URL+'/mobile/barCode/his/verify';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    ajaxCheckup: function(option) {
        Widget.popupLoading("正在加载...");
        var url = WEB_URL+'/mobile/reports/assayByPatient/' + HOSPITAL_ID + '/' + '-1' + '/' + option.memberId;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    ajaxCheckInspect: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/reports/pacs/' + HOSPITAL_ID + '/' + '-1' + '/' + option.memberId;
        this.asyncPost($.extend({url: url}, option || {}));
    },

    //住院费用记录
    ajaxZyCostRecord: function(option) {
        var url = WEB_URL+'/mobile/reports/inPatientFee/' +  + HOSPITAL_ID  + '/' + '-1' + '/' + option.memberId;
        Widget.popupLoading('正在获取详细信息...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
//    ajaxZyCostRecord: function(option) {
//        var url = WEB_URL+'/mobile/reports/inPatientFeeWithDetail/' +  + HOSPITAL_ID + '/-1' + '/' + option.memberId;
//        Widget.popupLoading('正在获取详细信息...');
//        this.asyncPost($.extend({url: url}, option || {}));
//    },
    ajaxZyCostInfo: function(option) {
        var url = WEB_URL+'/mobile/reports/inPatientFee/detail/' + option.data.id;
        Widget.popupLoading('正在获取详细信息...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    payForBill:function(option) {
        var url = WEB_URL+'/mobile/payment/fund';
        Widget.popupLoading('正在结算...');
        this.asyncPost($.extend({url: url}, option || {}));
    },
    /*满意度调查*/
    getInspectTopic: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/survey/get/topic';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getFirstSubject: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/mobile/survey/get/subject/start';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getInspect: function(option) {
        Widget.popupLoading('正在获取问题...');
        var url = WEB_URL + '/mobile/survey/subject/' + option.id;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    commitInspect: function(option) {
        Widget.popupLoading('正在提交...');
        var url = WEB_URL + '/mobile/survey/answer';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    verifySurveyCode: function(option) {
        Widget.popupLoading('正在验证...');
        var url = WEB_URL + '/mobile/survey/topic/verifySurveyCode';
        this.asyncPost($.extend({url: url}, option || {}));
    },

    //病例配送
    getZyInfo: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/getInpatientInfo';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getcopyMaterial: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/copyMaterial';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getExpressProvinceAndCity: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/getExpressProvinceAndCity';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    provinceAndCit: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/getExpressInfoByProvinceAndCity';
        this.asyncPost($.extend({url: url}, option || {}));
    },

    updateReservationLogistic: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/updateReservationLogistic';
        this.asyncPost($.extend({url: url}, option || {}));
    },



    getmedicalUse: function(option) {
        Widget.popupLoading('正在加载...');
        var url = WEB_URL + '/portal/reservation/medicalUse';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getExpressInfo: function(option) {
        var url = WEB_URL + '/portal/reservation/expressInfo';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    confirmReservation: function(option) {
        Widget.popupLoading('正在提交...');
        var url = WEB_URL + '/portal/reservation/confirmReservation';
        if (option.data.businessNO) {
            url = WEB_URL + '/portal/reservation/updateReservation/' + option.data.businessNO;
        }
        this.asyncPost($.extend({url: url}, option || {}));
    },
    reservationTopay:function(option) {
        Widget.popupLoading('正在提交...');
        var url = WEB_URL + '/portal/reservation/topay';
//        var url = WEB_URL + '/portal/reservation/topay/' + option.businessNO;\
        this.asyncPost($.extend({url: url}, option || {}));
    },
    deliveryAddress:function(option) {
        Widget.popupLoading('正在提交...');
        var url = WEB_URL + '/portal/reservation/addMedicalSendDeliveryAddress';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    updateMedical:function(option) {
        Widget.popupLoading('正在提交...');
        var url = WEB_URL + '/portal/reservation/updateMedicalSendDeliveryAddress';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    reservationRecord: function(option) {
        Widget.popupLoading('正在获取记录...');
        var url = WEB_URL + '/portal/reservation/reservationInfo/'+HOSPITAL_ID+'/'+UserProfile.id ;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    provinceAndCity: function(option) {
        Widget.popupLoading('正在获取记录...');
        var url = WEB_URL + '/portal/reservation/getExpressInfoByProvinceAndCity';
        this.asyncPost($.extend({url: url}, option || {}));
    },
    getMedicalSendDeliveryAddress: function(option) {
        Widget.popupLoading('正在获取记录...');
        var url = WEB_URL + '/portal/reservation/getMedicalSendDeliveryAddress' ;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    cancellcoation: function(option) {
        Widget.popupLoading('正在获取记录...');
        var url = WEB_URL + '/portal/reservation/delMedicalSendDeliveryAddress' ;
        this.asyncPost($.extend({url: url}, option || {}));
    },
    editLocation: function(option) {
        Widget.popupLoading('正在获取记录...');
        var url = WEB_URL + '/portal/reservation/delMedicalSendDeliveryAddress' ;
        this.asyncPost($.extend({url: url}, option || {}));
    },


    expressDetail: function(option) {
        Widget.popupLoading('正在获取物流信息...');
        var url = WEB_URL + '/portal/reservation/expressDetail/' + option.expressNo;
        this.asyncPost($.extend({url: url}, option || {}));
    }
};

/**
名称，                 key
账号信息,              account;
成员，                 members；
就诊卡，               cards；
医保类型（就诊卡类型） carddTypes;
**/
var CACHE = {
	getDepartById: function(id) {
		var i, departs = Util.data('departs');
		if( APPVERSION === 'web' ) {
			departs = TestData.departs;
		}
		for(i=0;i<departs.length;i++) {
			if( id-0 === departs[i].id ){
				return departs[i];
			}
		}
		return null;
	},
	changeDeptAction: function(actionName) {
		var data = Util.data('reg.param') || {};
		data.departAction = actionName;
		Util.data('reg.param', data);
	},
	changeDoctorAction: function(actionName) {
		var data = Util.data('reg.param') || {};
		data.doctorAction = actionName;
		Util.data('reg.param', data);
	},
	changeDepart: function(depart) {
		var param = Util.data('reg.param');
		param.depart = depart;
		Util.data('reg.param', param);
	},
	changeDoctor: function(doctor, departId) {
		var param = Util.data('reg.param');
		param.doctor = doctor;
        if(departId){
            param.depart = {id: departId}
        }
		Util.data('reg.param', param);
	},
//    findDepartByDoctor: function(doctor) {
//        var departs = Util.data('doctors'), id = doctor.id, dept;
//        for(var i=0; i<departs.length; i++) {
//            if(departs[i].doctors){
//                var doctors = departs[i].doctors;
//                for(var j = 0;j < doctors.length; j++){
//                    if( id-0 === doctors[j].id ){
//                        dept = $.extend({}, departs[i]);
////                        dept.doctors = undefined;
//                        return dept;
//                    }
//                }
//            }
//        }
//    },
    getDoctorByDepartAndId: function (id) {
        var i, departs = Util.data('doctors');
        for(i=0;i<departs.length;i++) {
            if(departs[i].doctors){
                var doctors = departs[i].doctors;
                for(var j = 0;j < doctors.length; j++){
                    if( id-0 === doctors[j].id ){
                        return doctors[j];
                    }
                }
            }else {
                if( id-0 === departs[i].id ){
                    return departs[i];
                }
            }

        }
        return null;
    },
	getDoctorById: function(id) {
		var i, doctors = Util.data('doctors');
		for(i=0;i<doctors.length;i++) {
			if( id-0 === doctors[i].id ){
				return doctors[i];
			}
		}
		return null;
	},
	changeDeptSourceType: function(sourceType) {
		var data = Util.data('reg.param') || {};
		data.sourceType = sourceType;
		Util.data('reg.param', data);
	},
	changeSchedule: function(schedule) {
		var data = Util.data('reg.param') || {};
		data.schedule = schedule;
		Util.data('reg.param', data);
	},
	clearRegCache: function() {
		//挂号参数
		Util.data('reg.param', '');
		//排班
		Util.data('schedule.list');
	},
	appStartOrLogoutClearCache: function() {
		this.clearRegCache();
	},
	getCardById: function(id) {
		Util.log(id);
		var cards = Util.data('cards'), i;
		for( i in cards ) {
			if( cards[i].id === id-0 ) {
				return cards[i];
			}
		}
		return null;
	},
	deleteCard: function(id) {
		var cards = Util.data('cards');
		for (var i = 0; i < cards.length; i++) {
			if ( id-0 === cards[i].id-0 ) {
				cards.splice(i,1);
				break;
			}
		}
		Util.data('cards',cards);
	},
	changeCheckStatus: function(id, pageName) {
		var list = Util.data(pageName + '.data'),
			flag = false;
		for (var i = 0; i < list.length; i++) {
			for (var j = 0; j < list[i].reportList.length; j++) {
				if (list[i].reportList[j].id - 0 === id - 0) {
					list[i].reportList[j].readType = '1';
					flag = true;
					break;
				}
			}
			if (flag) {
				break;
			}
		}
		Util.data(pageName + '.data', list);
	},
	clearMedicineReadStatus: function(id) {
		var data = Util.data('prescriptionRecordView.data');
		for (var i = 0; i < data.length; i++) {
			var flag = false;
			for (var j = 0; j < data[i].items.length; j++) {
				if (data[i].items[j].id === id * 1) {
					data[i].items[j].readType = "1";
					flag = true;
					break;
				}
			}
			if (flag) {
				break;
			}
		}
		Util.data('prescriptionRecordView.data', data);
	},
	getScheduleById: function(id) {
		var list = Util.data('schedule.list'),
			schedule = null;
		if (!list || list.length === 0) {
			return null;
		}
		for (var i = 0; i < list.length; i++) {
			if (id - 0 === list[i].scheduleId) {
				schedule = list[i];
				break;
			}
		}
		return schedule;
	},
	getScheduleTimeByTimeId: function(schedule, timeId) {
		if (!schedule || !schedule.times || schedule.times.length === 0) {
			return null;
		}
		var time = null;
		for (var i = 0; i < schedule.times.length; i++) {
			if (timeId - 0 === schedule.times[i].id) {
				time = schedule.times[i];
				break;
			}
		}
		return time;
	},
    ajaxMembers: function(callback) {
        FuckHttp.getMembers({
            success: function(json) {
                UserProfile.refreshAccounts(json.data);
                Util.data('members', json.data);
                if(callback) callback(json.data);
            }
        });
    },
    ajaxCardTypes: function(callback){
        FuckHttp.getCardTypes({
            success: function(json) {
                Util.data('cache.cardTypes', json.data);
                if(callback) callback(json.data);
            }
        });
    },
    ajaxCards: function(callback, errorCallback) {
        FuckHttp.getCards({
            success: function(json){
                var i, cards = json.data;
                for( i=0;i<cards.length; i++ ) {
                    var member = UserProfile.findMember(cards[i].patientId);
                    if( !member ) cards[i].patientName = '';
                    else cards[i].patientName = member.name;
                }
                Util.data('cards', cards);
                if(callback) callback(json.data);
            }
        });
    },
    getPaperChangeValueAndKeyTypes: function() {
        //map
        return Util.data('paperChangeType');
    },
    addCardToCardCache: function(card) {
        if (!card) {
            return;
        }
        var cards = Util.data('cards') || [],
            flag = true;
        for (var i = 0; i < cards.length; i++) {
            if (cards[i].id === card.id) {
                cards[i] = card;
                flag = false;
                break;
            }
        }
        if (flag) {
            cards.push(card);
        }
        Util.data('cards', cards);
    },
    getDeptByInfoId: function(id) {
		var data = Util.data('doctors');
		for (var i = 0; i < data.length; i++) {
			if (id - 0 === data[i].id) {
				return data[i];
			}
		}
		return null;
	},
	getDoctorByInfoId: function(dept, id) {
		if (!dept || !dept.doctors || dept.doctors.length === 0) {
			return null;
		}
		for (var i = 0; i < dept.doctors.length; i++) {
			if (id - 0 === dept.doctors[i].id) {
				return dept.doctors;
			}
		}
		return null;
	},

	/*健康资讯*/
	getNewsByClassId: function(id) {
		var news = Util.data('news');
		if( !news ) {
			news = {};
			Util.data('news',{});
		}
		return (id in news)?news[id]:'';
	},
	setNewsByClassId: function(id,param) {
		var news = Util.data('news');
		if( !news ) {
			news = {};
		}

		news[id] = param;

		Util.data('news', news);
	},
	addMoreNewsByClassId: function(id,param) {
		var news = Util.data('news'), _news = news[id];

		_news.pageNum = param.pageNum;
		_news.pageSize = param.pageSize;
		_news.data.data = _news.data.data.concat(param.data.data);

		news[id] = _news;

		Util.data('news', news);
	},
	clearNews: function() {
		var newsClasses =  Util.data('newsCategories'), news = Util.data('news'), _news = {}, i;

		if( !news ) {
			news = {};
		}

		for( i=0;i<newsClasses.data.length;i++ ) {
			var item = newsClasses.data[i];
			if( item.id in news ) {
				_news[item.id+''] = news[item.id];
			}
		}

		Util.data('news', _news);
		return;
	},
	getNewsInfofromCache: function(id) {
		var newsList = Util.data('newsList');
		if(!newsList) {
			return '';
		}
		if( newsList[id+''] ) {
			return newsList[id+''];
		}
		return '';
	},
	setNewsInfo: function(json) {
		var newsList = Util.data('newsList');
		if(!newsList) {
			newsList = {};
		}
		newsList[json.data.id+''] = json;

		Util.data('newsList', newsList);
	},
    checkMemberIsExist: function(member) {
        var members = UserProfile.accounts;
        for( var i = 0; i < members.length; i++){
            var data = members[i];
            if(member.name === data.name){
                return true;
            }
            if(member.paperType === data.paperType && member.paperNo && member.paperNo === data.paperNo){
                return true;
            }
        }
        return false;
    },
    checkMemberIsRepeate: function(member) {
        var members = UserProfile.accounts;
        for( var i = 0; i < members.length; i++){
            var data = members[i];
            if(member.id != data.id && member.name === data.name){
                return true;
            }
            if( member.id != data.id && member.paperType === data.paperType && member.paperNo && member.paperNo === data.paperNo){
                return true;
            }
        }
        return false;
    },
    cacheExpressInfo: function() {
//        FuckHttp.getExpressInfo({
//            success: function(json) {
//                Util.data('expressInfo', json.data);
//            }
//        })
    },
    getExpressInfo: function() {
        return Util.data('expressInfo');
    }
};

// UserProfile
//
var UserProfile = {
	loginState: false,
	id: 1,
	code:'',
	accounts: [],

	setUserLoggedIn: function() {
		this.loginState = true;
		if (!this.accounts)
			this.accounts = [];
		Util.data('profile.lastLoginTime', new Date()-0);
	},



	setUserLogout: function() {
		this.loginState = false;
		this.id = '';
		this.accounts = [];
		Util.data('profile.user', '');
        Util.data('cache.personalInfo', '');
        Util.data('cache.card', '');
        Util.data('cards', '');
        Util.data('IM', '');
	},

	isUserLoggedIn: function() {
		if ( this.loginState ) {
			return true;
		}

		if( Util.data('profile.user') ){
			this.loginState = true;
			$.extend(UserProfile,Util.data('profile.user'));
			return true;
		}

		return false;
	},

	//成员相关方法
	findMember: function(accountId) {
		if (!this.accounts) {
			return null;
		}
		for (var i = 0, len = this.accounts.length; i < len; ++i)
			if ( accountId-0 === this.accounts[i].id-0 )
				return this.accounts[i];
		return null;
	},
	deleteMember: function(accountId) {
		for (var i = 0, len = this.accounts.length; i < len; ++i) {
			if ( accountId-0 === this.accounts[i].id-0 ) {
				this.accounts.splice(i,1);
				break;
			}
		}
		this.saveCache();
	},
    deleteCard: function(cardNo) {
        var cards = Util.data('cards');
        for (var i = 0; i < cards.length; i++) {
            if ( cardNo === cards[i].medicalCardNo ) {
                cards.splice(i,1);
                break;
            }
        }
        Util.data('cards', cards);
        Util.data('cache.card', '');
    },
	getCurrentMember: function() {
		return Util.data('cache.personalInfo');
	},
	setCurrentMember: function(id) {
		var member;
		if( typeof(id) === 'object' ) {
			member = this.findMember(id.id);
		} else {
			id = id - 0;
			member = this.findMember(id);
		}
		if( member ) {
			Util.data('cache.personalInfo',member);
		}
	},
    //成员相关方法
    getMemberById: function(id) {
        var members, i;
        if(APPVERSION === 'web') {
            members = TestData.userProfile.accounts;
        } else {
            members = this.accounts;
        }

        for( i in members ) {
            if( members[i].id - 0 === id - 0 ) {
                return members[i];
            }
        }

        return null;
    },
	isRemindPwd: function() {
		if ( Util.data('remindPassword') ) {
			return true;
		}
		return false;
	},
	setUserRemindPassword: function(params) {
		Util.data('remindPassword', params);
	},
	clearUserRemindPassword: function() {
		Util.data('remindPassword', '');
	},

	isAutoLogin: function() {
		if ( Util.data('autoLogin') ) {
			return true;
		}
		return false;
	},
	setUserAutoLogin: function() {
		Util.data('profile.user', {
			id: this.id,
			code:this.code,
			accounts: this.accounts
		});
		Util.data('autoLogin', true);
	},
	clearUserAutoLogin: function() {
		Util.data('profile.user', '');
//		Util.data('autoLogin', '');
	},

	saveCache: function() {
		Util.data('profile.user', {
			id: this.id,
			code:this.code,
			accounts: this.accounts
		});
		var member = Util.data('cache.personalInfo');


		if( !member ) {
			if( this.accounts.length > 0 ) {
				Util.data('cache.personalInfo',this.accounts[0]);
                Util.data('cache.Info',this.accounts[0]);
			} else {
				Util.data('cache.personalInfo','');
			}
			return;
		}
		for (var i = 0, len = this.accounts.length; i < len; ++i) {
			if ( member.id-0 === this.accounts[i].id-0 ) {
				Util.data('cache.personalInfo',this.accounts[i]);
				return;
			}
		}
		if( this.accounts.length > 0 ) {
			Util.data('cache.personalInfo',this.accounts[0]);
		} else {
			Util.data('cache.personalInfo','');
		}
	},
	refreshAccounts: function(accounts) {
		this.accounts = accounts;
		this.saveCache();
	},
	findCardById: function(id) {
		var cards;
		if( APPVERSION === 'web' ) {
			cards = TestData.medicalCards;
		} else {
			cards = Util.data('cards');
		}
		if( cards && cards.length > 0 ) {
			for( var i=0;i<cards.length;i++ ) {
				if( cards[i].id-0 === id-0 ) {
					return cards[i];
				}
			}
		}
		return false;
	},
    findCardByNo: function(number) {
        var cards;
        if( APPVERSION === 'web' ) {
            cards = TestData.medicalCards;
        } else {
            cards = Util.data('cards');
        }
        if( cards && cards.length > 0 ) {
            for( var i=0;i<cards.length;i++ ) {
                if( cards[i].medicalCardNo === number && cards[i].medicalCardValid) {
                    return cards[i];
                }
            }
        }
        return false;
    },
    findTrueCards: function(type) {
        var cards;
        if( APPVERSION === 'web' ) {
            cards = TestData.medicalCards;
        } else {
            cards = Util.data('cards') || [];
        }
        var newCards = [];
        if( cards && cards.length > 0 ) {
            if(type === '住院号'){
                for( var i=0;i<cards.length;i++ ) {
                    if( cards[i].medicalCardValid && cards[i].medicalCardType === '住院号') {
                        newCards.push(cards[i]);
                    }
                }
            }else{
                for( var i=0;i<cards.length;i++ ) {
                    if( cards[i].medicalCardValid) {
                        newCards.push(cards[i]);
                    }
                }
            }
        }
        return newCards;
    },
    findCardsNumByMember: function(id) {
        var cards, reslut = 0;
        if( APPVERSION === 'web' ) {
            cards = TestData.medicalCards;
        } else {
            cards = Util.data('cards');
        }
        if( cards && cards.length > 0 ) {
            for( var i=0;i<cards.length;i++ ) {
                if( cards[i].patientId-0 === id-0 ) {
                    reslut += 1;
                }
            }
        }
        return reslut;
    },
    findMsgById: function(id){
        var msgList = Util.data('cache.msgList');
        for(var i = 0; i < msgList.length; i++){
            if(id-0 === msgList[i].id-0){
                return msgList[i];
            }
        }
        return ''
    },
    readMsgByCache: function(id){
        var msgList = Util.data('cache.msgList');
        for(var i = 0; i < msgList.length; i++){
            if(id-0 === msgList[i].id-0){
                msgList[i].readOrNot = 'YES';
                Util.data('cache.msgList', msgList);
                break;
            }
        }
    },
    deleteMsgByCache: function(id){
        var msgList = Util.data('cache.msgList');
        for(var i = 0; i < msgList.length; i++){
            if(id-0 === msgList[i].id-0){
                msgList.splice(i, 1);
                Util.data('cache.msgList', msgList);
                break;
            }
        }
    }

};
function initAccount() {
    CACHE.ajaxCardTypes();
    CACHE.ajaxMembers();
    CACHE.ajaxCards();
//    var _user = Util.data('profile.user');
//    if( _user ) {
//        CACHE.ajaxMembers();
//        CACHE.ajaxCards();
//    }
}


