/**
 * Created with IntelliJ IDEA.
 * User: cfl
 * Date: 14-7-18
 * Time: 上午10:20
 * To change this template use File | Settings | File Templates.
 */
Callback.showChooseHospitalView = function(btnId){
    var btn = $('#'+btnId),
        type = btn.attr('data-type');
    Util.data('hospital_type',type) ;
    if(type == "RECORD"){
        if (!UserProfile.isUserLoggedIn()) {
            Util.alert('使用此功能，请先登录！',function(){
                StageManager.pushView(Views.loginView);
            });
            return
        }
    }
    StageManager.pushView(Views.hosptialListView);

}
Views.hosptialListView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'hosptialListView',
        name: '医院列表'
    }
});

Views.branchHosptialView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'branchHosptialView',
        name: '科室列表'
    },
    willShow: function(ct){
       var  superDept  = Util.data('superDept');
        if (!superDept)  {
            superDept = Util.data('branchDepts')[0];
            Util.data('superDept',superDept);
        }
        this.render(ct, {
            deptList :Util.data('branchDepts'),
            superDept: superDept
        })
        $('.childDeptView').html(Views.tmpl.childDeptView({
            deptList: superDept.childDeptList
        }))
        this.bindFocus();
    },
    bindFocus: function() {
        Util.data('search','ture');
        var searchInput = $('.search-input'), self = this;
        searchInput.on('focus', function(){
            if( this.value ) $(this).next('.input-empty').removeClass('ui-hidden');
            else $(this).next('.input-empty').addClass('ui-hidden');
        });
        searchInput.on('blur', function(event){
            $(this).next('.input-empty').addClass('ui-hidden');
        });
        searchInput.on('input',function(){
            if( this.value )
                $(this).next('.input-empty').removeClass('ui-hidden');
            else
                $(this).next('.input-empty').addClass('ui-hidden');
            //过滤科室列表
            self.filterDepart(this.value);
        });
    },
    filterDepart: function(keys) {

        var deptList = Util.data('branchDepts') ,
            sels = [],
            keys = keys.toUpperCase();
            var  superDept  = Util.data('superDept');

            if( keys ) {
                for (var i = 0; i < deptList.length; i++) {
                    if(deptList[i].childDeptList.length === 0){
                        var item = deptList[i];
                        if (item.name.indexOf(keys) > -1 || item.shortPinyin.indexOf(keys) > -1) {
                            sels.push(item);
                        }
                    }else {
                        for (var j = 0; j < deptList[i].childDeptList.length; j++) {
                            var item = deptList[i].childDeptList[j];
                            if (item.name.indexOf(keys) > -1 || item.shortPinyin.indexOf(keys) > -1) {
                                sels.push(item);
                            }
                        }
                    }
                }
                deptList = sels;
                if (superDept) {
                    delete superDept;
                    $('div.selected').removeClass('selected');
                }
            }else {
                deptList =  superDept.childDeptList;
                var parentId = superDept.id;
                $('.ui-super-dept-list-wrapper .ui-dept-item[data-rel='+parentId+ ']').addClass('selected');
            }
        $('.childDeptView').html(Views.tmpl.childDeptView({
            deptList: deptList ,
            search : Util.data('search')
        }))

    },

    didShow: function () {
        this.makeScrollable($('div.ui-super-dept-list-wrapper'));
        this.makeScrollable($('div.ui-child-dept-list-wrapper'));
    }
});

Callback.branchExpertsInfo =   function(btnId){
    var _btn = $('#'+btnId), departId = _btn.attr('data-rel'), depart,
    info = _btn.attr('data-info');
    var param = Util.data('reg.param');
    param.info = info ;
    param.general = false ;
    depart =  Util.data('superDept') ;
    if( !depart ) {
        return;
    }
    if(!departId){
        departId = '普通'
        param.general = false ;
    }
    Util.data('reg.param',param) ;
    CACHE.changeDepart(depart);
    Util.data('regDate', new Date(new Date() - 0 + 1000*60*60*24*1).format('yyyy-MM-dd'));
    FuckHttp.showBranchDoctorListView({
      data :{
          hospitalId : BRANCH_HOSPITAL_ID,
          expertType : param.expertType,
          fetchType :  param.fetchType,
          label : departId
      },
        success: function(json) {
            CACHE.changeDepart(depart);
            Util.data('branchDoctors',json.data);
            setScrollPosition(Views.departListView.viewScroll);
            StageManager.pushView(Views.branchDoctorListView);
        }
    });
}

Callback.chooseChildDeptList = function(btnId) {
    var _btn = $('#' + btnId),
        id = _btn.attr('data-rel') - 0,
        list = Util.data('branchDepts'),
        superDept  = Util.data('superDept');

    $('input').val('');

    if (superDept && superDept.id === id) {
        return;
    }
    for (var i = 0; i < list.length; i++) {
        if (list[i].id === id) {
            superDept = list[i];
            Util.data('superDept',superDept);
            break;
        }
    }
    $('div.selected').removeClass('selected');
    _btn.addClass('selected');
    superDept =  Util.data('superDept') ;
    $('.childDeptView').html(Views.tmpl.childDeptView({
        deptList: superDept.childDeptList
    }))
};


Callback.showjinshanDeptListView = function(btnId){

    var type = Util.data('hospital_type');
    Util.data('doctorList.addDept', true);
    Util.data('hospital','jinshan');
    var  btn = $('#'+ btnId);
    var expertType = btn.attr('data-expertType'),
        regType = btn.attr('data-regType'),
        fetchType =  btn.attr('data-fetchType'),
        hospital =   btn.attr('data-hospital');
    Util.data('reg.param', {});
    var regParam = Util.data('reg.param');
    if(expertType){
        regParam.expertType = expertType;
    }
    if(fetchType) {
        regParam.fetchType = fetchType;
    }
    if(regType) {
        regParam.regType = regType;
    }
    if(hospital) {
        regParam.hospital = hospital;
    }
    Util.data('reg.param', regParam);
    if(type == "YUYUE"){
    FuckHttp.branchDepts({
        data: {
            hospitalId : BRANCH_HOSPITAL_ID
        },
        success: function(json) {
            Util.data('branchDepts',json.data);
            StageManager.pushView(Views.branchHosptialView);
        }
    })
    }else{
        var member = UserProfile.getCurrentMember();
        if (!member) {
            Util.data('cache.personalInfo', UserProfile.accounts[0]);
        }
        Util.data('check.securityCode', '');
        Util.data('checkInspect.securityCode', '');
        member = UserProfile.getCurrentMember();
        if(member){
            Util.data(Views.appointmentRegRecordView.options.dataKey+member.id, '');
        }
        Util.data('cache.personalInfo', '');
        Util.data('cache.card', '');
        StageManager.pushView(Views.appointmentRegRecordView);

    }

}
Callback.showDeptListView = function(btnId) {

    var type = Util.data('hospital_type');
    Util.data('hospital','fujian');
    Util.data('doctorList.addDept', true);
    var  btn = $('#'+ btnId);
    var expertType = btn.attr('data-expertType'),
        regType = btn.attr('data-regType'),
        fetchType =  btn.attr('data-fetchType'),
        hospital =   btn.attr('data-hospital');
    Util.data('reg.param', {});
    var regParam = Util.data('reg.param');
    if(expertType){
        regParam.expertType = expertType;
    }
    if(fetchType) {
        regParam.fetchType = fetchType;
    }
    if(regType) {
        regParam.regType = regType;
    }
    if(hospital) {
        regParam.hospital = hospital;
    }
    Util.data('reg.param', regParam);
    if(type == "YUYUE"){
        CACHE.changeDoctorAction('chooseDoctorForReg');
        CACHE.changeDeptSourceType('expert');
        CACHE.changeDeptAction('expertDepartIndex');
        if(!expertType){
            CACHE.changeDeptAction('chooseDeptForReg');
        }
        showDepartListView();
    }else{
        var member = UserProfile.getCurrentMember();
        if (!member) {
            Util.data('cache.personalInfo', UserProfile.accounts[0]);
        }
        Util.data('check.securityCode', '');
        Util.data('checkInspect.securityCode', '');
        member = UserProfile.getCurrentMember();
        if(member){
            Util.data(Views.appointmentRegRecordView.options.dataKey+member.id, '');
        }
        Util.data('cache.personalInfo', '');
        Util.data('cache.card', '');
        StageManager.pushView(Views.appointmentRegRecordView);
    }
};
function showDepartListView() {
	if( APPVERSION === 'web' ) {
		StageManager.pushView(Views.departListView);
	} else {
		FuckHttp.showDepartListView({
			success: function(json) {
				Util.data('departs', combineDeparts(json.data));
				StageManager.pushView(Views.departListView);
			}
		});
	}
}
function combineDeparts(departs) {
	var i;
	for( i = 0;i< departs.length; i++ ) {
		departs[i].keyChar = departs[i].shortPinyin.substr(0,1);
	}
	departs.sort(function(a, b) {
		if (a.keyChar < b.keyChar) {
			return -1;
		} else if (a.keyChar > b.keyChar) {
			return 1;
		} else {
			return 0;
		}
	});
	return departs;
}

Views.departListView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'departListView',
		name: '科室列表'
	},
	willShow: function(ct) {
		var departs,
			param = Util.data('reg.param'),
			departAction = param.departAction;
		if( APPVERSION === 'web' ) {
			departs = combineDeparts(TestData.departs);
		} else {
			departs = Util.data('departs');
		}
		this.render(ct,{
			mode: 'page',
			departs: departs,
			departIndex: departAction
		});
		this.searchInputEvent();
		this.viewScroll = this.makeScrollable($('.depart-list'), {y: getScrollPosition()});
	},
	searchInputEvent: function() {
		var searchInput = $('.search-input'), self = this;
		searchInput.on('focus', function(){
			if( this.value ) $(this).next('.input-empty').removeClass('ui-hidden');
			else $(this).next('.input-empty').addClass('ui-hidden');
		});
		searchInput.on('blur', function(event){
			$(this).next('.input-empty').addClass('ui-hidden');
		});
		searchInput.on('input',function(){
			if( this.value )
				$(this).next('.input-empty').removeClass('ui-hidden');
			else
				$(this).next('.input-empty').addClass('ui-hidden');
			//过滤科室列表
			self.filterDeparts(this.value);
		});
	},
	filterDeparts: function(keys) {
		Util.log(keys);
		var departs, sels = [], i,
			param = Util.data('reg.param'),
			departAction = param.departAction;
		if( APPVERSION === 'web' ) {
			departs = combineDeparts(TestData.departs);
		} else {
			departs = Util.data('departs');
		}
		if( keys ) {
			if( Validator.letter.test(keys) ) {
				keys = keys.toUpperCase();
				for( i=0;i<departs.length;i++ ) {
					var pingying = departs[i].shortPinyin;
					if( pingying.indexOf(keys) === 0 ) {
						sels.push(departs[i]);
					}
				}
			} else {
				for( i=0;i<departs.length;i++ ) {
					if( departs[i].name.indexOf(keys) > -1 ) {
						sels.push(departs[i]);
					}
				}
			}
			departs = sels;
		}
		this.render($('.ui-scroller'),{
			mode: 'filter',
			departs: departs,
			departIndex: departAction
		});
	}
});

//显示专家列表
Callback.expertDepartIndex = function(btnId) {
	var _btn = $('#'+btnId), departId = _btn.attr('data-rel'), depart,
    info = _btn.attr('data-info');
    var param = Util.data('reg.param');
    param.info = info ;
    Util.data('reg.param',param);
    if( APPVERSION === 'web' ) {
		depart = TestData.departCommon;
	} else {
            depart = CACHE.getDepartById(departId);
	}
	if( !depart ) {
		return;
	}
    Util.data('regDate', new Date(new Date() - 0 + 1000*60*60*24*1).format('yyyy-MM-dd'));
	CACHE.changeDepart(depart);
    showDoctorListView(depart);
};

function showDoctorListView(depart) {
	if( APPVERSION === 'web' ) {
		Util.data('doctors',TestData.doctors);
		CACHE.changeDepart(depart);
		StageManager.pushView(Views.doctorListView);
	} else {
		FuckHttp.showDoctorListView({
			departId: depart.id,
			success: function(json) {
				CACHE.changeDepart(depart);
				Util.data('doctors',json.data);
				setScrollPosition(Views.departListView.viewScroll);
				StageManager.pushView(Views.doctorListView);
			}
		});
	}
}

function showAllDoctorListView(depart) {
    if( APPVERSION === 'web' ) {
        Util.data('doctors',TestData.doctors);
        CACHE.changeDepart(depart);
        StageManager.pushView(Views.doctorListView);
    } else {
        FuckHttp.getDoctorsByDept({
            departId: depart.id,
            data: {
                deptId: depart.id
            },
            success: function(json) {
                CACHE.changeDepart(depart);
                Util.data('doctors',json.data);
                Util.data('doctorList.addDept', false);
                setScrollPosition(Views.departListView.viewScroll);
                StageManager.pushView(Views.doctorListView);
            }
        });
    }
}

Views.doctorListView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'doctorListView',
		name: '专家列表'
	},
	willShow: function(ct) {
		var data = Util.data('doctors'),
			param = Util.data('reg.param') || {},
			action = param.doctorAction,
			id = param.doctor ? param.doctor.id : 0,
			departName = param.depart ? param.depart.name : '专家列表';
		this.render(ct,{
            param: param,
			id: id,
			departName: departName,
			doctors: data,
			action: action,
            flag: Util.data('doctorList.addDept'),
            regDate: Util.data('regDate')
		});
	},
	didShow: function() {
		this.makeScrollable($('.doctor-list'));
		this.initExpertImg();
	},
	initExpertImg: function() {
		var elements = $('.doctor-icon');
		if (elements.length === 0) {
			return;
		}
		for (var i = 0; i < elements.length; i++) {
			this.renderImg(elements[i]);
		}
	},
	renderImg: function(e) {
		var id = $(e).attr('data-id'),
			path = FSManager.rootPath + '/' + id + '.jpg',
			lastTime = Util.data('expert.' + id +'.imgTime') || '',
			dataTimeStr = $(e).attr('data-time'),
			dataTime = new Date(dataTimeStr.replace(/-/g,"/")) - 0;
		if (!mobile_system) {
			var html = '<img src="./themes/images/expert/default.png" />';
			$(e).html(html);
			return;
		}
		//如果后台更新时间大于上次获取时间
		if (!lastTime || (dataTimeStr && dataTime - lastTime > 0)) {
			FSManager.download({
				url: WEB_URL + '/mobile/image/hospital/' + HOSPITAL_ID + '/expert/' + id,
				file: FSManager.rootPath + '/' + id + '.jpg',
				onSuccess: function(f, url) {
					Util.data('expert.' + id +'.imgTime', new Date() - 0);
					var html = '<img src="'+path+'" />';
					$(e).html(html);
					Util.log('download, success');
				},
				onError: function() {
					var html = '<img src="./themes/images/expert/default.png" />';
					$(e).html(html);
					Util.log('download, error');
				}
			})
		} else {
			var html = '<img data-id="'+id+'" onerror="againLoadExpertImg(this)" src="'+path+'" />';
			$(e).html(html);
		}
	}
});

Views.branchDoctorListView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'branchDoctorListView',
        name: '专家列表'
    },
    willShow: function(ct) {
        var data = Util.data('branchDoctors'),
            param = Util.data('reg.param') || {},
            action = param.doctorAction,
            id = data ? data.id : 0,
            departName = param.depart ? param.depart.name : '专家列表';
        this.render(ct,{
            param: param,
            id: id,
            departName: departName,
            doctors: data,
            flag: Util.data('doctorList.addDept'),
            regDate: Util.data('regDate')
        });
    },
    didShow: function() {
        this.makeScrollable($('.doctor-list'));
        this.initExpertImg();
    },
    initExpertImg: function() {
        var elements = $('.doctor-icon');
        if (elements.length === 0) {
            return;
        }
        for (var i = 0; i < elements.length; i++) {
            this.renderImg(elements[i]);
        }
    },
    renderImg: function(e) {
        var id = $(e).attr('data-id'),
            path = FSManager.rootPath + '/' + id + '.jpg',
            lastTime = Util.data('expert.' + id +'.imgTime') || '',
            dataTimeStr = $(e).attr('data-time'),
            dataTime = new Date(dataTimeStr.replace(/-/g,"/")) - 0;
        if (!mobile_system) {
            var html = '<img src="./themes/images/expert/default.png" />';
            $(e).html(html);
            return;
        }
        //如果后台更新时间大于上次获取时间
        if (!lastTime || (dataTimeStr && dataTime - lastTime > 0)) {
            FSManager.download({
                url: WEB_URL + '/mobile/image/hospital/' + BRANCH_HOSPITAL_ID + '/expert/' + id,
                file: FSManager.rootPath + '/' + id + '.jpg',
                onSuccess: function(f, url) {
                    Util.data('expert.' + id +'.imgTime', new Date() - 0);
                    var html = '<img src="'+path+'" />';
                    $(e).html(html);
                    Util.log('download, success');
                },
                onError: function() {
                    var html = '<img src="./themes/images/expert/default.png" />';
                    $(e).html(html);
                    Util.log('download, error');
                }
            })
        } else {
            var html = '<img data-id="'+id+'" onerror="againLoadExpertImg(this)" src="'+path+'" />';
            $(e).html(html);
        }
    }
});

function againLoadExpertImg(e) {
	var id = $(e).attr('data-id') - 0;
	FSManager.download({
		url: WEB_URL + '/mobile/image/hospital/' + HOSPITAL_ID + '/expert/' + id,
		file: FSManager.rootPath + '/' + id + '.jpg',
		onSuccess: function(f, url) {
			Util.data('expert.' + id +'.imgTime', new Date() - 0);
			var path = FSManager.rootPath + '/' + id + '.jpg';
			e.src = path;
			Util.log('download-success');
		},
		onError: function() {
			e.src = './themes/images/expert/default.png';
			Util.log('download-error');
		}
	})
}

function  v(img) {
	img.src = './themes/images/expert/default.png';
}
//选择科室作为挂号条件
Callback.chooseDeptForReg = function(btnId) {
    var _btn = $('#' + btnId),
        departId = _btn.attr('data-rel');
    var depart = CACHE.getDepartById(departId);
    CACHE.changeDepart(depart);

    var param = Util.data('reg.param');
    delete param.doctor;
    Util.data('reg.param', param);

    FuckHttp.getDeptSchedule({
        success: function(json) {
            dealSchedule(json.data);
            if( json.data.regScheduleVOList.length > 0 ) {
                Util.data('schedule.list', json.data.regScheduleVOList);
                CACHE.changeSchedule(json.data.regScheduleVOList[0])
            } else {
                Util.data('schedule.list', '');
                CACHE.changeSchedule('');
                var regType = Util.data('reg.param').regType;
                if(regType === 'RESERVATION') {
                    Util.alert('当前科室没有排班');
                } else if(regType === 'REAL_TIME') {
                    Util.alert('当前科室今日没有排班');
                }
            }
            StageManager.pushView(Views.departIndexView);
        }
    });
};

Callback.chooseDeptForGuide = function(btnId) {
    var _btn = $('#' + btnId),
        departId = _btn.attr('data-rel');
    var depart = CACHE.getDepartById(departId);
    CACHE.changeDepart(depart);
    FuckHttp.getDeptSchedule({
        success: function(json) {
            Util.data('guideDept', json.data);
            StageManager.pushView(Views.departInfoView);
        }
    });
};

Callback.chooseBranchDoctorForReg = function(btnId) {
    var _btn = $('#' + btnId),
        id = _btn.attr('data-rel'),
        departId = _btn.attr('departId') , doctor ;
    var doctors = Util.data('branchDoctors');
    var param = Util.data('reg.param');
        param.doctorID =  departId  ;
    Util.data('reg.param',param);

    for (var i = 0 ; i < doctors.length ; i ++){
        if(doctors[i].id == id ){
            doctor = doctors[i] ;
            param.doctor =  doctor ;
            Util.data('reg.param',param);
            break ;
        }
    }
         if(id == 0){
             param.clinicLabel = 'putong';
             Util.data('reg.param',param);
             FuckHttp.getBranchAllSchedule({
                 success: function(json) {
                     dealSchedule(json.data);
                     if( json.data.regScheduleVOList.length > 0 ) {
                         Util.data('schedule.list', json.data.regScheduleVOList);
                         CACHE.changeSchedule(json.data.regScheduleVOList[0])
                     } else {
                         Util.data('schedule.list', '');
                         CACHE.changeSchedule('');
                         var regType = Util.data('reg.param').regType;
                         if(regType === 'RESERVATION') {
                             Util.alert('当前专家没有排班');
                         } else if(regType === 'REAL_TIME') {
                             Util.alert('当前专家今日没有排班');
                         }
                     }
                     StageManager.pushView(Views.departIndexView);
                 }
             });
         }else{
             FuckHttp.getBranchExpertSchedule({
                 success: function(json) {
//                     dealSchedule(json.data);
                     if( json.data.regScheduleVOList.length > 0 ) {
                         Util.data('schedule.list', json.data.regScheduleVOList);
                         CACHE.changeSchedule(json.data.regScheduleVOList[0])
                     } else {
                         Util.data('schedule.list', '');
                         CACHE.changeSchedule('');
                         var regType = Util.data('reg.param').regType;
                         if(regType === 'RESERVATION') {
                             Util.alert('当前专家没有排班');
                         } else if(regType === 'REAL_TIME') {
                             Util.alert('当前专家今日没有排班');
                         }
                     }
                     StageManager.pushView(Views.expertIndexView);
                 }
             });

         }

};

//选择医生作为挂号条件
Callback.chooseDoctorForReg = function(btnId) {
	var _btn = $('#' + btnId),
		id = _btn.attr('data-rel'),
        departId = _btn.attr('departId');
		doctor = CACHE.getDoctorByDepartAndId(id);

	if (!doctor) {
		Widget.popupToast(Views.errorMsg.DATA_EXCEPTION);
		return;
	}
	CACHE.changeDoctor(doctor, departId);
	expertToClinic();
};
Callback.chooseNewDoctorForReg = function(btnId){
    var _btn = $('#' + btnId),
        id = _btn.attr('data-rel'),
         doctors = '',

        doctor = '';
    var hospital =   Util.data('hospital');
    if(hospital == 'fujian'){

        doctors = Util.data('newDoctors');
    }  else{
        doctors = Util.data('newBranchDoctors');
    }


    for(var i = 0; i < doctors.length; i++){
        if(doctors[i].id-0 === id-0){
            doctor = doctors[i];
            break;
        }
    }
    CACHE.changeDoctor(doctor);
    Util.data('schedule.list', doctor.regScheduleVOList);
    StageManager.pushView(Views.expertIndexView);
};

function expertToClinic() {
	if( APPVERSION === 'web' ) {
		dealSchedule(TestData.doctor);
		CACHE.changeDoctor(TestData.doctor);
		Util.data('schedule.list', TestData.doctor.regScheduleVOList);
		var schedule = TestData.doctor.regScheduleVOList[0];
		schedule.selTime = schedule.times[0];
		CACHE.changeSchedule(schedule);
		StageManager.pushView(Views.expertIndexView);
	} else {
		FuckHttp.getExpertSchedule({
			success: function(json) {
				dealSchedule(json.data);
				if( json.data.regScheduleVOList.length > 0 ) {
					Util.data('schedule.list', json.data.regScheduleVOList);
					CACHE.changeSchedule(json.data.regScheduleVOList[0])
				} else {
					Util.data('schedule.list', '');
					CACHE.changeSchedule('');
					var regType = Util.data('reg.param').regType;
					if(regType === 'RESERVATION') {
						Util.alert('当前专家没有排班');
					} else if(regType === 'REAL_TIME') {
						Util.alert('当前专家今日没有排班');
					}
				}
				StageManager.pushView(Views.expertIndexView);
			}
		});
	}
}

function dealSchedule(data) {
//	if( data.regScheduleVOList.length > 0 ) {
//		var i=0;
//		for(i=0;i<data.regScheduleVOList.length;i++) {
//			if( !data.regScheduleVOList[i].times ) {
//				data.regScheduleVOList[i].times = [{
//					"id": data.regScheduleVOList[i].scheduleId,
//					"timeline": data.regScheduleVOList[i].regTime==='MORNING'?'上午':'下午'
//				}];
//			}
//		}
//	}
}

//专家详情挂号
Views.expertIndexView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'expertIndexView',
		name: '专家详情挂号'
	},
	willShow: function(ct) {
		var param = Util.data('reg.param'),
			scheduleList = Util.data('schedule.list') || [];
		this.render(ct,{
			scheduleList: scheduleList,
			param: param
		});
	},
	didShow: function() {
		this.scroller1 = this.makeScrollable($('.expert-index-middle'));
		this.initExpertImg();
	},
	initExpertImg: function() {
		var elements = $('.expert-icon');
		if (elements.length === 0) {
			return;
		}
		for (var i = 0; i < elements.length; i++) {
			Views.doctorListView.renderImg(elements[i]);
		}
	}
});

Views.departIndexView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'departIndexView',
        name: '科室挂号'
    },

    willShow: function(ct) {
        var  branchDoctors = Util.data('branchDoctors')  ? Util.data('branchDoctors') : []  ;
        var  doctor = [] ;
        for(var i = 0 ; i < branchDoctors.length ; i++){
           if(branchDoctors[i].id == 0){
               doctor =  branchDoctors[i] ;
           }
        }
        var param = Util.data('reg.param'),
            scheduleList = Util.data('schedule.list') || [] ;
        this.render(ct,{
            scheduleList: scheduleList,
            param: param,
            title: param.depart.name,
            doctor : doctor
        });
    },
    didShow: function() {
        this.scroller1 = this.makeScrollable($('.expert-index-middle'));
//        this.initExpertImg();
    }
//    initExpertImg: function() {
//        var elements = $('.expert-icon');
//        if (elements.length === 0) {
//            return;
//        }
//        for (var i = 0; i < elements.length; i++) {
//            Views.doctorListView.renderImg(elements[i]);
//        }
//    }
});

Callback.switchInfoOrTime = function(btnId) {
	var btn = $('#' + btnId),
		showElement = $('#' + btn.attr('data-show')),
		hideElement = $('#' + btn.attr('data-hide'));
	if (showElement.css('display') === 'none') {
		btn.addClass('selected');
		btn.siblings().removeClass('selected');
		showElement.show();
		hideElement.hide();
	}
};

Callback.hideOrShowTimeDetail = function(btnId, e) {
	var timeDetail = $('#' + btnId).next(), scroller = Views.expertIndexView.scroller1;//scrollToElement
	if (timeDetail.css('display') === 'none') {
		$('.time-detail').hide();
		timeDetail.show('fast',function(){
			scroller.scrollToElement( (timeDetail.find('.time-list'))[0] );
		});
	} else {
		timeDetail.hide();
	}
};

Callback.regInfoConfirm = function(btnId) {
	if(!UserProfile.isUserLoggedIn()) {
		Util.alert('此功能需先登录', function(){
			StageManager.pushView(Views.loginView);
		});
		return;
	}
	Util.data('cache.card', '');
	var scheduleId = $('#' + btnId).attr('data-scheduleId') - 0,
		timeId = $('#' + btnId).attr('data-time-id') - 0,
		schedule = CACHE.getScheduleById(scheduleId),
		time = CACHE.getScheduleTimeByTimeId(schedule, timeId);
	schedule.selTime = time;
	CACHE.changeSchedule(schedule);
	StageManager.pushView(Views.regInfoConfirmView);
};

Callback.showMemberListView = function(btnId) {
    var type = $('#'+btnId).attr('data-rel');
    if(type){
        Util.data('memberInfoType', type)
    }
    StageManager.pushView(Views.memberListView);
};

Views.regInfoConfirmView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'regInfoConfirmView',
		name: '挂号信息确认'
	},
	willShow: function(ct) {
		var member = Util.data('cache.personalInfo') || {},
			card = Util.data('cache.card'),
			param = Util.data('reg.param');
		if( !card || !card.id || !card.medicalCardValid) {
			card = {};
		} else {
			UserProfile.setCurrentMember(card.patientId);
		}

		if( card.id ) {
			member = Util.data('cache.personalInfo');
		}
        if(!param.depart.name && param.doctor.deptName){
            param.depart.name = param.doctor.deptName;
            Util.data('reg.param');
        }
		this.render(ct,{
			member: member,
			card: card,
			param: param
		});
	},
	didShow: function() {
		this.makeScrollable($('#regInfoConfirm'));
//        if(UserProfile.findTrueCards().length === 0){
//            Util.confirm('您还没有添加就诊卡，是否添加就诊卡？', function(index) {
//                if (index === 2) {
//                    Callback.showMemberListView();
//                }
//            });
//        }

        var card = Util.data('cache.card');
        if(!card || !card.id){
            var param = Util.data('reg.param');
            var depart = param.depart;
            if(depart.name === '儿内科门诊' || depart.name === '儿外科门诊' || depart.name === '儿内科' || depart.name === '儿外科'){
                Util.alert('我院施行实名制就诊，预约儿科专家时，请使用就诊儿童姓名进行预约，绑定相对应的就诊卡号（患儿），否则无法正常就诊。患儿暂无身份证号码的可以提交父母的身份证号。', function(){

                });
            }
        }
	},
    getBranchClinicParam : function() {
        var member = UserProfile.getCurrentMember(),
            card = Util.data('cache.card'),
            param = Util.data('reg.param'),
            regParam = {};
        regParam.accountId = UserProfile.id;
        regParam.patientsId = member.id;
        regParam.scheduleId = param.schedule.scheduleId;
        regParam.hospitalId = BRANCH_HOSPITAL_ID ;
        regParam.regDate = param.schedule.regDate;
        regParam.medicalCardId = card.id;
        regParam.fee = param.schedule.price;
        regParam.deptId = param.depart.id;
        if (param.doctor) {
            regParam.expertId = param.doctor.id;
        }
        regParam.regTime = param.schedule.regTime;
        regParam.visitTime = param.schedule.selTime.timeline;
        regParam.visitNo = param.schedule.selTime.numArea;
        return regParam;

    } ,
	getClinicParam: function() {
		var member = UserProfile.getCurrentMember(),
			card = Util.data('cache.card'),
			param = Util.data('reg.param'),
			regParam = {};
		regParam.accountId = UserProfile.id;
		regParam.patientsId = member.id;
		regParam.scheduleId = param.schedule.scheduleId;
		regParam.hospitalId = HOSPITAL_ID;
		regParam.regDate = param.schedule.regDate;
		regParam.medicalCardId = card.id;
		regParam.fee = param.schedule.price;
		regParam.deptId = param.depart.id;
		if (param.doctor) {
			regParam.expertId = param.doctor.id;
		}
		regParam.regTime = param.schedule.regTime;
		regParam.visitTime = param.schedule.selTime.timeline;
		regParam.visitNo = param.schedule.selTime.numArea;
		return regParam;
	}
});

Callback.confirmClinic = function(btnId) {
	//todo validata data
    var card = Util.data('cache.card');

    if (!card) {
        Util.alert('请选择就诊卡');
        return;
    }
	if (APPVERSION === 'web') {
		Util.alert('预约成功', function() {
            StageManager.fixViewStack([Views.mainView, Views.appointmentRegRecordView ])
			StageManager.pushView(Views.appointmentRegRecordView);
		});
		return;
	}
	FuckHttp.confirmClinic({
		success: function(json) {
			Util.alert('预约成功', function() {
                StageManager.fixViewStack([Views.mainView, Views.appointmentRegRecordView ])
				StageManager.pushView(Views.appointmentRegRecordView);
			});
		}
	})
};

Callback.readGuahaoNotice = function(btnId) {
    Util.data('guahaoNtice',true);
    StageManager.fixViewStack([Views.mainView]);
    StageManager.pushView(Views.selectRegTypeView);
};
Callback.showRegNotice = function(btnId) {
    Util.data('guahaoNticeView.show',{
        needBtn: false
    });
    StageManager.pushView(Views.guahaoNticeView);
};
Views.guahaoNticeView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'guahaoNticeView',
        name: '挂号须知'
    },
    willShow: function(ct) {
        var show_data = Util.data('guahaoNticeView.show');
        this.render(ct,show_data);
    },
    didShow: function() {
        this.loadData();
    },
    loadData: function() {
        var self = this,
            data = Util.data('hospitalNote.REAL_GUAHAO'),
            now = new Date() - 0,
            lastTime = Util.data('hospitalNote.REAL_GUAHAO.time');
        if (APPVERSION === 'web') {
            setTimeout(function() {
                TestSuit.getHtml('eula.txt', function(rs) {
                    $('.notes-registration').html(rs);
                    self.makeScrollable($('#notes-registration'));
                });
            }, 1000);
            return;
        }
        if (APPVERSION !== 'product' || !data || now - lastTime > Util.MILLIS_1_DAY) {
            var updateTime = Util.data('hospitalNote.REAL_GUAHAO.updateTime') ? Util.data('hospitalNote.REAL_GUAHAO.updateTime') : '';
            FuckHttp.loadHospitalNote({
                data: {type: 'GUAHAO', updateTime: updateTime},
                doneError: function() {},
                success: function(json) {
                    if (json.data && json.data.content) {
                        Util.data('hospitalNote.REAL_GUAHAO', json.data.content);
                        Util.data('hospitalNote.REAL_GUAHAO.time', new Date() - 0);
                        Util.data('hospitalNote.REAL_GUAHAO.updateTime', json.data.updateTime);
                        setTimeout(function(){
                            $('.notes-registration').html(json.data.content);
                            self.makeScrollable($('#notes-registration'));
                        }, 500);
                        return;
                    }
                    if (data) {
                        setTimeout(function(){
                            $('.notes-registration').html(data);
                            self.makeScrollable($('#notes-registration'));
                        }, 500);
                    }
                },
                error: function() {
                    if (data) {
                        setTimeout(function(){
                            $('.notes-registration').html(data);
                            self.makeScrollable($('#notes-registration'));
                        }, 500);
                    }
                }
            });
            return;
        }
        setTimeout(function(){
            $('.notes-registration').html(data);
            self.makeScrollable($('#notes-registration'));
        }, 500);
    }
});

Views.newDoctorListView = $.extend({}, Views.doctorListView, {
    options: {
        tmpl: 'newDoctorListView',
        name: '专家列表'
    },
    willShow: function(ct) {
        var param = Util.data('reg.param') || {},
            action = 'chooseNewDoctorForReg',
            id = param.doctor ? param.doctor.id : 0,
            departName = param.depart ? param.depart.name : '专家列表';
        var data = '';
        if(param.info == 'ture'){
            data = Util.data('newBranchDoctors');
        }else{
            data =   Util.data('newDoctors') ;
        }

        this.render(ct,{
            param: param,
            id: id,
            departName: departName,
            doctors: data,
            action: action,
            flag: Util.data('doctorList.addDept')
        });
    }
});

Views.chooseRegDateView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'chooseRegDateView',
        name: '选择时间'
    },
    willShow: function(ct){
        var val = Util.data('regDate');
        var maxDate='',
            minDate='';
        minDate = new Date(new Date() - 0 + 1000*60*60*24*1);
        maxDate = new Date(new Date() - 0 + 1000*60*60*24*14);
        this.render(ct, {
            val: val
        });
        var mscroller = $('#theDate');
        var type = mscroller.attr('type'), display = mscroller.attr('display') || 'bottom';

        if( type === 'date' ) {
            mscroller.mobiscroll().date({
                theme: 'ios7',
                lang: 'zh',
                display: display,
                mode: 'scroller',
                dateFormat: 'yyyy-mm-dd',
                dateOrder: 'yymmdd',
                dayText: '日', monthText: '月', yearText: '年',
                maxDate: new Date(maxDate),
                minDate: new Date(minDate)
            });
        }
        mscroller.mobiscroll('show');
    },
    didShow: function (ct) {
//        this.makeScrollable($('.ui-page-body', ct));
    }
});
Callback.chooseRegDate = function(){

    var regDate = $('#theDate').val();
    Util.data('regDate', regDate);
    var param = Util.data('reg.param');
    info = param.info ;
    if(info){
        Util.data('reg.param',param);
        FuckHttp.getNewBranchSchedule({
            data: {
                regDate: regDate,
                hospitalId : BRANCH_HOSPITAL_ID
            },
            success: function(json){
                if(json.data.length === 0){
                    Widget.popupToast('该日期暂无出诊专家');
                    Util.data('newBranchDoctors', []);
                    return;
                }
                Util.data('newBranchDoctors', json.data);
                StageManager.pushView(Views.newDoctorListView);
            }
        });
    }else{
        FuckHttp.getNewSchedule({
            data: {
                regDate: regDate
            },
            success: function(json){
                if(json.data.length === 0){
                    Widget.popupToast('该日期暂无出诊专家');
                    Util.data('newDoctorss', []);
                    return;
                }
                Util.data('newDoctors', json.data);
                StageManager.pushView(Views.newDoctorListView);
            }
        });
    }

};

Callback.showCallNumsView = function(btnId){
    if(!UserProfile.isUserLoggedIn()) {
        Util.alert('此功能需先登录', function(){
            StageManager.pushView(Views.loginView);
        });
        return;
    }
    Util.data('cache.card', '');
    StageManager.pushView(Views[$('#' + btnId).attr('data-rel')]);
};
Views.callNumsView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'callNumsView',
        name: '候诊队列'
    },
    willShow: function(ct) {
        var card = Util.data('cache.card');
        if( !card || !card.id || !card.medicalCardValid) {
            card = {};
        } else {
            UserProfile.setCurrentMember(card.patientId);
        }
        var self = this;
        this.render(ct,{
            mode: 'page',
            card: card
        });
        this.ajaxData();
        this.makeScrollableWithPullRefresh($('.ui-page-body', ct),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajaxData();
            }
        });

    },
    ajaxData: function(){
        var self = this;
        if (!Util.data('cache.card') || !Util.data('cache.card').id) {
            Util.data('callNums', []);
            self.render($('.data-list'), {
                mode: 'data',
                data: []
            });
            Widget.popupToast('请先选择就诊卡');
            return;
        }
        FuckHttp.getCallNums({
            data: {medicalCardNo: (Util.data('cache.card')).medicalCardNo},
            success: function(json){
                Util.data('callNums', json.data);
                self.render($('.data-list'), {
                    mode: 'data',
                    data: json.data
                })
            },
            doneError: function(json){
                Util.data('callNums', []);
                self.render($('.data-list'), {
                    mode: 'data',
                    data: []
                })
            }
        })
    }
});
Callback.updateCallNum = function(){
    Views.callNumsView.ajaxData();
};

Views.medicalNumsView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'medicalNumsView',
        name: '取药队列'
    },
    willShow: function(ct) {
        var card = Util.data('cache.card');
        if( !card || !card.id || !card.medicalCardValid) {
            card = {};
        } else {
            UserProfile.setCurrentMember(card.patientId);
        }
        var self = this;
        this.render(ct,{
            mode: 'page',
            card: card
        });
        this.ajaxData();
        this.makeScrollableWithPullRefresh($('.ui-page-body', ct),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajaxData();
            }
        });

    },
    ajaxData: function(){
        var self = this;
        if (!Util.data('cache.card') || !Util.data('cache.card').id) {
            Util.data('MedicalCallNums', []);
            self.render($('.data-list'), {
                mode: 'data',
                data: []
            });
            Widget.popupToast('请先选择就诊卡');
          return;
        }
        FuckHttp.getMedicalNums({
            data: {
                medicalCardNo: (Util.data('cache.card')).medicalCardNo,
                patientName: UserProfile.getCurrentMember().name
            },
            success: function(json){
                Util.data('MedicalCallNums', json.data.items);
                self.render($('.data-list'), {
                    mode: 'data',
                    data: json.data.items
                })
            },
            doneError: function(json){
                Widget.popupToast(json.errMsg, '', 2500);
                Util.data('MedicalCallNums', []);
                self.render($('.data-list'), {
                    mode: 'data',
                    data: []
                })
            }
        })
    }
});

Callback.showMedicalNumDetail = function(btnId) {
    var data = Util.data('MedicalCallNums'),
        i = $('#' + btnId).attr('data-rel') - 0;
    Util.data('medicalNumsDetailView', data[i]);
    StageManager.pushView(Views.medicalNumsDetailView);
};

Views.medicalNumsDetailView = $.extend({}, Views.PanelView, {
   options: {
       tmpl: 'medicalNumsDetailView',
       name: '取药队列'
   },
    willShow: function(ct) {
        this.render(ct, {
            mode: 'page'
        });
    },
    didShow: function(ct) {
        $('div.ui-scroller').html(Views.tmpl.medicalNumsDetailView({
            mode: 'model',
            data: Util.data('medicalNumsDetailView')
        }));
        $('img').attr('src', WEB_URL + '/mobile/barCode/generateQrcode?codeInfo=' + Util.data('medicalNumsDetailView').takeNo);
        this.makeScrollable($('div.ui-page-body'));
    }
});

Callback.updateMedicalNum = function() {
    FuckHttp.getMedicalNums({
        data: {
            medicalCardNo: (Util.data('cache.card')).medicalCardNo,
            patientName: UserProfile.getCurrentMember().name
        },
        success: function(json){
            Util.data('MedicalCallNums', json.data.items);
        },
        doneError: function(json){
            Widget.popupFailure(json.errMsg);
        }
    });
    this.render(ct, {
        mode: 'model',
        data: Util.data('medicalNumsDetailView')
    });
};

function refreshMedicalNum() {
    var list = Util.data('MedicalCallNums'),
        oldData = Util.data('medicalNumsDetailView');
    for (var i = 0; i < list.length; i++) {
        if (list[i].takeNo == oldData.takeNo) {
            Util.data('medicalNumsDetailView', list[i]);
            $('div.ui-scroller').html(Views.tmpl.medicalNumsDetailView({
                mode: 'model',
                data: Util.data('medicalNumsDetailView')
            }));
            $('img').attr('src', WEB_URL + '/mobile/barCode/generateQrcode?codeInfo=' + Util.data('medicalNumsDetailView').takeNo);

            return;
        }
    }
}