//-----deploy
var maternalProject = {
	projects: ['血常规检查','尿常规检查',
		"肝、肾功能检查","血型检查","梅毒血清学试验","艾滋病的血清学检查","淋病的细菌学检查",
		"乙型肝炎病毒学检查","丙型肝炎病毒检查","唐氏综合症产前筛查","TORCH综合症产前筛查",
		"心电图检查","超声检查","阴道分泌物检查","妊娠糖尿病筛查"
	],
	parses:["判断准妈妈是否贫血，正常值是100g/L—160g/L；轻度贫血影响不大，重度贫血可引起早产、低体重儿等不良后果。",
		"如果发现有红细胞和白细胞，则提示有尿路感染的可能，需引起重视，如伴有尿频、尿急等症状，需及时治疗。",
		"检查有无肝炎、肾炎等疾病，怀孕时肝脏、肾脏的负担加重，如肝、肾功能不正常，怀孕会使原来的疾病更严重。",
		"准妈妈了解自己的血型很重要。如果准爸爸为A型、B型或AB型血，准妈妈为O型血，生出的小宝宝有ABO溶血的可能。",
		"梅毒是由梅毒螺旋体引起的一种性传播性疾病。如果准妈妈患梅毒可通过胎盘直接传给胎儿，有导致新生儿先天梅毒的可能。",
		"艾滋病是获得性免疫缺陷综合症的直译名称，是严重免疫缺陷疾患，病原体是HIV病毒。正常准妈妈HIV抗体为阴性。",
		"淋病是由淋病双球菌引起的性传播疾病，通过不洁性交直接传播，也可通过被淋病污染的衣物、便盆等传播，也可通过患病母体的产道传染给新生儿。",
		"病毒性肝炎中，乙型肝炎发病率最高，妊娠早期使早孕反应加重，易发展为急性重症肝炎，危及生命。乙肝病毒可通过胎盘感染胎儿。",
		"丙型肝炎病毒是丙肝的病原体，75%患者并无症状，仅25%患者有发热、呕吐、腹泻等症状。丙型肝炎病毒也可通过胎盘传给胎儿。",
		"唐氏综合症产前筛查是用一种比较经济、简便、对胎儿无损伤性的检测方法在准妈妈中查找出怀有先天愚型胎儿的高危个体。",
		"准妈妈在妊娠4个月以前如果感染了风疹病毒(RV)、弓形虫(TOX)、巨细胞病毒(CMV)这些病毒，都可能使胎儿发生严重的先天性畸形，甚至流产。",
		"这项检查是为了排除心脏疾病，以确认准妈妈是否能承受分娩。如心电图异常，需及时向医生咨询，并作进一步检查。",
		"B超检查可看到胎儿的躯体，头部、胎心跳动，胎盘、羊水和脐带等。可检测胎儿是否存活，是否多胎、鉴定是否畸形。",
		"白带是阴道粘膜渗出物、宫颈管及子宫内膜腺体分泌物。清洁度为Ⅰ—Ⅱ度， Ⅲ—Ⅳ度为异常白带，表示阴道炎症。",
		"这是一种妊娠糖尿病筛查试验。在妊娠24—28周进行，口服含50克葡萄糖的水，一小时后抽血检测血浆血糖值。"
	]
};
var BabyDeploy = {
	boy: {
		'minHeight':[
			48.2 ,52.1 ,55.5 ,58.5 ,61.0 ,62.3 ,65.1 ,66.7 ,68.3 ,69.7 ,71.0 ,72.2 ,73.4 ,84.3
		],
		'maxHeight':[
			52.8 ,57.0 ,60.7 ,63.7 ,66.4 ,68.6 ,70.5 ,72.1 ,73.6 ,75.0 ,76.3 ,77.6 ,78.8 ,91.0
		],
		'avgHeight':[
			50.5 ,54.6 ,58.1 ,61.1 ,63.7 ,65.5 ,67.8 ,69.4 ,71.0 ,72.4 ,73.7 ,74.9 ,76.1 ,87.7
		],
		header:[
			32,39.4,39.84,41.25,42.3,43.1,44.32,45,45.74,46,46.09,46.3,46.5,48.2
		],
		chest:[
			32.08,39.5,40.1,41.75,42.68,43.4,44.06,44.6,45.13,45.6,45.99,46.37,46.8,49.4
		],
		minWeight:[
			2.9,3.6,4.3,5,5.7,6.3,6.9,7.4,7.8,8.2,8.6,8.9,9.1,11.2
		],
		maxWeight:[
			3.8,5,6,6.9,7.6,8.2,8.8,9.3,9.8,10.2,10.6,11,11.3,14
		],
		avgWeight:[
			3.35,4.3,5.15,5.95,6.65,7.25,7.85,8.35,8.8,9.2,9.6,9.95,10.2,12.6
		]
	},
	girl:{
		minHeight:[
			47.7,51.2,54.4,57.1,59.4,61.5,63.3,64.8,66.4,67.7,69,70.3,71.5,83.3
		],
		maxHeight:[
			52,55.8,59.2,59.5,64.5,66.7,68.6,70.2,71.8,73.2,74.5,75.8,77.1,89.8
		],
		avgHeight:[
			49.85,53.5,56.8,58.3,61.95,64.1,65.95,67.5,69.1,70.45,71.75,73.05,74.3,86.55
		],
		header:[
			33.05,38.4,38.67,39.9,41.2,41.9,43.2,43.7,45.2,45.2,44.89,45.3,45.4,47.1
		],
		chest:[
			32.07,38.2,38.78,40.05,41.6,42.05,42.86,43.5,45.46,46.5,44.89,45.3,45.8,48.2
		],
		minWeight:[
			2.7,3.4,4,4.7,5.3,5.8,6.3,6.8,7.2,7.6,7.9,8.2,8.5,10.6
		],
		maxWeight:[
			3.6,4.5,5.4,6.2,6.9,7.5,8.2,8.6,9.1,9.5,9.9,10.3,10.6,13.2
		],
		avgWeight:[
			3.15,3.95,4.7,5.45,6.1,6.65,7.25,7.7,8.15,8.55,8.9,9.25,9.55,11.9
		]
	},
	weight:[],
	stageX:[
		"1月龄","2月龄","3月龄","4月龄","5月龄","6月龄","7月龄","8月龄","9月龄","10月龄","11月龄","1岁龄","2岁龄"
	],
	stageXMonth: [
		0,1,2,3,4,5,6,7,8,9,10,11,12,24
	]
};

var Constant = {
	vital_sign_descrip: {
		'E10005': {
			id:'E10005',
			name_cn:'收缩压',
			name_en:'SBP',
			description:'高压',
			unit:'mmHg',
			min_val:30.000000,
			max_val:300.000000,
			PRECISION:0
		},
		'E10006': {
			id:'E10006',
			name_cn:'舒张压',
			name_en:'DBP',
			description:'低压',
			unit:'mmHg',
			min_val:30.000000,
			max_val:300.000000,
			PRECISION:0
		},
		'E10004': {
			id:'E10004',
			name_cn:'脉搏',
			name_en:'pulse',
			description:'脉搏',
			unit:'次/分',
			min_val:30.000000,
			max_val:300.000000,
			PRECISION:0
		}
	},
	getVSRemindText: function(result) {
		if( typeof result === 'string' ) {
			switch(result){
				case 'NORMAL':return '理想';
				case 'NORMAL_HIGH':return '正常';
				case 'MILD_HIGH':return '轻度';
				case 'MIDDLE_HIGH':return '中度';
				default:return '重度';
			}
		}
	},
	getVSRemindColor: function(result) {
		if( typeof result === 'string' ) {
			switch(result){
				case 'NORMAL':return '#70d0d6';
				case 'NORMAL_HIGH':return '#9dd670';
				case 'MILD_HIGH':return '#dcc768';
				case 'MIDDLE_HIGH':return '#e48334';
				default:return '#e45a5a';
			}
		}
	},
	getRemind: function(bpLevel, callback){
		var severity;
		if( bpLevel === 'NORMAL' || bpLevel === 'ideal' ) {
			severity = 'IDEAL';
		} else if( bpLevel === 'NORMAL_HIGH' || bpLevel === 'normal' ) {
			severity = 'NORMAL';
		} else if( bpLevel === 'MILD_HIGH' || bpLevel === 'mild' ) {
			severity = 'MILD';
		} else if( bpLevel === 'MIDDLE_HIGH' || bpLevel === 'medium' ) {
			severity = 'MODERATE';
		} else if( bpLevel === 'SEVERE_HIGH' || bpLevel === 'serious' ) {
			severity = 'SERIOUS';
		}
//			if( APPVERSION === 'web' ) {
//				callback("测试测试");
//			} else {
//				$.ajax({
//					type : 'POST',
//					url  : WEB_URL+'/measurement/bpTip/'+severity,
//					dataType: 'json'
//				}).done(function(json, textStatus, jqXHR) {
//					Widget.popupLoadingClose();
//					if (!json.success) {
//						Util.tips(json.errMsg);
//					} else {
//						callback(json.data);
//					}
//				}).fail(function(jqXHR, textStatus, errorThrown) {
//					Widget.popupLoadingClose();
//					Util.tips('网络异常');
//				});
//			}
	}
};
var FAQ = {
	bind:[
		{q:'医保卡是否能绑定？掌上社区支持什么卡？',a:'医保卡在下城卫计服务医院就诊之后，才能被绑定。掌上社区支持在下城区卫生服务医院就诊过的医保卡。'},
		{q:'掌上社区如何绑定就诊卡？',
			a:'可以绑定的卡有两种，一种是医保卡，系统通过匹配医保卡号或公积金编号、用户姓名、用户性别、医保类型，验证用户的身份，只有全部匹配，才能验证通过；另一种是自费用户的就诊卡，自费用户在挂号时，工作人员会分配一张就诊卡给用户，是用户的唯一识别。自费用户需在手机APP的就诊卡编辑页面填写就诊卡号。用户输入就诊卡号后，系统通过匹配就诊卡号、用户姓名、用户性别，验证用户信息，全部匹配方可验证通过。'
		}
	],
	reg:[
		{q:'用户选择预约挂号科室（或专家）并申请预约挂号后，预约挂号失败，如何处理？',
			a:'第一步，确保预约科室（或专家）在该时段是否还有剩余号源（当剩余号源数较少时，有可能出现挂不上号的情况，原因为被其他用户迅速抢占预约，可刷新剩余号源数进行确认）；<br>第二步，确认无误后，仍预约挂号失败，可尝试重新登录；<br>第三步，若问题仍未解决，请联系客服人员进行处理。'
		}
	],
	goDoc:[
		{q:'用户通过平台成功预约挂号后，如何就诊？',
			a:'持医保卡或就诊卡、身份证及短信凭证（预约成功后的短信通知）直接前往预约科室分诊台，告知分诊台值班护士预约的时间段，护士确认之后，自动进入就诊排队序列。'},
		{
			q:'用户通过平台成功预约，前往预约科室就诊时，发现医生没有收到用户预约就诊信息，如何处理？',
			a:'第一步，确保预约就诊时间、预约就诊科室（或专家）、预约就诊卡号无误，即预约就诊时间与实际前往就诊时间需一致，预约就诊科室（或专家）与实际前往就诊科室（或专家）需一致，预约就诊卡的持卡人需为实际就诊本人；<br>第二步，若上述信息均确认无误，但问题仍未解决，请联系客服人员进行处理。'
		}
	],
	other:[
		{q:'提示“网络异常”，如何处理？',
			a:'第一步，确保手机处在上网环境且上网信号良好；<br>第二步，确保APP版本最新；<br>第三步，若问题仍未解决，疑为服务器异常或维护中，请等待一段时间后再次尝试。'
		},{
			q:'就诊卡挂号记录无法查询，如何处理？',
			a:'第一步，确保APP版本最新；<br>第二步，确保该就诊卡有挂号记录。'
		}
	]
};
var tcmStaticData = {
    tcmPhysicalExam:[
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您精力充沛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易疲乏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您说话声音无力吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您感到闷闷不乐吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比一般人耐受不了冬天的寒冷，夏天的冷空调、电扇吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您能适应外界自然和社会环境的变化吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您容易失眠吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您容易忘事（健忘）吗？"
                }
            ],
            "sysId": "PINGHEZHI",
            "sysValue": "平和质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到闷闷不乐吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易精神紧张、焦虑不安吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您多愁善感、感情脆弱吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易感到害怕或受到惊吓吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您胁肋部或乳房腹痛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您无缘无故叹气吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您咽喉部有异物感，且吐之不出、咽之不下吗？"
                }
            ],
            "sysId": "QIYUZHI",
            "sysValue": "气郁质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您没有感冒时也会打喷嚏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您没有感冒时也会鼻塞、流鼻涕吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您有因季节变化、温度变化或异味等原因而咳喘的现象吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易过敏（对药物、食物、气味、花粉或在季节交替、气候变化时）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您的皮肤容易起荨麻疹（风团、风疹块、风疙瘩）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您因过敏出现过紫癜（紫红色瘀点、瘀斑）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您的皮肤一抓就红，并出现抓痕吗？"
                }
            ],
            "sysId": "TEBINGZHI",
            "sysValue": "特禀质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您的皮肤在不知不觉中会出现青紫瘀斑（皮下出血）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您两颧部有细微红丝吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您身体上有哪里疼痛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您面色晦黯或容易出现褐斑吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您容易有黑眼圈吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您容易忘事（健忘）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您口唇颜色偏黯吗？"
                }
            ],
            "sysId": "XUEYUZHI",
            "sysValue": "血瘀质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您面部或鼻部有油腻感或者油亮发光吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易生痤疮或疮疖吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您感到口苦或嘴里有异味吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您大便黏滞不爽、有解不尽的感觉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您小便时尿道有发热感、尿色浓（深）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您带下色黄（白带颜色发黄）吗？（限女性回答）"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您的阴囊部位潮湿吗？"
                }
            ],
            "sysId": "SHIREZHI",
            "sysValue": "湿热质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到胸闷或腹部胀满吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您感到身体全身不轻松或不爽快吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您腹部肥满松软吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您有额部油脂分泌多的现象吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您上眼睑比别人肿（仍轻微隆起的现象）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您嘴里有黏黏的感觉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您平时痰多，特别是咽喉部总感到有痰堵着吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您舌苔厚腻或有舌苔厚厚的感觉吗？"
                }
            ],
            "sysId": "TANSHIZHI",
            "sysValue": "痰湿质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您容易疲乏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易气短（呼吸短促，接不上气）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您容易心慌吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易头晕或站起时晕眩吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比别人容易患感冒吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您喜欢安静、懒得说话吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您说话声音无力吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您活动量就容易出虚汗吗？"
                }
            ],
            "sysId": "QIXUZHI",
            "sysValue": "气虚质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到手脚心发热吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您感觉身体、脸上发热？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您皮肤或口唇干吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您口唇的颜色比一般人红吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您容易便秘或大便干燥吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您面部两潮红或偏红吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您感到眼睛干涩吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您活动量稍大就容易出虚汗吗？"
                }
            ],
            "sysId": "YINXUZHI",
            "sysValue": "阴虚质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您手脚发凉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您胃脘部、背部或腰膝部怕冷吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您感到怕冷、衣服比别人穿得多吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您比一般人受不了冬天的寒冷，夏天的冷空调、电扇等吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比别人容易患感冒吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您吃（喝）凉的东西会感到不舒服或者怕吃（喝）凉东西吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您受凉或吃（喝）凉的东西后，容易腹泻（拉肚子）吗？"
                }
            ],
            "sysId": "YANGXUZHI",
            "sysValue": "阳虚质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您精力充沛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易疲乏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您说话声音无力吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您感到闷闷不乐吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比一般人耐受不了冬天的寒冷，夏天的冷空调、电扇吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您能适应外界自然和社会环境的变化吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您容易失眠吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A*",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B*",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C*",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D*",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E*",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您容易忘事（健忘）吗？"
                }
            ],
            "sysId": "PINGHEZHI",
            "sysValue": "平和质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到闷闷不乐吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易精神紧张、焦虑不安吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您多愁善感、感情脆弱吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易感到害怕或受到惊吓吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您胁肋部或乳房腹痛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您无缘无故叹气吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您咽喉部有异物感，且吐之不出、咽之不下吗？"
                }
            ],
            "sysId": "QIYUZHI",
            "sysValue": "气郁质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您没有感冒时也会打喷嚏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您没有感冒时也会鼻塞、流鼻涕吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您有因季节变化、温度变化或异味等原因而咳喘的现象吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易过敏（对药物、食物、气味、花粉或在季节交替、气候变化时）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您的皮肤容易起荨麻疹（风团、风疹块、风疙瘩）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您因过敏出现过紫癜（紫红色瘀点、瘀斑）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您的皮肤一抓就红，并出现抓痕吗？"
                }
            ],
            "sysId": "TEBINGZHI",
            "sysValue": "特禀质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您的皮肤在不知不觉中会出现青紫瘀斑（皮下出血）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您两颧部有细微红丝吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您身体上有哪里疼痛吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您面色晦黯或容易出现褐斑吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您容易有黑眼圈吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您容易忘事（健忘）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您口唇颜色偏黯吗？"
                }
            ],
            "sysId": "XUEYUZHI",
            "sysValue": "血瘀质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您面部或鼻部有油腻感或者油亮发光吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易生痤疮或疮疖吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您感到口苦或嘴里有异味吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您大便黏滞不爽、有解不尽的感觉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您小便时尿道有发热感、尿色浓（深）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您带下色黄（白带颜色发黄）吗？（限女性回答）"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您的阴囊部位潮湿吗？"
                }
            ],
            "sysId": "SHIREZHI",
            "sysValue": "湿热质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到胸闷或腹部胀满吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您感到身体全身不轻松或不爽快吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您腹部肥满松软吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您有额部油脂分泌多的现象吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您上眼睑比别人肿（仍轻微隆起的现象）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您嘴里有黏黏的感觉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您平时痰多，特别是咽喉部总感到有痰堵着吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您舌苔厚腻或有舌苔厚厚的感觉吗？"
                }
            ],
            "sysId": "TANSHIZHI",
            "sysValue": "痰湿质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您容易疲乏吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您容易气短（呼吸短促，接不上气）吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您容易心慌吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您容易头晕或站起时晕眩吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比别人容易患感冒吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您喜欢安静、懒得说话吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您说话声音无力吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您活动量就容易出虚汗吗？"
                }
            ],
            "sysId": "QIXUZHI",
            "sysValue": "气虚质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您感到手脚心发热吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您感觉身体、脸上发热？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您皮肤或口唇干吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您口唇的颜色比一般人红吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您容易便秘或大便干燥吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您面部两潮红或偏红吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您感到眼睛干涩吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "08",
                    "questValue": "(8)您活动量稍大就容易出虚汗吗？"
                }
            ],
            "sysId": "YINXUZHI",
            "sysValue": "阴虚质"
        },
        {
            "questList": [
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "01",
                    "questValue": "(1)您手脚发凉吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "02",
                    "questValue": "(2)您胃脘部、背部或腰膝部怕冷吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "03",
                    "questValue": "(3)您感到怕冷、衣服比别人穿得多吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "04",
                    "questValue": "(4)您比一般人受不了冬天的寒冷，夏天的冷空调、电扇等吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "05",
                    "questValue": "(5)您比别人容易患感冒吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "06",
                    "questValue": "(6)您吃（喝）凉的东西会感到不舒服或者怕吃（喝）凉东西吗？"
                },
                {
                    "answerList": [
                        {
                            "ansId": "A",
                            "ansValue": "没有(根本不)"
                        },
                        {
                            "ansId": "B",
                            "ansValue": "很少(有一点)"
                        },
                        {
                            "ansId": "C",
                            "ansValue": "有时(有些)"
                        },
                        {
                            "ansId": "D",
                            "ansValue": "经常(相当)"
                        },
                        {
                            "ansId": "E",
                            "ansValue": "总是(非常)"
                        }
                    ],
                    "questId": "07",
                    "questValue": "(7)您受凉或吃（喝）凉的东西后，容易腹泻（拉肚子）吗？"
                }
            ],
            "sysId": "YANGXUZHI",
            "sysValue": "阳虚质"
        }
    ]
};