// ------------------------------------------------------------------------
// View registry
//
var Views = {
	tmpl: {
		cssAppend: 'views/cssAppend.html',
		// Popup UI templates
		popupLoading: 'views/popup/popupLoading.html',
		popupSuccess: 'views/popup/popupSuccess.html',
		popupFailure: 'views/popup/popupFailure.html',
		popupCustomView: 'views/popup/popupCustomView.html',
		// Layout templates
		tabbedPanelLayout: 'views/layout/tabbedPanelLayout.html',
		// Custom Views
		mainView: 'views/mainView.html',
        alertWindowView: 'views/alertWindowView.html',
		hospitalServiceView: 'views/hospitalServiceView.html',
		medicalGuideView: 'views/medicalGuideView.html',
		medicalInfoView: 'views/medicalInfoView.html',
		personalCenterView: 'views/personalCenter/personalCenterView.html',
		moreView: 'views/moreView.html',

        rechargeView: 'views/rechargeView.html',
        rechargeSubView: 'views/rechargeSubView.html',

		memberListView: 'views/personalCenter/memberListView.html',
		memberSelectView: 'views/personalCenter/memberSelectView.html',
		memberEditView: 'views/personalCenter/memberEditView.html',
		memberEditItemView: 'views/personalCenter/memberEditItemView.html',
		medicalCardAdd1View: 'views/personalCenter/medicalCardAdd1View.html',
		medicalCardEditView: 'views/personalCenter/medicalCardEditView.html',
        medicalCardInfoInputEditView: 'views/personalCenter/medicalCardInfoInputEditView.html',
        medicalCardListView: 'views/personalCenter/medicalCardListView.html',
        medicalCardSelectView: 'views/personalCenter/medicalCardSelectView.html',
        changePwdView: 'views/personalCenter/changePwdView.html',
        reSetAcountView: 'views/personalCenter/reSetAcountView.html',
        forgotPwdView: 'views/personalCenter/forgotPwdView.html',
        loginView: 'views/personalCenter/loginView.html',
        registerSuccessView: 'views/personalCenter/registerSuccessView.html',
        registerView: 'views/personalCenter/registerView.html',
        regProtocolView: 'views/personalCenter/regProtocolView.html',

        MsgCenterView: 'views/personalCenter/MsgCenterView.html',
        MsgCenterListView: 'views/personalCenter/MsgCenterListView.html',
        MsgCenterDetailView: 'views/personalCenter/MsgCenterDetailView.html',

		diyServiceView: 'views/diyServiceView.html',
		reportInqueryView: 'views/reportInqueryView.html',

		regScheduleTableSubView: 'views/regScheduleTableSubView.html',
		expertInfoView: 'views/expertInfoView.html',

		/*medicalGuide*/
		hospitalGuideView: 'views/medicalGuide/hospitalGuideView.html',
		guideView: 'views/medicalGuide/guideView.html',
        departInfoView: 'views/medicalGuide/departInfoView.html',
		hospitalBuildingNavView: 'views/medicalGuide/hospitalBuildingNavView.html',
		hospitalBuildingDetailView: 'views/medicalGuide/hospitalBuildingDetailView.html',
        NoviceCourseView: 'views/medicalGuide/NoviceCourseView.html',
        NoviceCourseInfoView: 'views/medicalGuide/NoviceCourseInfoView.html',
//		hospitalBusView: 'views/medicalGuide/hospitalBusView.html',
        hospitalIntroductionView: 'views/medicalGuide/hospitalIntroductionView.html',
        treatmentProcessView: 'views/medicalGuide/treatmentProcessView.html',
        treatmentProcessDetailView: 'views/medicalGuide/treatmentProcessDetailView.html',
        healthManageView: 'views/medicalGuide/healthManageView.html',
        zixunMainView: 'views/medicalGuide/zixunMainView.html',
        zixunDetailView: 'views/medicalGuide/zixunDetailView.html',

        firstInspectView: 'views/medicalGuide/firstInspectView.html',
        inspectCheckboxView: 'views/medicalGuide/inspectCheckboxView.html',
        inspectRadioView: 'views/medicalGuide/inspectRadioView.html',
        inspectTextView: 'views/medicalGuide/inspectTextView.html',
        satisfactionSurveyView: 'views/medicalGuide/satisfactionSurveyView.html',

        //病案配送
        caseDistributionView: 'views/medicalGuide/caseDistributionView.html',
        caseDistributionNoteView: 'views/medicalGuide/caseDistributionNoteView.html',
        casePatientInfoView: 'views/medicalGuide/casePatientInfoView.html',
        casePatientMaterialView: 'views/medicalGuide/casePatientMaterialView.html',
        caseAgentInfoView: 'views/medicalGuide/caseAgentInfoView.html',
        caseLogisticsInfoView: 'views/medicalGuide/caseLogisticsInfoView.html',
        caseSubmitResultView: 'views/medicalGuide/caseSubmitResultView.html',
        selectSubView: 'views/medicalGuide/fragment/selectSubView.html',
        caseRecordView: 'views/medicalGuide/caseRecordView.html',
        caseRecordSubView: 'views/medicalGuide/fragment/caseRecordSubView.html',
        caseRecordDetailView: 'views/medicalGuide/caseRecordDetailView.html',
        caseNotPassResultView: 'views/medicalGuide/caseNotPassResultView.html',
        expressDetailView: 'views/medicalGuide/expressDetailView.html',
        showExpressView: 'views/medicalGuide/showExpressView.html',
        locationManage: 'views/medicalGuide/fragment/locationManage.html',
        locationManageDetial: 'views/medicalGuide/fragment/locationManageDetial.html',
        addLocationView: 'views/medicalGuide/addLocationView.html',
        orderPayView: 'views/medicalGuide/orderPayView.html',
        orderPayDetail: 'views/medicalGuide/orderPayDetail.html',
        backgroudView1: 'views/medicalGuide/backgroudView1.html',


		//--------资讯
		newsView: 'views/medicalGuide/newsView.html',
		newsListSub: 'views/medicalGuide/fragment/newsListSub.html',
		newsInfoView: 'views/medicalGuide/newsInfoView.html',
		//--------自助诊断
		noopsycheDiagnoseGuideView: 'views/medicalGuide/noopsycheDiagnoseGuideView.html',
		noopsycheDiagnoseImgView: 'views/medicalGuide/noopsycheDiagnoseImgView.html',
		noopsycheDiagnoseListView: 'views/medicalGuide/noopsycheDiagnoseListView.html',
		symptomDescribeView: 'views/medicalGuide/symptomDescribeView.html',
		selectedSymptomView: 'views/medicalGuide/selectedSymptomView.html',
		symptomResultView: 'views/medicalGuide/symptomResultView.html',
		diseaseView: 'views/medicalGuide/diseaseView.html',

		/*****************bookingAndRegister***********************/
		departListView: 'views/bookingAndRegister/departListView.html',
		doctorListView: 'views/bookingAndRegister/doctorListView.html',
        branchDoctorListView: 'views/bookingAndRegister/branchDoctorListView.html',
        newDoctorListView: 'views/bookingAndRegister/newDoctorListView.html',
        chooseRegDateView: 'views/bookingAndRegister/chooseRegDateView.html',
		expertIndexView: 'views/bookingAndRegister/expertIndexView.html',
        departIndexView: 'views/bookingAndRegister/departIndexView.html',
		regInfoConfirmView: 'views/bookingAndRegister/regInfoConfirmView.html',
        guahaoNticeView: 'views/bookingAndRegister/guahaoNticeView.html',
        callNumsView: 'views/bookingAndRegister/callNumsView.html',
        CallNumsListView: 'views/bookingAndRegister/CallNumsListView.html',
        medicalNumsView: 'views/bookingAndRegister/medicalNumsView.html',
        medicalNumsDetailView: 'views/bookingAndRegister/medicalNumsDetailView.html',
        careAppointmentView : 'views/infoRecords/careAppointmentView.html',
        hosptialListView : 'views/bookingAndRegister/hosptialListView.html',
        branchHosptialView : 'views/bookingAndRegister/branchHosptialView.html',
        childDeptView : 'views/bookingAndRegister/childDeptView.html',

		/******************infoRecords***************************/
		registrationRecordView: 'views/infoRecords/registrationRecordView.html',
        infoSearchView: 'views/infoRecords/infoSearchView.html',
        checkClauseView: 'views/infoRecords/checkClauseView.html',
        chooseDateView: 'views/infoRecords/chooseDateView.html',
        getCheckCodeView: 'views/infoRecords/getCheckCodeView.html',
		timeRegItem: 'views/infoRecords/fragment/timeRegItem.html',
        recordView: 'views/infoRecords/recordView.html',
        recordListView: 'views/infoRecords/recordListView.html',
        recordDetailView: 'views/infoRecords/recordDetailView.html',
        cardBalanceView: 'views/infoRecords/cardBalanceView.html',
		scheduleInqueryView: 'views/infoRecords/scheduleInqueryView.html',
		scheduleSearchResultView: 'views/infoRecords/scheduleSearchResultView.html',
		scheduleSearchResultSubView: 'views/infoRecords/fragment/scheduleSearchResultSubView.html',
        menzhenServiceView: 'views/infoRecords/menzhenServiceView.html',
        zyServiceView: 'views/infoRecords/zyServiceView.html',

		//more
		aboutUsView: 'views/more/aboutUsView.html',
		disclaimerView: 'views/more/disclaimerView.html',
		feedbackView: 'views/more/feedbackView.html',//意见反馈页面
		problemsListView: 'views/more/problemsListView.html',
		commonProblemsView: 'views/more/commonProblemsView.html',

        //pay
        selectPayWayView: 'payplatform/common/html/selectPayWayView.html',
        rechargeResultView: 'payplatform/common/html/rechargeResultView.html',

        //----------健康工具
        healthToolView: 'views/tools/healthToolView.html',
        bmiCalculatorView: 'views/tools/bmiCalculatorView.html',
        bmiResultView: 'views/tools/bmiResultView.html',
        hepatitisBSelfTestView: 'views/tools/hepatitisBSelfTestView.html',
        hepatitisBSelfTestResultView: 'views/tools/hepatitisBSelfTestResultView.html',
        babyBloodTypeTestView: 'views/tools/babyBloodTypeTestView.html',

        tcmPhysicalTestHistoryView: 'views/tools/tcmPhysicalTestHistoryView.html',
        tcmPhysicalTestHistorySubView: 'views/tools/fragment/tcmPhysicalTestHistorySubView.html',
        tcmPhysicalTestView: 'views/tools/tcmPhysicalTestView.html',
        tcmPinghezhiTestView: 'views/tools/tcmPinghezhiTestView.html',
        tcmQixuzhiTestView: 'views/tools/tcmQixuzhiTestView.html',
        tcmQiyuzhiTestView: 'views/tools/tcmQiyuzhiTestView.html',
        tcmShirezhiTestView: 'views/tools/tcmShirezhiTestView.html',
        tcmTanshizhiTestView: 'views/tools/tcmTanshizhiTestView.html',
        tcmTebingzhiTestView: 'views/tools/tcmTebingzhiTestView.html',
        tcmXueyuzhiTestView: 'views/tools/tcmXueyuzhiTestView.html',
        tcmYangxuzhiTestView: 'views/tools/tcmYangxuzhiTestView.html',
        tcmYinxuzhiTestView: 'views/tools/tcmYinxuzhiTestView.html',
        checkTestAnalysisView: 'views/tools/checkTestAnalysisView.html',
        checkTestAnalysisDetailView: 'views/tools/checkTestAnalysisDetailView.html',
        checkTestAnalysisSubView: 'views/tools/fragment/checkTestAnalysisSubView.html',

        // 护工预约
        nurseYuyueView: 'views/infoRecords/careAppointment/nurseYuyueView.html',
        nurseOnlineYuyueView: 'views/infoRecords/careAppointment/nurseOnlineYuyueView.html',
        nurseListView: 'views/infoRecords/careAppointment/nurseListView.html',
        nurseListDetailView: 'views/infoRecords/careAppointment/nurseListDetailView.html',
        nurseDetailView : 'views/infoRecords/careAppointment/nurseDetailView.html',
        confirmYuyueView: 'views/infoRecords/careAppointment/confirmYuyue.html',
        userPingjiaView : 'views/infoRecords/careAppointment/userPingjia.html',
        nursePriceView : 'views/infoRecords/careAppointment/nursePriceView.html',
       // 护士预约记录

        nurseYuyueRecord: 'views/infoRecords/careAppointment/nurseYuyueRecord.html',
        yuyueRecordDetial : 'views/infoRecords/careAppointment/yuyueRecordDetial.html',
        completeYuyueView : 'views/infoRecords/careAppointment/completeYuyueView.html',
       //住院信息管理
        contactsManage: 'views/infoRecords/careAppointment/contactsManage.html' ,
        addContactMan: 'views/infoRecords/careAppointment/addContactMan.html' ,
        commentReviewView : 'views/infoRecords/careAppointment/commentReviewView.html',
        favoritesView:'views/infoRecords/careAppointment/favoritesView.html',
        searchNurseView: 'views/infoRecords/careAppointment/searchNurseView.html',
        updateContactsView : 'views/infoRecords/careAppointment/updateContactsView.html',
        chooseContactView : 'views/infoRecords/careAppointment/chooseContactView.html',
        backgroundView : 'views/infoRecords/careAppointment/backgroundView.html',
        favoritesDetialView : 'views/infoRecords/careAppointment/favoritesDetialView.html',
        patientNoticeView : 'views/infoRecords/careAppointment/patientNoticeView.html',
        patientNoticeDetialView : 'views/infoRecords/careAppointment/patientNoticeDetialView.html'

	},
	errorMsg: {
		COMPLETE_CODE_AND_PASSWORD: '请填写账号和密码',
		NO_MOBILE: '请输入手机号',
		MOBILE_FORMAT_ERROR: '手机号格式错误',
		NO_PASSWORD: '请输入密码',
		PASSWORD_NOT_EQUALS_REPASSWORD: '两次密码输入不一致',
		NO_SECURITY_CODE: '请输入验证码',
		NO_GET_SECURITY_CODE: '请先获取验证码',
		SECURITY_CODE_ERROR: '验证码错误',
		MOBILE_HAS_REGISTER: '此手机号已注册',
		MOBILE_NO_REGISTER: '此手机号没注册',
		NOT_COMPLETE_FORM: '请填写完整表格',
		CONTENT_NOT_HAS_SPACE: '内容中不能包含空格',
		NETWORK_ERROR: '网络繁忙，请重试:-(',
		NO_OLD_PASSWORD: '请输入旧密码',
		NO_NEW_MOBILE: '请输入新手机号',
		NO_NEW_PASSWORD: '请输入新密码',
        NO_RE_PASSWORD: '请输入确认密码',
		LOGIN_AGAIN: '涉及您的敏感信息，长时间未操作请重新登录！',
		SESSION_ERROR_CODE: '-1',
		MEDICAL_CARD_NOT_VALID: '请绑定有效就诊卡',
		DATA_EXCEPTION: '数据异常，请稍后再试'
	},
	isAnyViewScrolling: false,
	isAnyViewInTransition: false
};
