/**
 * Created with IntelliJ IDEA.
 * User: cfl
 * Date: 14-7-18
 * Time: 上午10:21
 * To change this template use File | Settings | File Templates.
 */

//记录类入口
Callback.showInfoSearchView = function(){
    if (!UserProfile.isUserLoggedIn()) {
        Util.alert('使用此功能，请先登录！',function(){
            StageManager.pushView(Views.loginView);
        });
        return
    }
    StageManager.pushView(Views.infoSearchView);
};
Views.infoSearchView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'infoSearchView',
        name: '信息查询'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});
Callback.showCheckClauseView = function(btnId, pageName){
    var rel = $('#'+btnId).attr('data-rel'), type = '';
    if(pageName){
        rel = pageName;
    }
    if(rel === 'checkInspectRecordView'){
        type = 'PACS_DISCLAIMER';
    }else if(rel === 'checkupRecordView'){
        type = 'ASSAY_DISCLAIMER';
    }
    Widget.popupLoading('正在加载...');
    FuckHttp.loadHospitalNote({
        data: {type: type},
        doneError: function(json) {},
        success: function(json) {
            Widget.popupLoadingClose();
            if (json.data && json.data.content) {
                json.data.type = rel;
                Util.data('checkClause', json.data);
                StageManager.pushView(Views.checkClauseView);
            }
           }
    });
};
Views.checkClauseView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'checkClauseView',
        name: '检查检验条款'
    },
    willShow: function(ct){
        this.render(ct, {
            data: Util.data('checkClause')
        })
        this.makeScrollable($('#checkClause'));
    },
    didShow: function () {

    }
});
Views.chooseDateView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'chooseDateView',
        name: '选择时间'
    },
    willShow: function(ct){
        var type = Util.data('checkDateType');
        var checkDate = Util.data('check.Date');
        var theDate = checkDate[type],
            maxDate='',
            minDate='';
        var infoType = Util.data('infoType');

        if(infoType === 'costRecordView' || infoType === 'rechargeRecordView' || infoType === 'zyRechargeRecordView' || infoType === 'caseRecordView'){
            var days = Util.data(Views[infoType].options.rangeType);
            if(type === 'beginDate'){
                if (days) {
                    minDate = new Date(new Date() - 1000*60*60*24*days);
                }
                maxDate = new Date(checkDate.endDate.replace(/-/g,"/"));
            }else if(type === 'endDate'){
                minDate = new Date(checkDate.beginDate.replace(/-/g,"/"));
                maxDate = new Date();
            }
        }
        else if(infoType == 'nurseDetailView'){
            if(type === 'beginDate'){
                checkDate[type]  =  checkDate[type] || DateUtil.formatWithPatternDate('yyyy-mm-dd',new Date(new Date() - 0  + 1000*60*60*24*1)) ;
                minDate =  new Date(new Date() - 0  + 1000*60*60*24*1);
                maxDate = checkDate.endDate ? new Date(checkDate.endDate.replace(/-/g,"/")) : new Date(new Date() - 0 + 1000*60*60*24*104) ;
            }else if(type === 'endDate'){
                checkDate[type] =   checkDate[type] || DateUtil.formatWithPatternDate('yyyy-mm-dd', new Date(checkDate.beginDate.replace(/-/g,"/")))
                minDate = checkDate.beginDate ? new Date(checkDate.beginDate.replace(/-/g,"/")) : new Date(new Date() - 0  + 1000*60*60*24*1);
                maxDate = new Date(new Date() - 0 + 1000*60*60*24*104);
            }
        }else{
            if(type === 'beginDate'){
                minDate = new Date(new Date() - 1000*60*60*24*92);

                maxDate = new Date(checkDate.endDate.replace(/-/g,"/"));
            }else if(type === 'endDate'){
                minDate = new Date(checkDate.beginDate.replace(/-/g,"/"));
                maxDate = new Date() ;
            }
        }

        this.render(ct, {
            data: theDate ,
            val: checkDate[type]
        });
        var mscroller = $('#theDate');
        var type = mscroller.attr('type'), display = mscroller.attr('display') || 'bottom';

        if( type === 'date' ) {
            mscroller.mobiscroll().date({
                theme: 'ios7',
                lang: 'zh',
                display: display,
                mode: 'scroller',
                dateFormat: 'yyyy-mm-dd',
                dateOrder: 'yymmdd',
                dayText: '日', monthText: '月', yearText: '年',
                maxDate: new Date(maxDate),
                minDate: new Date(minDate)
            });
        }
        mscroller.mobiscroll('show');
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});
Callback.chooseCheckRecordDate = function(btnId){
    Util.data('checkDateType', $('#'+btnId).attr('data-rel'));

    StageManager.pushView(Views.chooseDateView);
};
Callback.chooseZyCostDate = function(btnId){
    Util.data('checkDateType', $('#'+btnId).attr('data-rel'));
    StageManager.pushView(Views.chooseDateView);
};
Callback.confirmCheckDate = function(){
    var type = Util.data('checkDateType');
    var checkDate = Util.data('check.Date');
    var date = $('#theDate').val();
    if(type && checkDate){
        checkDate[type] = date;
    }
    Util.data('check.Date', checkDate);
    var member = Util.data('cache.Info');
    if(member){
        var infoType = Util.data('infoType');
        Util.data(infoType+'.member'+ member.id, '');
    }
    Callback.pageBack();
};
Views.getCheckCodeView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'getCheckCodeView',
        name: '获取验证码'
    },
    willShow: function(ct) {
        this.render(ct,{

        });
        Util.inputs($('input'));
        if( Util.data('reGetSC.interval') || Util.data('reGetSC.time') ) {
            $('#scBtn').removeClass('ui-btn').addClass('gray').html(Util.data('reGetSC.time')+'秒');
        }
    },
    getSecurityCode: function(params, btnId) {
        var member = UserProfile.getCurrentMember();
        var card = Util.data('cache.card');
        FuckHttp.getCheckSecCode({
            data: {
//                patientId: member.id,
//                accountId: member.accountId,
//                patientName: member.name,
//                medicalCardNo: member.medicalCardNo,
//                mobileNo: member.mobileNo,
//                codeType: 3

                patientId: member.id,
                accountId: member.accountId,
                patientName: member.name,
                name: card.name,
                medicalCardNo: card.medicalCardNo,
                mobileNo: member.mobileNo,
                codeType: 3
            },
            success: function(json) {
                Util.alert(json.errMsg);
                Callback.disableGetSCode(btnId);
            }
        });
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});
Callback.getCheckSecCode = function(btnId){
    Views.getCheckCodeView.getSecurityCode('', btnId);
};
Callback.confirmCheckCode = function(){
    var securityCode = $('#securityCode').val();
    if(!securityCode){
        Widget.popupToast('请输入验证码');
        return;
    }
    var infoType = Util.data('infoType');
    if(infoType === 'checkupRecordView'){
        Util.data('check.securityCode', securityCode);
    }
    if(infoType === 'checkInspectRecordView'){
        Util.data('checkInspect.securityCode', securityCode);
    }
    var pageName = Util.data('infoType');
    Callback.pageBackToView(pageName);
};


Callback.showRecordView = function(btnId) {
	if (!UserProfile.isUserLoggedIn()) {
		Util.alert('使用此功能，请先登录！',function(){
			StageManager.pushView(Views.loginView);
		});
		return
	}
//	if( UserProfile.accounts.length === 0 ) {
//		Util.alert('您暂时无持卡人信息，请至个人中心添加！',function(){
//			StageManager.pushView(Views.memberSelectView);
//		});
//		return;
//	}

	var member = UserProfile.getCurrentMember();
	if (!member) {
		Util.data('cache.personalInfo', UserProfile.accounts[0]);
	}

	var pageName = $('#'+btnId).attr('data-rel');
    Util.data('check.securityCode', '');
    Util.data('checkInspect.securityCode', '');
    member = UserProfile.getCurrentMember();
    if(member){
        Util.data(Views[pageName].options.dataKey+member.id, '');
    }
    Util.data('cache.personalInfo', '');
    Util.data('cache.card', '');
    Util.data('infoType', pageName);

    var checkDate = {};
    if(pageName === 'checkupRecordView' || pageName === 'checkInspectRecordView'){
        checkDate = {
            beginDate: new Date(new Date()-1000*60*60*24*7).format('yyyy-MM-dd'),
            endDate: new Date().format('yyyy-MM-dd')
        };
    }else if(pageName === 'zyCostRecordView'){
        checkDate = {
            beginDate: new Date(new Date()-1000*60*60*24*1).format('yyyy-MM-dd'),
            endDate: new Date(new Date()-1000*60*60*24*1).format('yyyy-MM-dd')
        };
    }else if(pageName === 'costRecordView' || pageName === 'rechargeRecordView' || pageName === 'zyRechargeRecordView'){
        checkDate = {
            beginDate: new Date().format('yyyy-MM-dd'),
            endDate: new Date().format('yyyy-MM-dd')
        };
    }

    Util.data('check.Date', checkDate);

	StageManager.pushView(Views[pageName]);
};
// ------------------------- 预约记录记录查询 > appointmentRegRecordView
//
Views.appointmentRegRecordView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'registrationRecordView',
		id: 'appointmentRegRecordView',
		name: '预约记录',
		dataKey: 'appointmentRegs.member'
	},
	willShow: function(ct) {
		var self = this, member = UserProfile.getCurrentMember(), regs = Util.data(this.options.dataKey+member.id);
		if( !regs || APPVERSION === 'web' ) {
			regs = null;
		}
        var param =  Util.data('reg.param');
        var hosptial = param.hospital , hosptialName;
        if(hosptial == "GRINM"){
            hosptialName = '福建省立医院' ;
        }else{
            hosptialName = '福建省立金山医院（南院）' ;
        }
		this.render(ct,{
			title: this.options.name,
			member: member,
			regs: regs,
            card: Util.data('cache.card'),
            hosptialName : hosptialName
		});
		this.makeScrollableWithPullRefresh($('#reg-records'),{
			onPullUpRefresh: function() {
				Widget.popupToast('onPullUpRefresh');
			},
			onPullDownRefresh: function() {
                Util.data(self.options.dataKey+member.id, '');
				self.ajaxRegs(function(data){
					if( data && data.length > 0 ) {
						$('.ui-pullUp').removeClass('ui-hidden');
					} else {
						$('.ui-pullUp').addClass('ui-hidden');
					}
				}, 'index');
			}
		});

		this.currentMouth = DateUtil.formatWithPatternDate('yyyy-mm', new Date());
	},
    didShow: function() {
        this.ajaxRegs(function(data){
            if( data && data.length > 0 ) {
                $('.ui-pullUp').removeClass('ui-hidden');
            } else {
                $('.ui-pullUp').addClass('ui-hidden');
            }
        }, 'index');
    },
	ajaxRegs: function(callback, type) {
		var self = this, member = UserProfile.getCurrentMember(), url, param = {deviceId: DEVICE_UUID, version: VERSION_NUMBER, hospitalId: HOSPITAL_ID};
		if( type === 'index' ) {
			Util.log('');
		} else if ( type === 'more' ) {
			param.yearMonth = this.currentMouth;
		}
		if( APPVERSION === 'web' ) {
			setTimeout(function(){
				self.loadHtml(TestData.timeRegs, type);
				if(callback) callback(TestData.timeRegs);
			},600);
		} else {
            if(!member){
                Widget.popupToast('请先选择就诊卡');
                self.loadHtml([], type);
                return;
            }
            var param =  Util.data('reg.param');
            var hosptial = param.hospital , hosptialID;
            if(hosptial == "GRINM"){
                hosptialID = HOSPITAL_ID ;
            }else{
                hosptialID =  BRANCH_HOSPITAL_ID ;
            }
			FuckHttp.getAppointmentRecords({
				memberId: member.id,
				data: {
                    hospitalId :  hosptialID ,
                    yearMonth: type === 'index' ? '' : self.currentMouth
                },
				doneError: function(json) {
					if (json.data === -1) {
						Util.confirm(json.errMsg, function(index) {
							if (index === 2) {
								// StageManager.pushView(Views.memberListView);
								Callback.showMemberChoose();
							}
						});
					} else {
                        var msg = '没有记录';
                        if(type === 'more'){
                            msg = '没有更多记录';
                        }
						Util.alert(msg);
					}

					if( type === 'index' ) {
						Util.data(self.options.dataKey+member.id, '');
						self.loadHtml([], type);
					}

					if(callback) callback();
				},
				success: function(json) {
					if( json.data ) {
						self.currentMouth = json.data.monthName;
					} else {
                        var msg = '没有记录';
                        if(type === 'more'){
                            msg = '没有更多记录';
                        }
                        Util.alert(msg);
					}
					if( type === 'index' ) {
						Util.data(self.options.dataKey+member.id, json);
					}
					self.loadHtml(json.data, type);
					if(callback) callback(json.data.regRecords);
				},
				error: function() {
					if(callback) callback();
				}
			});
		}
	},
	loadHtml: function(data, type) {
        var param =  Util.data('reg.param');
        var hosptial = param.hospital , hosptialName;
        if(hosptial == "GRINM"){
            hosptialName = '福建省立医院' ;
        }else{
            hosptialName = '福建省立金山医院（南院）' ;
        }
		if( type === 'index' ) {
			$('.reg-records-list').html(Views.tmpl.timeRegItem({
				title: this.options.name,
				modal: type,
				regs: data ,
                hosptialName: hosptialName
			}));
		} else if( type === 'more' ) {

			$('.reg-records-list').append(Views.tmpl.timeRegItem({
				title: this.options.name,
				modal: type,
				regs: data,
                hosptialName: hosptialName
			}));
		}
	},
	deleteRegRecordInFront: function(btnId) {
		Widget.popupToast('取消预约成功');
		$('#'+btnId).replaceWith('<div class="reg-num-down cancel" style="left: -5px">已退号</div>');

	}
});
Callback.loadMoreReg = function() {
	$('.ui-pullUp').addClass('loading').find('span').html('');
	StageManager.getCurrentView().ajaxRegs(function(data){
		if( data && data.length > 0 ) {
			$('.ui-pullUp').removeClass('ui-hidden').removeClass('loading').find('span').html('更多历史');
		} else {
			$('.ui-pullUp').addClass('ui-hidden').removeClass('loading').find('span').html('更多历史');
		}
	}, 'more');
};
Callback.cancelYuyue = function(btnId) {
	var id = $('#'+btnId).attr('data-rel');
	Util.confirm('确认取消预约吗？', function(index) {
		if (index === 2) {
			if( APPVERSION === 'web' ) {
				Views.appointmentRegRecordView.deleteRegRecordInFront(btnId);
				return;
			}
			FuckHttp.cancelAppointment({
				id: id,
				success: function(json) {
					Views.appointmentRegRecordView.deleteRegRecordInFront(btnId);
				}
			});
		}
	});
};

Callback.updateRegStatus = function(btnId) {
    var businessNo = $('#' + btnId).attr('data-rel'),
        member = UserProfile.getCurrentMember(),
        self = Views.appointmentRegRecordView;
    FuckHttp.updateRegStatus({
        data: {businessNO: businessNo},
        success: function(json) {
            Util.data(self.options.dataKey+member.id, '');
            self.ajaxRegs(function(data){
                if( data && data.length > 0 ) {
                    $('.ui-pullUp').removeClass('ui-hidden');
                } else {
                    $('.ui-pullUp').addClass('ui-hidden');
                }
            }, 'index');
        }
    });
};

Callback.showAllDeptListView = function(btnId) {
    Util.data('doctorList.addDept', false);
    Util.data('reg.param', {});
    var  btn = $('#'+ btnId);
    var type = $('#'+btnId).attr('data-rel');
    var expertType = btn.attr('data-expertType'),
        regType = btn.attr('data-regType');

    var regParam = Util.data('reg.param');
    if(expertType){
        regParam.expertType = expertType;
    }
    if(regType) {
        regParam.regType = regType;
    }
    Util.data('reg.param',regParam);
	CACHE.changeDoctorAction('chooseDoctorForReg');
	CACHE.changeDeptSourceType('expert');
	CACHE.changeDeptAction('expertDepartIndex');
    if(type === 'guide'){
        CACHE.changeDeptAction('chooseDeptForGuide');
    }
	showAllDeptListView();
};
function showAllDeptListView() {
	if( APPVERSION === 'web' ) {
		StageManager.pushView(Views.departListView);
	} else {
        var data = Util.data('allDepts'),
            time = Util.data('allDepts.time');
        if( !data || (new Date()).getTime() - time > Util.MILLIS_1_DAY ) {
            FuckHttp.showAllDepartListView({
                success: function (json) {
                    Util.data('allDepts', json.data);
                    Util.data('allDepts.time',(new Date()).getTime());

                    Util.data('departs', combineDeparts(json.data));
                    StageManager.pushView(Views.departListView);
                }
            });
        }else{
            Util.data('departs', combineDeparts(data));
            StageManager.pushView(Views.departListView);
        }
	}
}
// ------------------------- 排班查询
//
Views.scheduleInqueryView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'scheduleInqueryView',
		name: '出诊查询'
	},
	willShow: function(ct) {
		var searchVal = Util.data('scheduleInqueryView.searchVal');
		if (searchVal) {
			Util.data('scheduleInqueryView.searchVal', '');
		}
		this.render(ct, {
			searchVal: searchVal
		});
		Util.bindForInputClearBtn(ct.find('input.search-input'));
	}
});
Callback.emptysearchInput = function(btnId) {
    $('input.search-input').val('');
    $('#' + btnId).addClass('ui-hidden');
    if(btnId === 'clearDeptBtn') {
        Views.departListView.filterDeparts('');
    }
};
Callback.emptysearch = function(btnId) {
    $('input.search-input').val('');
    $('#' + btnId).addClass('ui-hidden');
    if(btnId === 'clearDeptBtn') {
        Views.branchHosptialView.filterDepart('');
    }
};
Callback.searchExpertSchedule = function() {
	Widget.popupToast('请选择“搜索专家”或者“搜索科室”。');
};

//条件搜索专家
Callback.searchExpertScheduleByExpert = function() {
    Util.data('doctorList.addDept', false);
	var searchVal = $('input.search-input').val().trim();
	if (!searchVal.length) {
		Widget.popupToast('请输入搜索条件');
		return;
	}
	Util.data('reg.param', '');
	CACHE.changeDoctorAction('chooseDoctorForReg');
	CACHE.changeDeptSourceType('expert');
	if( APPVERSION === 'web' ) {
		Util.data('doctors',TestData.deptExperts);
		StageManager.pushView(Views.scheduleSearchResultView);
		return;
	}
    //init data
    var callback = function() {
        var jsonData = Util.data('doctors&departs');
        var list = filterDoctors(searchVal, jsonData);
        if (list.length === 0) {
            Widget.popupToast('没有相应的专家信息');
            return;
        }
        Util.data('doctors', list);
        StageManager.pushView(Views.doctorListView);
    };

    FuckHttp.getDeptAndExperts({
        success: function(json){
            Util.data('doctors&departs', json.data);
            Util.data('doctors&departs.getTime',(new Date()).getTime());
            if (typeof callback === 'function') {
                callback();
            }
        }
    });
    return;


};
function filterDoctors(searchVal, data) {
	if (!searchVal) {
		return data;
	}
	var list = [];
	for (var i = 0; i < data.length; i++) {
		var dept = data[i], tempDept = $.extend({}, dept);
		tempDept.doctors = [];
		for (var j = 0; j < dept.doctors.length; j++) {
			var doctor = dept.doctors[j], searchString;
            if(Validator.letter.test(searchVal)) {
                searchVal = searchVal.toUpperCase();
                searchString = doctor.shortPinyin;
                if (searchString.indexOf(searchVal) === 0 ) {
					doctor.departId = dept.id;
                    doctor.deptName = dept.name;
					list.push(doctor);
				}
            } else {
				searchString = doctor.name;
				if (searchString.indexOf(searchVal) > -1) {
					doctor.departId = dept.id;
					doctor.deptName = dept.name;
					list.push(doctor);
				}
            }
		}
		if (tempDept.doctors.length > 0) {
			list.push(tempDept);
		}
	}
	return list;
}


Callback.searchExpertScheduleByDept = function(btnId) {
    Util.data('doctorList.addDept', false);
	var searchVal = $('input.search-input').val().trim();
	if (!searchVal.length) {
		Widget.popupToast('请输入搜索条件');
		return;
	}

	Util.data('reg.param', {});
    var  btn = $('#'+ btnId);
    var expertType = btn.attr('data-expertType'),
        regType = btn.attr('data-regType');
    var regParam = Util.data('reg.param');
    if(expertType){
        regParam.expertType = expertType;
    }
    if(regType) {
        regParam.regType = regType;
    }
    Util.data('reg.param', regParam);

	CACHE.changeDoctorAction('chooseDoctorForReg');
	CACHE.changeDeptSourceType('expert');
	CACHE.changeDeptAction('expertDepartIndex');
    if( APPVERSION === 'web' ) {
        StageManager.pushView(Views.departListView);
    } else {
        var data = Util.data('allDepts'),
            time = Util.data('allDepts.time');
        if( !data || (new Date()).getTime() - time > Util.MILLIS_1_DAY ) {
            FuckHttp.showAllDepartListView({
                success: function (json) {
                    Util.data('allDepts', json.data);
                    Util.data('allDepts.time',(new Date()).getTime());
                    var list = filterDepts(searchVal, json.data);
                    if (list.length === 0) {
                        Widget.popupToast('没有相应的科室信息');
                        return;
                    }
                    Util.data('departs', combineDeparts(list));
                    StageManager.pushView(Views.departListView);
                }
            });
        }else{
            var list = filterDepts(searchVal, data);
            if (list.length === 0) {
                Widget.popupToast('没有相应的科室信息');
                return;
            }
            Util.data('departs', combineDeparts(list));
            StageManager.pushView(Views.departListView);
        }
    }
};

Callback.allExpertDepartIndex = function(btnId) {
    var _btn = $('#'+btnId), departId = _btn.attr('data-rel')-0, depart;
    if( APPVERSION === 'web' ) {
        depart = TestData.departCommon;
    } else {
        depart = CACHE.getDepartById(departId);
    }
    if( !depart ) {
        return;
    }
    CACHE.changeDepart(depart);
    showAllDoctorListView(depart);
};

//加载全部专家和科室
function cacheDeptAndDoctors(callback) {
	if( APPVERSION === 'web' ) {
		Util.data('doctors&departs',TestData.deptExperts);
		if (typeof callback === 'function') {
			callback();
		}
		return;
	}
	//init data
	var data = Util.data('doctors&departs'), time = Util.data('doctors&departs.getTime'), self = this;
	if( !data || (new Date()).getTime() - time > Util.MILLIS_HALF_HOUR ) {
		FuckHttp.getDeptAndExperts({
			data: {expertType:'ALL',regType:''},
			success: function(json){
				Util.data('doctors&departs', json.data);
				Util.data('doctors&departs.getTime',(new Date()).getTime());
				if (typeof callback === 'function') {
					callback();
				}
			}
		});
		return;
	}
	if (typeof callback === 'function') {
		callback();
	}
}

function filterDepts(searchVal, data) {
	var list = [];
	for (var i = 0; i < data.length; i++) {
        if(Validator.letter.test(searchVal)) {
            searchVal = searchVal.toUpperCase();
        }
		var str = data[i].name + data[i].shortPinyin;
		if (str.indexOf(searchVal) > -1) {
			list.push(data[i]);
		}
	}
	return list;
}

// ------------------------- 排班查询-搜索结果
//

Views.scheduleSearchResultView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'scheduleSearchResultView',
		name: '排班查询-搜索结果'
	},
	willShow: function(ct) {
		this.render(ct);
	},
	didShow: function(ct) {
		this.renderResults();
	},
	renderResults: function() {
		var el = $('#scheduleSearchResult'), data = Util.data('doctors');

		el.find('.ui-scroller').html(Views.tmpl.scheduleSearchResultSubView({
			data: data
		}));
		this.scroller = this.makeScrollable(el);
	}
});

Callback.chooseDoctorForRegByInfoRecords = function(btnId) {
	var _btn = $('#' + btnId),
		departId = _btn.attr('depart-id'),
		doctorId = _btn.attr('doctor-id'),
		dept = CACHE.getDeptByInfoId(departId),
		doctor = CACHE.getDoctorByInfoId(dept, doctorId);

	if (!doctor) {
		Widget.popupToast(Views.errorMsg.DATA_EXCEPTION);
		return;
	}
	CACHE.changeDepart(dept);
	CACHE.changeDoctor(doctor);
	expertToClinic();
};

// ------------------------- 费用记录查询 > costRecordView
//
Views.costRecordView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'recordView',
        id: 'costRecordView',
        name: '门诊清单查询',
        dataKey: 'costRecordView.member',
        ajaxFun: 'ajaxCost',
        refreshFun: 'ajaxCostRefresh',
        ajaxDetail: 'getCostInfo',
        rangeType: 'EXPENSE'
    },
    willShow: function(ct) {
        var self = this, member = UserProfile.getCurrentMember(), regs = Util.data(this.options.dataKey+ (member ? member.id : ''));
        if( !regs || APPVERSION === 'web' ) {
            regs = null;
        }
        var card = Util.data('cache.card');
        if(!card || !card.id){
            Util.data('cache.card', '')
        }
        this.render(ct,{
            card: Util.data('cache.card'),
            title: this.options.name,
            member: member,
            regs: regs
        });
        this.makeScrollableWithPullRefresh($('#reg-records'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                Util.data(self.options.dataKey+(member ? member.id : ''), '');
                self.ajaxRegs(function(data){
                    if( data && data.length > 0 ) {
                        $('.ui-pullUp').removeClass('ui-hidden');
                    } else {
                        $('.ui-pullUp').addClass('ui-hidden');
                    }
                    if(self.options.id === 'checkupRecordView' || self.options.id === 'checkInspectRecordView' || self.options.id === 'mzSettleRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView' || self.options.id === 'zyCostRecordView' || self.options.id === 'costRecordView'){
                        $('.ui-pullUp').addClass('ui-hidden');
                    }
                }, 'index');
            }
        });

        if(Util.data('infoType') === 'zyRechargeRecordView' || Util.data('infoType') === 'zyCostRecordView'){
            $('#selectName', ct).html('选择住院号');
            $('#selectBtn', ct).attr('data-rel', '住院号');
        }

        this.currentMouth = DateUtil.formatWithPatternDate('yyyy-mm', new Date());
    },
    didShow: function() {
        var self = this;
        if (Util.data('infoType') == 'costRecordView' || Util.data('infoType') == 'rechargeRecordView' || Util.data('infoType') == 'zyRechargeRecordView') {
            FuckHttp.ajaxReportRange({
                data: {reportType: self.options.rangeType},
                success: function(json) {
                    Util.data(self.options.rangeType, json.data.days - 0);
                    self.ajaxRegs(function(data){
                        if( data && data.length > 0 ) {
                            $('.ui-pullUp').removeClass('ui-hidden');
                        } else {
                            $('.ui-pullUp').addClass('ui-hidden');
                        }
                        if(self.options.id === 'checkupRecordView'|| self.options.id === 'checkInspectRecordView' || self.options.id === 'mzSettleRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView' || self.options.id === 'zyCostRecordView' || self.options.id === 'costRecordView'){
                            $('.ui-pullUp').addClass('ui-hidden');
                        }
                    }, 'index');
                },
                error: function() {
                    self.ajaxRegs(function(data){
                        if( data && data.length > 0 ) {
                            $('.ui-pullUp').removeClass('ui-hidden');
                        } else {
                            $('.ui-pullUp').addClass('ui-hidden');
                        }
                        if(self.options.id === 'checkupRecordView'|| self.options.id === 'checkInspectRecordView' || self.options.id === 'mzSettleRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView' || self.options.id === 'zyCostRecordView' || self.options.id === 'costRecordView'){
                            $('.ui-pullUp').addClass('ui-hidden');
                        }
                    }, 'index');
                }
            });
            return;
        }
        self.ajaxRegs(function(data){
            if( data && data.length > 0 ) {
                $('.ui-pullUp').removeClass('ui-hidden');
            } else {
                $('.ui-pullUp').addClass('ui-hidden');
            }
            if(self.options.id === 'checkupRecordView'|| self.options.id === 'checkInspectRecordView' || self.options.id === 'mzSettleRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView' || self.options.id === 'zyCostRecordView' || self.options.id === 'costRecordView'){
                $('.ui-pullUp').addClass('ui-hidden');
            }
        }, 'index');
    },
    ajaxRegs: function(callback, type) {
        var self = this,
            member = UserProfile.getCurrentMember(),
            url,
            param = {deviceId: DEVICE_UUID, version: VERSION_NUMBER, hospitalId: HOSPITAL_ID};
        if( type === 'index' ) {
            Util.log('');
        } else if ( type === 'more' ) {
            param.yearMonth = this.currentMouth;
        }
        if( APPVERSION === 'web' ) {
            setTimeout(function(){
                self.loadHtml(TestData.timeRegs, type);
                if(callback) callback(TestData.timeRegs);
            },600);
        } else {

            if(!member || !member.id){
                if(Util.data('infoType') === 'zyRechargeRecordView' || Util.data('infoType') === 'zyCostRecordView'){
                    Widget.popupToast('请先选择住院号');
                }else{
                    Widget.popupToast('请先选择就诊卡');
                }

                self.loadHtml([], type);
                return;
            }
            var data= {};

            if(self.options.id === 'checkupRecordView'){
                var card = Util.data('cache.card');
                if(!Util.data(member.id+ '.hasCode') && !Util.data('check.securityCode')){

                    if(Util.data('renderType') === 'pushView'){
                        Callback.showCheckClauseView('', self.options.id);
                    }else if(Util.data('renderType') === 'pageBack'){
                        self.loadHasBtnHtml();
                    }
                    return;
                }else if(!Util.data(member.id+ '.hasCode') && Util.data('check.securityCode')){

                    data.verifyCode = Util.data('check.securityCode');
                    data.patientName = member.name;
                    data.name = card.name;
                    data.medicalCardNo = member.medicalCardNo;
                    data.mobileNo = member.mobileNo;
                    data.codeType = 3;
                    data.hospitalId = HOSPITAL_ID;
                    data.accountId = UserProfile.id;
                    data.patientId = member.id;
                }
                var checkDate = Util.data('check.Date');
                data.beginDate = checkDate.beginDate;
                data.endDate =  checkDate.endDate;
            }
            if(self.options.id === 'checkInspectRecordView'){
                var card = Util.data('cache.card');
                if(!Util.data(member.id+ '.hasCheckInspectCode') && !Util.data('checkInspect.securityCode')){

                    if(Util.data('renderType') === 'pushView'){
                        Callback.showCheckClauseView('', self.options.id);
                    }else if(Util.data('renderType') === 'pageBack'){
                        self.loadHasBtnHtml();
                    }
                    return;
                }else if(!Util.data(member.id+ '.hasCheckInspectCode') && Util.data('checkInspect.securityCode')){
                    data.verifyCode = Util.data('checkInspect.securityCode');
                    data.patientName = member.name;
                    data.name = member.name;
                    data.medicalCardNo = member.medicalCardNo;
                    data.mobileNo = member.mobileNo;
                    data.codeType = 3;
                    data.hospitalId = HOSPITAL_ID;
                    data.accountId = UserProfile.id;
                    data.patientId = member.id;
                }
                var checkDate = Util.data('check.Date');
                data.beginDate = checkDate.beginDate;
                data.endDate =  checkDate.endDate;
            }
            if(self.options.id === 'costRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView'){
                var checkDate = Util.data('check.Date');
                if (!checkDate) {
                    checkDate = {
                        beginDate: new Date().format('yyyy-MM-dd'),
                        endDate: new Date().format('yyyy-MM-dd')
                    }
                    Util.data('check.Date', checkDate);
                }
                data.beginDate = checkDate.beginDate;
                data.endDate =  checkDate.endDate;
            }

            if(type === 'more'){
                data.yearMonth = self.currentMouth;
            }
            if(self.options.id === 'rechargeRecordView'){
                data.type = 'MEDICAL_CARD_CHARGE';
                data.patientId = member.id;
                data.medicalCardNo = member.medicalCardNo;
            }
            if(self.options.id === 'zyRechargeRecordView'){
                data.type = 'IN_PATIENT_CHARGE';
                data.patientId = member.id;
                data.medicalCardNo = member.medicalCardNo;
            }
            if(self.options.id === 'zyCostRecordView'){
                var checkDate = Util.data('check.Date');
                data.beginDate = checkDate.beginDate;
                data.endDate =  checkDate.beginDate;
            }
            var regs = Util.data(self.options.dataKey+member.id);
            if(type !== 'more' && regs){
                self.loadHtml(regs, type);
                if(callback) callback(regs);
                return;
            }
            FuckHttp[self.options.ajaxFun]({
                memberId: member.id,
                data: data,
                doneError: function(json) {
                    if(self.options.id === 'checkupRecordView'){
                        Util.data('check.securityCode', '');
                    }
                    if(self.options.id === 'checkInspectRecordView'){
                        Util.data('checkInspect.securityCode', '');
                    }
                    if (json.data === -1) {
                        if(self.options.id === 'checkupRecordView'){
                            Util.data(member.id + '.hasCode', true);
                        }
                        if(self.options.id === 'checkInspectRecordView'){
                            Util.data(member.id + '.hasCheckInspectCode', true);
                        }
                        Util.confirm(json.errMsg, function(index) {
                            if (index === 2) {
                                // StageManager.pushView(Views.memberListView);
                                Callback.showMemberChoose();
                            }
                        });
                    } else {
                        if(self.options.id === 'checkupRecordView'){
                            if(json.errMsg.indexOf('验证码') >= 0){
                                self.loadHasBtnHtml();
                                Util.alert(json.errMsg, function(){
//                                    StageManager.pushView(Views.getCheckCodeView);
                                    Callback.showCheckClauseView('', self.options.id);
                                });
                                return;
                            }else{
                                Util.data(member.id + '.hasCode', true);
                            }
                        }
                        if(self.options.id === 'checkInspectRecordView'){
                            if(json.errMsg.indexOf('验证码') >= 0){
                                self.loadHasBtnHtml();
                                Util.alert(json.errMsg, function(){
//                                    StageManager.pushView(Views.getCheckCodeView);
                                    Callback.showCheckClauseView('', self.options.id);
                                });
                                return;
                            }else{
                                Util.data(member.id + '.hasCheckInspectCode', true);
                            }
                        }

                        if(self.options.id === 'zyCostRecordView'){
                            Util.alert(data.beginDate + '未发现清单记录');
                        }else if(self.options.id === 'costRecordView' || self.options.id === 'rechargeRecordView' || self.options.id === 'zyRechargeRecordView'){
                            if(data.beginDate === data.endDate){
                                Util.alert(data.beginDate+'未发现清单记录');
                            }else{
                                Util.alert(data.beginDate+ '至' + data.endDate+'未发现清单记录');
                            }
                        }else if(self.options.id === 'checkupRecordView'){
                            Util.alert(data.beginDate+ '至' + data.endDate+'未查询到已发布报告，请您更改日期或稍候再试，谢谢 ！');
                        }else {
                            Util.alert(json.errMsg);
                        }
                    }

                    if( type === 'index' ) {
                        Util.data(self.options.dataKey+member.id, '');
                        self.loadHtml([], type);
                    }

                    if(callback) callback();
                },
                success: function(json) {
                    if(self.options.id === 'checkupRecordView'){
                        Util.data('check.securityCode', '');
                        Util.data(member.id + '.hasCode', true);
                    }
                    if(self.options.id === 'checkInspectRecordView'){
                        Util.data('checkInspect.securityCode', '');
                        Util.data(member.id + '.hasCheckInspectCode', true);
                    }
                    var data = $.isArray(json.data) ? json.data : [json.data];
                    if( json.data && data[0]) {
                        self.currentMouth = data[0].monthName;
                    } else {
                        Util.alert('没有记录');
                    }
                    if( type === 'index' ) {
                        Util.data(self.options.dataKey+member.id, data);
                    }else{
                        var oldData = Util.data(self.options.dataKey+member.id);
                        Util.data(self.options.dataKey+member.id, oldData.concat(data));
                    }
                    self.loadHtml(json.data, type);
                    if(callback) callback(json.data);
                },
                error: function() {
                    Util.data('check.securityCode', '');
                    Util.data('checkInspect.securityCode', '');
                    if(callback) callback();
                }
            });
        }
    },
    loadHtml: function(data, type) {
        if( type === 'index' ) {
            $('.reg-records-list').html(Views.tmpl.recordListView({
                title: this.options.name,
                modal: type,
                regs: data,
                type: this.options.id,
                checkDate: Util.data('check.Date'),
                card: Util.data('cache.card')
            }));
        } else if( type === 'more' ) {
            $('.reg-records-list').append(Views.tmpl.recordListView({
                title: this.options.name,
                modal: type,
                regs: data,
                type: this.options.id,
                card: Util.data('cache.card')
            }));
        }
    },
    loadHasBtnHtml: function(){
        $('.reg-records-list').html('<div class="ui-btn-packeg" style="">'
            +'<div class="ui-btn ui-btn-style1 exit" data-action="showPage" data-rel="checkClauseView" style="background-color: #2A96C7;color: #fff;">'
            +'<span class="ui-btn-txt">获取验证码</span>'
            +'</div>'
            +'</div>');
    }
});

//门诊结算记录
Views.mzSettleRecordView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'recordView',
        id: 'mzSettleRecordView',
        name: '门诊结算',
        dataKey: 'mzSettleRecordView.member',
        ajaxFun: 'ajaxMzSettleRecords',
        refreshFun: 'ajaxMzSettleRecords',
        ajaxDetail: ''
    }
});
// ------------------------- 住院充值记录查询 > zyRechargeRecordView
//
Views.zyRechargeRecordView = $.extend({}, Views.costRecordView, {
    options: {
        tmpl: 'recordView',
        id: 'zyRechargeRecordView',
        name: '住院充值记录',
        dataKey: 'zyRechargeRecordView.member',
        ajaxFun: 'ajaxRechargeRecord',
        refreshFun: 'ajaxRechargeRecord',
        ajaxDetail: 'getRechargeRecordInfo',
        rangeType: 'INPATIENT_CHARGE'
    }
});

// ------------------------- 门诊充值记录查询 > rechargeRecordView
//
Views.rechargeRecordView = $.extend({}, Views.costRecordView, {
    options: {
        tmpl: 'recordView',
        id: 'rechargeRecordView',
        name: '门诊充值记录',
        dataKey: 'rechargeRecordView.member',
        ajaxFun: 'ajaxRechargeRecord',
        refreshFun: 'ajaxRechargeRecord',
        ajaxDetail: 'getRechargeRecordInfo',
        rangeType: 'EXPENSE_CHARGE'
    }
});
//住院费用记录
Views.zyCostRecordView = $.extend({}, Views.costRecordView, {
    options: {
        tmpl: 'recordView',
        id: 'zyCostRecordView',
        name: '住院费用日清单',
        dataKey: 'zyCostRecordView.member',
        ajaxFun: 'ajaxZyCostRecord',
        refreshFun: 'ajaxZyCostRecord',
        ajaxDetail: 'ajaxZyCostInfo'
    }
});
//检查记录
Views.checkInspectRecordView = $.extend({}, Views.costRecordView, {
    options: {
        tmpl: 'recordView',
        id: 'checkInspectRecordView',
        name: '检查记录',
        dataKey: 'checkInspectRecordView.member',
        ajaxFun: 'ajaxCheckInspect',
        refreshFun: 'ajaxCheckInspectRefresh',
        ajaxDetail: 'getCheckInspectInfo'
    }
});
//检验记录
Views.checkupRecordView = $.extend({}, Views.costRecordView, {
    options: {
        tmpl: 'recordView',
        id: 'checkupRecordView',
        name: '检验记录',
        dataKey: 'checkupRecordView.member',
        ajaxFun: 'ajaxCheckup',
        refreshFun: 'refreshAjaxCheckup',
        ajaxDetail: 'getCheckupInfo'
    }
});

Callback.goRechargeAtInfoPage = function(btnId){
    var medicalCardChargeRecordId = $('#'+btnId).attr('data-rel');
    FuckHttp.goRechargeAtInfoPage({
        data:{
            medicalCardChargeRecordId: medicalCardChargeRecordId
        },
        success: function(json){
            Callback.commonPay(json);
        }
    });
};

// ------------------------- 余额查询 > cardBalanceView
//
Views.cardBalanceView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'cardBalanceView',
        id: 'cardBalanceView',
        name: '充值记录'
    },
    willShow: function(ct){
        var self = this;
        var card = Util.data('cache.card');
        if(!card || !card.id){
            Util.data('cache.card', '')
        }
        this.render(ct,{
            card: Util.data('cache.card'),
            member: Util.data('cache.personalInfo'),
            type: self.options.type
        });
        this.getCardBalance();
    },
    getCardBalance: function(){
        var card = Util.data('cache.card');
        if(!card){
            $('#balance').html('');
        }else {
            $('#balance').html('正在获取...');
            var data = {
                hospitalId: HOSPITAL_ID,
                medicalCardId: card.id
            };
            FuckHttp.getCardBalance({
                data: data,
                success: function(json) {
                    $('#balance').html('￥' + json.data);
                },
                doneError: function(json) {
                    $('#balance').html('查询失败');
                }
            });
        }
    }
});
Callback.showCardBalanceView = function(btnId){
    if (!UserProfile.isUserLoggedIn()) {
        Util.alert('使用此功能，请先登录！',function(){
            StageManager.pushView(Views.loginView);
        });
        return
    }

    var type = $('#'+btnId).attr('data-rel');
    if(type === 'zy'){
//        var card = Util.data('cache.card');
//        if(!card || card.medicalCardType !== '住院号'){
//            Util.data('cache.card', UserProfile.findTrueCards('住院号')?UserProfile.findTrueCards('住院号')[0] : '');
//        }
        Views.cardBalanceView.options.type = 'zy';
    }else{
//        var card = Util.data('cache.card');
//        if(!card || card.medicalCardType === '住院号'){
//            Util.data('cache.card', UserProfile.findTrueCards()?UserProfile.findTrueCards()[0] : '');
//        }
        Views.cardBalanceView.options.type = 'mz';
    }
    Util.data('cache.card', '');
    StageManager.pushView(Views.cardBalanceView);
};

Callback.showRecordDetail = function(btnId, recordId, viewName){
    var id , title;
    var self = StageManager.getCurrentView();
    if(btnId) {
        id = $('#'+ btnId).attr('data-rel');
    }else{
        id = recordId;
        self = Views[viewName];
    }
    var member = Util.data('cache.personalInfo');

    var data = Util.data(self.options.dataKey+member.id);

    switch(self.options.dataKey){
        case 'costRecordView.member':
            Widget.popupLoadingClose();
            Util.data('recordDetail',{
                data: data[id],
                title: '门诊费用日清单',
                mode: self.options.id
            } );
            StageManager.pushView(Views.recordDetailView);
            break;

//            FuckHttp.getCostInfo({
//                data: {
//                    id: id
//                },
//                success: function(json) {
//                    Widget.popupLoadingClose();
//                    Util.data('recordDetail',{
//                        data: json.data,
//                        title: '门诊费用日清单',
//                        mode: self.options.id
//                    } );
//
//                    StageManager.pushView(Views.recordDetailView);
//                }
//            });
//            break;
        case 'rechargeRecordView.member':
            FuckHttp.getRechargeRecordInfo({
                data: {
                    id: id
                },
                success: function(json) {
                    Widget.popupLoadingClose();
                    Util.data('recordDetail',{
                        data: json.data,
                        title: '门诊充值记录详情',
                        mode: self.options.id
                    } );
                    StageManager.pushView(Views.recordDetailView);
                }
            });
            break;
        case 'zyRechargeRecordView.member':
            FuckHttp.getRechargeRecordInfo({
                data: {
                    id: id
                },
                success: function(json) {
                    Widget.popupLoadingClose();
                    Util.data('recordDetail',{
                        data: json.data,
                        title: '住院充值记录详情',
                        mode: self.options.id
                    } );
                    StageManager.pushView(Views.recordDetailView);
                }
            });
            break;
        case 'zyCostRecordView.member':
            Util.data('recordDetail',{
                data: data[id],
                title: '住院费用日清单',
                mode: self.options.id
            } );
            StageManager.pushView(Views.recordDetailView);
//            FuckHttp.ajaxZyCostInfo({
//                data: {
//                    id: id
//                },
//                success: function(json) {
//                    Widget.popupLoadingClose();
//                    Util.data('recordDetail',{
//                        data: json.data,
//                        title: '住院费用日清单',
//                        mode: self.options.id
//                    } );
//                    StageManager.pushView(Views.recordDetailView);
//                }
//            });
//            for(var i = 0; i< data.length; i++){
//                var itemList = data[i].baseItem;
//                for(var j = 0; j < itemList.length; j++){
//                    if(itemList[j].id-0 === id-0){
//                        Util.data('recordDetail',{
//                            data: itemList[j],
//                            title: '住院费用清单',
//                            mode: self.options.id
//                        } );
//                        break;
//                    }
//                }
//            }
//            StageManager.pushView(Views.recordDetailView);
            break;
        case 'checkupRecordView.member':
            Widget.popupLoadingClose();
            Util.data('recordDetail',{
                data: data[id],
                title: '检验记录详情',
                mode: self.options.id
            } );
            StageManager.pushView(Views.recordDetailView);
            break;
        case 'checkInspectRecordView.member':
            Util.data('recordDetail',{
                data: data[id],
                title: '检查记录详情',
                mode: self.options.id
            } );
            StageManager.pushView(Views.recordDetailView);
            break;
        case 'mzSettleRecordView.member':
            for(var i = 0; i< data.length; i++){
                if(data[i].id-0 === id-0){
                    Util.data('recordDetail',{
                        data: data[i],
                        title: '门诊结算详情',
                        mode: self.options.id
                    } );
                    break;
                }
            }
            StageManager.pushView(Views.recordDetailView);
            break;

    }
    return;
};
Callback.payForBill = function(btnId){
    var mergerPaymentIds = '',
        totalFee = 0,
        theView = StageManager.getCurrentView(),
        member = UserProfile.getCurrentMember(),
        recordList = Util.data(theView.options.dataKey+member.id);
    for(var i = 0; i < recordList.length; i++){
        if(i !== 0){
            mergerPaymentIds += ',';
        }
        mergerPaymentIds += recordList[i].id;
        totalFee = totalFee+ parseFloat(recordList[i].totalFee);
    }
    var cardNo = recordList[0].medicalCardNO;
    var card = UserProfile.findCardByNo(cardNo);

    if(!card){
        Widget.alert('就诊卡不存在!');
        return;
    }
    Util.data('cache.card', card);
    var data = {
        hospitalId: HOSPITAL_ID,
        medicalCardId: card.id
    };
    Widget.popupLoading('正在加载...');
    totalFee = totalFee.toFixed(2);
    FuckHttp.getCardBalance({
        data: data,
        success: function(json) {
            if(json.data-0 >= totalFee-0){
                Util.confirm('此次结算费用为'+ totalFee + '元，确认结算？', function(index){
                    if(index === 2){
                        Widget.popupLoading('正在结算...');
                        FuckHttp.payForBill({
                            data:{
                                mergerPaymentIds: mergerPaymentIds,
                                payType: 1,
                                patientId: card.patientId
                            },
                            success: function(json){
                                Util.alert(json.errMsg, function(){
                                    Callback.pageBack();
                                });
                            }
                        })
                    }
                })
            }else{
                Util.confirm('您的就诊卡余额为' + json.data +'元，此次费用为'+totalFee +'元，余额不足，是否去充值?', function(index){
                    if(index ===2 ){
                        Util.data('rechargeFee', (totalFee-json.data).toFixed(2));
                        var data = {
                            hospitalId: HOSPITAL_ID,
                            accountId: UserProfile.id,
                            medicalCardId: card.id,
                            fee: Util.data('rechargeFee')
                        };
                        Widget.popupLoading('正在跳转...');
                        FuckHttp.doRecharge({
                            data: data,
                            success: function(json) {
                                Widget.popupLoadingClose();
                                Util.alert(json.errMsg, function(){
                                    Callback.commonPay(json);
                                });
                            }
                        })
                    }
                })
            }
        },
        doneError: function(json) {
            Util.confirm('此次结算费用为'+ totalFee + '元，确认结算？', function(index){
                if(index === 2){
                    Widget.popupLoading('正在结算...');
                    FuckHttp.payForBill({
                        data:{
                            mergerPaymentIds: mergerPaymentIds,
                            payType: 1,
                            patientId: card.patientId
                        },
                        success: function(json){
                            Util.alert(json.errMsg, function(){
                                Callback.pageBack();
                            });
                        }
                    })
                }
            })
        }
    });

};

Views.recordDetailView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'recordDetailView',
        id: 'recordDetailView',
        name: '记录详情'
    },
    willShow: function(ct){
        var data = Util.data('recordDetail');
        this.render(ct,{
            data: data.data,
            mode: data.mode,
            title: data.title,
            card: Util.data('cache.card'),
            checkDate: Util.data('check.Date'),
            member: Util.data('cache.personalInfo')
        });

    },
    didShow : function(ct){
        this.makeScrollable($('.ui-page-body', ct));
    }
});


//门诊服务
Views.menzhenServiceView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'menzhenServiceView',
        name: '门诊服务'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

//门诊服务
Views.CallNumsListView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'CallNumsListView',
        name: '门诊队列查询'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

Views.CareAppointmentView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'careAppointmentView',
        name: '护工预约'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});
//住院服务
Views.zyServiceView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'zyServiceView',
        name: '住院服务'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

Callback.updateRechargeStatus = function(btnId) {
    var business = $('#' + btnId).attr('data-rel');
    FuckHttp.updateRechargeStatus({
        data: {businessNO: business},
        success: function(json) {
            Util.data(StageManager.getPreviousView().options.dataKey + UserProfile.getCurrentMember().id, '');
            Callback.pageBack();
        }
    });
};


// 护工预约
Callback.NurseOnlineYuyueView = function(){


    FuckHttp.hospitalNote({
        data: {
            hospitalId:HOSPITAL_ID,
            type: 'PORTAL_NURSES_REG_PROTOCOL'
        },
        success: function(json) {
            Util.data('content',json.data.content);
            StageManager.pushView(Views.showNurseOnlineYuyueView);
        }
    });


}

Callback.nursePriceView = function(){

    FuckHttp.hospitalNote({
        data: {
            hospitalId:HOSPITAL_ID,
            type: 'PORTAL_NURSES_PRICE_ADVICE'
        },
        success: function(json) {
            Util.data('priceContent',json.data.content);
            StageManager.pushView(Views.nursePriceView);
        }
    });


}

Views.nursePriceView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'nursePriceView',
        name: '价格指导意见'
    },
    willShow: function(ct){
        this.render(ct, {
            content: Util.data('priceContent')
        })
        this.makeScrollable($('.ui-page-body'));
    },
    didShow: function () {

    }
});

Views.showNurseOnlineYuyueView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'nurseOnlineYuyueView',
        name: '预约协议'
    },

    willShow: function(ct){
        this.render(ct, {
            content: Util.data('content')
        })

    },
    didShow: function () {
        this.makeScrollable($('.pinglun-list'));
    }
});


Callback.showYuyueNext = function(){
    myFavories() ;
    Util.data('showTopScreenView','NO');
    FuckHttp.nursesList({
        data: {
            hospitalId:HOSPITAL_ID
        },
        success: function(json) {
            Util.data('nursesList', json.data);
            Util.data('screenSex',json.data);
            Util.data('screenClass',json.data);
            Util.data('screenExperienceYear',json.data);
            StageManager.pushView(Views.nurseListView);
        }
    })


}

Views.nurseListView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'nurseListView',
        name: '护工列表'
    },
    willShow: function(ct){

        this.render(ct, {
          })
        var nursesList = Util.data('nursesList'),
           favories = Util.data('Favories')
        $('.nurseListDetailView').html(Views.tmpl.nurseListDetailView({
             nursesList:Util.data('nursesList'),
             favories: favories
        }))
        picTure ()
    } ,
    didShow: function () {
        var self = this ;
        this.makeScrollableWithPullRefresh($('div.nurse-list'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
              if( Util.data('showTopScreenView') == 'NO'){
                  FuckHttp.nursesList({
                      data: {
                          hospitalId:HOSPITAL_ID
                      },
                      success: function(json) {
                          Util.data('nursesList', json.data);
                           var   favories = Util.data('Favories')
                          $('.nurseListDetailView').html(Views.tmpl.nurseListDetailView({
                              nursesList:Util.data('nursesList'),
                              favories: favories
                          }))
                          picTure ()
                   }
                  })

              }
            }
        });
    }


});

Callback.showTopScreenView = function(btnId , theType){

    var btn = $('#' + btnId),
        type = btn.attr('data-rel'),
        oldType = Util.data('ScreenType');
    var nursesList = Util.data('nursesList') ;
    Util.data('showTopScreenView','is');
    if(btn.hasClass('textColor')){
        $('.backgroundView').addClass('hidden');
        btn.removeClass('textColor');
        return;
    };
    if(type === oldType){
        return;
    }
    $('.text-item').removeClass('textColor');
    btn.addClass('textColor');
    if(type == 1){
        $('.backgroundView').removeClass('hidden');
        $('.backgroundView').html(Views.tmpl.backgroundView({
            type:'type_1'
        }))

    }
    if(type == 2){
        $('.backgroundView').html(Views.tmpl.backgroundView({
            type:'type_2'
        }))
        $('.backgroundView').removeClass('hidden');
    }
    if(type == 3){
        $('.backgroundView').html(Views.tmpl.backgroundView({
            type: 'type_3'
         }))
        $('.backgroundView').removeClass('hidden');


    }
}


function screen(){
     var list = [] ;
     var screen = [] ;
    var sex  = Util.data('screenSex');
    var level =  Util.data('screenClass');
    var experience =  Util.data('screenExperienceYear');

    for (var k = 0 ; k < sex.length ; k ++){
        for(var m = 0 ; m < level.length ; m++){
            if(sex[k].id == level[m].id){
                screen.push(level[m]);
            }

        }
    }

    for (var k = 0 ; k < experience.length ; k ++){
        for(var m = 0 ; m < screen.length ; m++){
            if(experience[k].id == screen[m].id){
                list.push(screen[m]);
            }

        }
    }

    screenNurseList(list);

}

Callback.screenSex = function(btnId){
    var btn = $('#' + btnId);
    var type = btn.attr('data-rel');
    var nursesList = Util.data('nursesList') ;
    $('.text-item').removeClass('textColor');
    $('.backgroundView').addClass('hidden');
    var list = [] ;
    if(type == 'man'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].sex == 'MALE'){
                list.push(nursesList[i]);
            }
        }
        $('#sex').html('男性');
}
    if(type == 'women'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].sex == 'FEMALE'){
                list.push(nursesList[i]);
            }
        }
        $('#sex').html('女性');
    }
    if(type == 'all'){
        list =  nursesList ;
        $('#sex').html('全部');
    }
    Util.data('screenSex',list)
      screen();

}
Callback.screenClass  = function(btnId){
    var btn = $('#' + btnId);
    var type = btn.attr('data-rel');
    var nursesList = Util.data('nursesList') ;
    var screenList =  Util.data('screenList') ;
    $('.backgroundView').addClass('hidden');
    $('.text-item').removeClass('textColor');
    var list = [] ;
    if(type == 'level_height'){
     for(var i = 0 ; i < nursesList.length ; i ++ ){
         if(nursesList[i].nursesScore >= 4 && nursesList[i].nursesScore <= 5){
             list.push(nursesList[i]);
         }
     }
        $('#level').html('高级');


    }
    if(type == 'level_middle'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].nursesScore >= 2 && nursesList[i].nursesScore < 4){
                list.push(nursesList[i]);
            }
        }
        $('#level').html('中级');
    }

    if(type == 'level_primary'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].nursesScore >= 0 && nursesList[i].nursesScore < 2){
                list.push(nursesList[i]);
            }
        }

        $('#level').html('初级');
    }
    if(type == 'level_all'){
        list =  nursesList ;
        $('#level').html('全部');
    }
    Util.data('screenClass',list)
//    screenNurseList(list);
      screen();
}

Callback.screenExperienceYear = function(btnId){
    var btn = $('#' + btnId);
    var type = btn.attr('data-rel');
    var nursesList = Util.data('nursesList') ;
    $('.text-item').removeClass('textColor');
    $('.backgroundView').addClass('hidden');
    var list = [] ;
    if(type == '1'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear >= 0 && nursesList[i].experienceYear <=1){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('&nbsp&nbsp1年');
    }
    if(type == '2'){

        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear > 1 && nursesList[i].experienceYear <3){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('&nbsp&nbsp2年');
    }
    if(type == '3-5'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear >= 3  && nursesList[i].experienceYear <= 5){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('3-5年');
    }
    if(type == '6-8'){

        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear >= 6 && nursesList[i].experienceYear <= 8){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('6-8年');
    }
    if(type == '9-10'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear >= 9 && nursesList[i].experienceYear <= 10){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('9-10年');
    }
    if(type == '10'){
        for(var i = 0 ; i < nursesList.length ; i ++ ){
            if(nursesList[i].experienceYear > 10){
                list.push(nursesList[i]);
            }
        }
        $('#experience').html('10年以上');
    }
    if(type == 'all'){
        list =  nursesList ;
        $('#experience').html('全部');
    }
    Util.data('screenExperienceYear',list);
//    screenNurseList(list);
      screen();
}

function screenNurseList(nursesList){
    favories = Util.data('Favories')
    $('.nurseListDetailView').html(Views.tmpl.nurseListDetailView({
        nursesList:nursesList,
        favories: favories
    }))
    picTure () ;
}


Callback.collectAction = function(btnId){
    var btn = $('#' + btnId);
    var targetId = btn.attr('data-rel');
    var member = Util.data('cache.Info');
    if(btn.find(".picture1").hasClass('love_down')){
        btn.find(".picture1").removeClass('love_down');
        btn.find(".picture1").addClass('love_up');
        btn.find(".titie").html('加入收藏');
       var favories =  Util.data('Favories') ;
        var id = '';
        for(var i = 0 ; i < favories.length ; i++ ){
            if(favories[i].nursesInfo.id == targetId){
                   id = favories[i].id ;
                break ;
            }
        }
        FuckHttp.cancelMyFavories({
            data: {
                Id : id
            },
            success: function(json) {
                myFavories()
            }
        })
    }else{
        btn.find(".picture1").removeClass('love_up');
        btn.find(".picture1").addClass('love_down');
        btn.find(".titie").html('取消收藏');
        FuckHttp.addMyFavories({
            data: {
                hospitalId:HOSPITAL_ID,
                accountId: member.accountId,
                targetId : targetId
            },
            success: function(json) {
                myFavories();
            }
        })
    }



}

function  myFavories(){

    var member = Util.data('cache.Info');
    FuckHttp.myFavories({
        data: {
            hospitalId:HOSPITAL_ID,
            accountId: member.accountId
        },
        success: function(json) {
            Util.data('Favories',json.data);
            favoritesList()
        }
    })

}


Callback.showNurseDetailView = function(btnId){

    var btn = $('#'+btnId),
        id = btn.attr('data-rel'),
         nursesList =  Util.data('nursesList');
    Util.data('infoType','nurseDetailView');

       var checkDate = {
        beginDate: '',
        endDate: ''
    }
      Util.data('check.Date', checkDate);
    for(var  i = 0 ; i <Util.data('nursesList').length ; i++ ){
        if(Util.data('nursesList')[i].id  ==  id ){
            Util.data('nursesListdetail',Util.data('nursesList')[i]);
            StageManager.pushView(Views.nurseDetailView);
        }
    }
}

Views.nurseDetailView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'nurseDetailView',
        name: '护工信息'
    },

    willShow: function(ct){
        this.render(ct, {
            nursesListdetail:Util.data('nursesListdetail') ,
            checkDate :Util.data('check.Date')
        })
        var member = Util.data('cache.Info');
        FuckHttp.commentList({
            data: {
                hospitalId:HOSPITAL_ID,
                accountId: member.accountId,
                nursesId : Util.data('nursesListdetail').id
            },
            success: function(json) {
                $('.evaluateDetails').html(Views.tmpl.userPingjiaView({
                    commentList : json.data
                }))
                Util.data('commentList', json.data)
            }
        });
        picTure ()

    },
    didShow: function () {
        this.makeScrollable($('div.pinglun-list'));
    }

});

Callback.showYuyueView = function(btnId){
    var member = Util.data('cache.Info');
      var beginDate = $("#beginDate").text();
      var endDate = $("#endDate").text();
      var dateTime  = Util.data('dateTime');
      var time1 = '开始时间';
      var time2 = '结束时间';
    dateTime = {
        beginDate : beginDate ,
        endDate : endDate
    }
    Util.data('dateTime' ,dateTime );
    if(beginDate == time1){
        Widget.popupToast('请选择预约开始时间!');
        return;

    }
    if(endDate == time2 ){
        Widget.popupToast('请选择预约结束时间!');
        return;

    }
    Util.data('cache.card','');
    Util.data('cache.contact','');
    StageManager.pushView(Views.confirmYuyueView);
}


Views.confirmYuyueView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'confirmYuyueView',
        name: '确认预约'
    },

    willShow: function(ct){

        var card =  Util.data('cache.card') ;
        if(card){
            if(card.medicalCardType != '住院号'){
                card = [] ;
            }
        }
        this.render(ct, {
            nursesListdetail:Util.data('nursesListdetail'),
            card: card,
            contact:Util.data('cache.contact'),
            time:Util.data('dateTime')
    })

    },
    didShow: function () {
        this.makeScrollable($('.pinglun-list'));
    }

});


Callback.confirmYuyue = function(btnId){
    var medicalCardNo = $("#medicalCardNo").text();
    var dateTime =  Util.data('dateTime');
    var contact  = Util.data('cache.contact');
    var nurses = Util.data('nursesListdetail');
    var member = Util.data('cache.Info');
    if( !medicalCardNo ) {
        Widget.popupToast('请填写住院号!');
        return;
    }
    if( !contact ) {
        Widget.popupToast('请填写联系人信息!');
        return;
    }
    if( !dateTime.beginDate ) {
        Widget.popupToast('请填写预约开始时间!');
        return;
    }
    if( !dateTime.endDate ) {
        Widget.popupToast('请填写预约结束时间!');
        return;
    }

    Util.confirm('确定预约？',function(index){
        if(index === 2){
            FuckHttp.nursesYuyue({
                data: {
                    hospitalId:HOSPITAL_ID,
                    accountId: member.accountId,
                    inPatientNO : medicalCardNo ,
                    nursesId: nurses.id,
                    patientContactsId: contact.id,
                    beginDate :dateTime.beginDate ,
                    endDate :dateTime.endDate
                },
                success: function(json) {
                    Util.data('nursesYuyue', json.data),
                    Util.data('completeYuyue','succeed'),
                    StageManager.pushView(Views.completeYuyueView);
                },
                error: function() {
                    Util.data('completeYuyue','Failure'),
                        StageManager.pushView(Views.completeYuyueView);
                }
            })
        }else{
        }
    });
}
Views.completeYuyueView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'completeYuyueView',
        name: '完成预约'
    },

    willShow: function(ct){
        this.render(ct, {
            content: Util.data('content'),
            completeYuyue :Util.data('completeYuyue')
        })
        this.makeScrollable($('.ui-page-body'));
        timeEndBack()
    },

    didShow: function () {

    }
});


function timeEndBack(){

    $('#timeEnd').html( '5 秒后自动跳转至预约记录页面');
      var seconds = 5 ;
    var sh  = setInterval(function(){
        seconds = seconds - 1 ;
        if(seconds == 0){
            StageManager.fixViewStack([Views.mainView, Views.nurseYuyueRecord ])
            StageManager.pushView(Views.nurseYuyueRecord);
            clearInterval (sh);
        }
        $('#timeEnd').html( seconds+'秒后自动跳转至预约记录页面');

    },1000);
    Util.data('setInterval',sh);

}



Callback.switchBack = function(btnId){
    var sh =  Util.data('setInterval');
    var btn = $('#' + btnId),
    id = btn.attr('data-rel'),
    info = btn.attr('data-info');
    $('.com_item_3').removeClass('selected');
    btn.addClass('selected');
    if(id == '1'){
        StageManager.fixViewStack([Views.mainView, Views.nurseYuyueRecord ])
        StageManager.pushView(Views.nurseYuyueRecord);
        clearInterval (sh);

    }
    if(id == '2'){
        Callback.pageBackHome();
        clearInterval (sh);
    }
    if(id =='3' ){
        StageManager.fixViewStack([Views.mainView, Views.nurseListView ])
        StageManager.pushView(Views.nurseListView);
        clearInterval (sh);

    }


}
// 护工预约记录
Views.nurseYuyueRecord = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'nurseYuyueRecord',
        name: '护工预约记录'
    },

    willShow: function(ct){
        var self = this, member = Util.data('cache.Info');
        var card =  Util.data('cache.card') ;
        if(card){
            if(card.medicalCardType != '住院号'){
               card = [] ;
            }
            self.ajaxRegs();
        }

        this.render(ct, {
            card: card
        })

        this.makeScrollableWithPullRefresh($('#reg-record'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajaxRegs();
            }
        });
    },

    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    },
    ajaxRegs: function(){
        var self = this, member = Util.data('cache.Info');
        var card =  Util.data('cache.card') ;
        if(card.medicalCardType == '住院号'){
            FuckHttp.nursesYuyueList({
                data: {
                    hospitalId:HOSPITAL_ID,
                    accountId: member.accountId,
                    inPatientNO : card.medicalCardNo
                },
                success: function(json) {
                    Util.data('nurseRecordList', json.data)
                    $('.reg-records-list').html(Views.tmpl.yuyueRecordDetial({
                        data: json.data
                    }));
                }
            })
        }
    }
});

Callback.showYuyueRecordView = function(btnId){

    StageManager.pushView(Views.nurseYuyueRecord);
}

Callback.showAgainYuyue = function(btnId){
    StageManager.pushView(Views.nurseListView);
}

Callback.addComment =function(btnId){
    var btn = $('#'+btnId),
        businessNO = btn.attr('data-rel');
    var nurseRecordList = Util.data('nurseRecordList')
    for(var i =0 ; i <nurseRecordList.length ; i ++ ){
        if(nurseRecordList[i].businessNO == businessNO){
            Util.data('nurseComment',nurseRecordList[i]);
        }
    }
    StageManager.pushView(Views.commentReviewView);
}

Callback.showCancel = function(btnId){

    var btn = $('#'+btnId),
         businessNO = btn.attr('data-rel');
    var self = this, member = Util.data('cache.Info');
     Util.confirm('确定取消预约？',function(index){
        if(index === 2){
                FuckHttp.cancelYuyue({
                    data: {
                        businessNO: businessNO
                    },
                    success: function(json) {
                        FuckHttp.nursesYuyueList({
                            data: {
                                hospitalId:HOSPITAL_ID,
                                accountId: member.accountId,
                                inPatientNO : member.medicalCardNo
                            },
                            success: function(json) {
                                Util.data('nurseRecordList', json.data)
                                $('.reg-records-list').html(Views.tmpl.yuyueRecordDetial({
                                    data: json.data
                                }));
                            }
                        })
                    }
                })
        }
    });

}

// 住院联系人管理

Views.contactsManagView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'contactsManage',
        name: '住院信息管理'
    },

    willShow: function(ct){
        this.render(ct, {
         cards : Util.data('contacts')
        })

    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }

});

Callback.showSystemAdminView = function(btnId){

    var member = Util.data('cache.Info');
    Util.data('contacts','');
    FuckHttp.contacts({
        data: {
            hospitalId:HOSPITAL_ID,
            accountId: member.accountId
        },
        success: function(json) {

            if(json.data){
                Util.data('contacts', json.data)
            }
            StageManager.pushView(Views.contactsManagView);
        }
    })

}

Callback.showAddContact = function(btnId){
    var  member =  {
        name : '',
        mobile : '',
        ward : '',
        sickbed : '',
        verifyCode : '',
        info:'ture'
    };
    Util.data('personalInfo',member);
    StageManager.pushView(Views.addContactManView);
}

Views.addContactManView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'addContactMan',
        name: '新增住院联系人'
    },

    willShow: function(ct){
        var personalInfo =  Util.data('personalInfo') ;
        this.render(ct, {
            member : personalInfo
        })

    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }
});
Views.updateContactsView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'updateContactsView',
        name: '修改住院联系人'
    },

    willShow: function(ct){
        this.render(ct, {
            member : Util.data('personalInfo')
        })

    },
    didShow: function () {
        this.makeScrollable($('.ui-scroller'));
    }
});

Views.chooseContactView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'chooseContactView',
        name: '选择联系人'
    },

    willShow: function(ct){
        this.render(ct, {
            cards : Util.data('contacts')
        })

    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }

});
Callback.chooseContactView = function(btnId){
    var member = Util.data('cache.Info');
    FuckHttp.contacts({
        data: {
            hospitalId:HOSPITAL_ID,
            accountId: member.accountId
        },
        success: function(json) {
            Util.data('contacts', json.data)
            StageManager.pushView(Views.chooseContactView);
        }
    })
}

Callback.chooseMember = function(btnId){
    var btn = $('#'+btnId),
        id = btn.attr('data-rel');
    var contacts =  Util.data('contacts');
     for (var i = 0 ; i < contacts.length ; i ++){
         if(contacts[i].id == id ){
             Util.data('cache.contact',contacts[i]);
         }
     }
    setTimeout(function(){
        Callback.pageBack();
    },300);
}

Callback.saveContacts = function(btnId){
    var name = $('#name_update').text() ;
    var  mobileNo =  $('#mobileNo_update').text()  ;
    var  verifyCode =  $('#verifyCode_update').text()  ;
    var  area =  $('#area_update').text()  ;
    var  sickbed  =  $('#sickbed_update').text()  ;
    var member = Util.data('cache.Info');
    var btn = $('#'+btnId),
        id = btn.attr('data-rel');
    if( !name ) {
        Widget.popupToast('请填写真实姓名!');
        return;
    }
    if( !Validator.stringIsRealName(name) ) {
        Widget.popupToast('姓名处请输入2~5个中文字符!');
        return;
    }
    if( !mobileNo) {
        Widget.popupToast('请填写手机号码!');
        return;
    }
    if( !verifyCode ) {
        Widget.popupToast('请输入验证码!');
        return;
    }
    if( !area ) {
        Widget.popupToast('请输入病区!');
        return;
    }
    if( !sickbed ) {
        Widget.popupToast('请输入病床号!');
        return;
    }
    if( !Validator.stringIsMobileNo(mobileNo) ) {
        Widget.popupToast(Views.errorMsg.MOBILE_FORMAT_ERROR);
        return;
    }
    FuckHttp.updateContacts({
        data: {
            id : id ,
            name : name,
            verifyCode : verifyCode ,
            sickbed : sickbed ,
            ward :  area  ,
            mobile : mobileNo
        },
        success: function(json) {
            changeContacts()
        }
    })

}

function changeContacts(){

    var member = Util.data('cache.Info');
    FuckHttp.contacts({
        data: {
            hospitalId:HOSPITAL_ID,
            accountId: member.accountId
        },
        success: function(json) {
            Util.data('contacts', json.data)
            Callback.pageBack();
        }
    })

}


Callback.canceContacts = function(btnId){
    var btn = $('#'+btnId),
        id = btn.attr('data-rel');
    FuckHttp.updateContacts({
        data: {
            id : id ,
            validFlag : 'DISABLE'
        },
        success: function(json) {
            changeContacts()
        }
    })
}


Callback.contactSubmit = function(btnId){
    var name = $('#name').text() ;
    var  mobileNo =   $('#mobileNo').text()  ;
    var  verifyCode =   $('#verifyCode').text()  ;
    var  area =   $('#area').text()  ;
    var  sickbed  =   $('#sickbed').text()  ;
    var member = Util.data('cache.Info');
    if( !name ) {
        Widget.popupToast('请填写真实姓名!');
        return;
    }
    if( !Validator.stringIsRealName(name) ) {
        Widget.popupToast('姓名处请输入2~5个中文字符!');
        return;
    }
    if( !mobileNo) {
        Widget.popupToast('请填写手机号码!');
        return;
    }
    if( !verifyCode ) {
        Widget.popupToast('请输入验证码!');
        return;
    }
    if( !area ) {
        Widget.popupToast('请输入病区!');
        return;
    }
    if( !sickbed ) {
        Widget.popupToast('请输入病床号!');
        return;
    }
    if( !Validator.stringIsMobileNo(mobileNo) ) {
        Widget.popupToast(Views.errorMsg.MOBILE_FORMAT_ERROR);
        return;
    }

    FuckHttp.addcontacts({
        data: {
            hospitalId:HOSPITAL_ID,
            accountId: member.accountId,
            name : name,
            verifyCode : verifyCode ,
            sickbed : sickbed ,
            ward :  area  ,
            mobile : mobileNo
        },
        success: function(json) {
            changeContacts()

        }
    })
}
 function picTure (){

     $('.nursesList .picture').each(function(index, el) {
         var picName = $(el).attr('data-rel');
         if(picName){
             var imgurl =   picName;
         }else{
             var imgurl =  WEB_URL + '/portal/app/nurses/'+ HOSPITAL_ID +'/' + 1;
         }
         $(el).children('img').attr('src', imgurl);

     });
 }

function  userPicTure (){

    $('.userMessage .picture').each(function(index, el) {
        var picName = $(el).attr('data-rel');
        if(picName){
            var imgurl =  picName;
        }else{
            var imgurl = 'images/CareAppointmentView/Group 16.png';
        }
        $(el).children('img').attr('src', imgurl);

    });
}



Views.commentReviewView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'commentReviewView',
        name: '发表评价'
    },

    willShow: function(ct){
        var starList = '';
        this.render(ct, {
            nurseComment:Util.data('nurseComment'),
            selectedId :starList
        })
        picTure ()
    },
    didShow: function () {
        this.makeScrollable($('div.pinglun-list'));
//        $('#remark').blur(function() {
//
//        })
    }
});


Callback.pinglun_good = function(btnId) {
    var btn = $('#' + btnId);
    if(btn.hasClass('face1_down')){
        btn.removeClass('face1_down');
    }else{
        btn.addClass('face1_down');
        $('.face2').removeClass('face2_down');
        $('.face3').removeClass('face3_down');
        Util.data('commentType','LEVEL_1');
    }
}
Callback.pinglun_midell= function(btnId) {
    var btn = $('#' + btnId);
    if(btn.hasClass('face2_down')){
        btn.removeClass('face2_down');
    }else{
        btn.addClass('face2_down');
        $('.face1').removeClass('face1_down');
        $('.face3').removeClass('face3_down');
        Util.data('commentType','LEVEL_2');
    }

}
Callback.pinglun_bed = function(btnId) {
    var btn = $('#' + btnId);
    if(btn.hasClass('face3_down')){
        btn.removeClass('face3_down');
    }else{
        btn.addClass('face3_down');
        $('.face2').removeClass('face2_down');
        $('.face1').removeClass('face1_down');
        Util.data('commentType','LEVEL_3');
    }

}
Callback.submitEvaluate = function(btnId){
    var btn = $('#'+btnId);

     var nurseComment = Util.data('nurseComment') ;
    var comment =  $("#remark").val();
    var member = Util.data('cache.Info');
     var starNumber =   Util.data('starNumber1') + Util.data('starNumber2' ) + Util.data('starNumber3')  ;
    if( !nurseComment ) {
        Widget.popupToast('请选择评价等级!');
        return;
    }
    if( !comment) {
        Widget.popupToast('请输入评价内容!');
        return;
    }
    if( !starNumber ) {
        Widget.popupToast('请进行星级评价!');
        return;
    }
    Util.confirm('是否提交评论',function(index){
        if(index === 2){
            FuckHttp.nursesComment({
                data: {
                    hospitalId:HOSPITAL_ID,
                    accountId: member.accountId,
                    businessId : nurseComment.id ,
                    commentContent: comment ,
                    commentType : Util.data('commentType'),
                    commentStarNum : starNumber
                },
                success: function(json) {
                    StageManager.fixViewStack([Views.mainView, Views.nurseYuyueRecord ])
                    StageManager.pushView(Views.nurseYuyueRecord);

                }
            })

        }
    });

}
Views.favoritesView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'favoritesView',
        name: '收藏夹'
    },
    willShow: function(ct){
        this.render(ct, {

        })
        myFavories()

    },
    didShow: function () {
        this.makeScrollable($('.pinglun-list'));
    }
});

function favoritesList(){
    $('.myFavoritesView').html(Views.tmpl.favoritesDetialView({
        Favories:Util.data('Favories')
    }))
    picTure ()
}


Callback.showFavoritesView = function(btnId){

     StageManager.pushView(Views.favoritesView);

}

Callback.searchNurseView = function(btnId){

    StageManager.pushView(Views.searchNurseView);

}

Callback.emptysearchInputNurse = function(btnId) {
    $('input.search-input').val('');
    $('#' + btnId).addClass('ui-hidden');
    if(btnId === 'clearDeptBtn') {
        Views.searchNurseView.filterNurses('');
    }
};


Views.searchNurseView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'searchNurseView',
        name: '搜索护工'
    },
    willShow: function(ct){
         var  self = this;
        this.render(ct, {

        })

        this.searchEvent();
    },
    searchEvent: function() {
        var searchInput = $('.search-input'), self = this;
        searchInput.on('focus', function(){
            if( this.value ) $(this).next('.input-empty').removeClass('ui-hidden');
            else $(this).next('.input-empty').addClass('ui-hidden');
        });
        searchInput.on('blur', function(event){
            $(this).next('.input-empty').addClass('ui-hidden');
        });
        searchInput.on('input',function(){
            if( this.value )
                $(this).next('.input-empty').removeClass('ui-hidden');
            else
                $(this).next('.input-empty').addClass('ui-hidden');
            //过滤科室列表
            self.filterNurses(this.value);
        });
    },
    filterNurses: function(keys) {
        Util.log(keys);
        var nurses, sels = [], i ;
        nurses = Util.data('nursesList');
        if( keys ) {
            if( Validator.letter.test(keys) ) {
                keys = keys.toUpperCase();
                for( i=0;i<nurses.length;i++ ) {
                    var pingying = nurses[i].shortPinyin;
                    if( pingying.indexOf(keys) === 0 ) {
                        sels.push(nurses[i]);
                    }
                }
            } else {
                for( i=0;i<nurses.length;i++ ) {
                    if( nurses[i].name.indexOf(keys) > -1 ) {
                        sels.push(nurses[i]);
                    }
                }
            }
        }
        var favories = Util.data('Favories')
        $('.nurseListDetailView').html(Views.tmpl.nurseListDetailView({
            nursesList:sels,
            favories: favories
        }))
        picTure ();
    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }
});

Callback.chooseStar = function(btnId){
    var star = $('#'+btnId), i , j , k;

    star.prevAll().addClass('selected');
    star.addClass('selected');
    star.nextAll().removeClass('selected');
       i  = star.attr('data-rel_1') ;
       j  = star.attr('data-rel_2') ;
       k  = star.attr('data-rel_3') ;
      if(i){
          Util.data('starNumber1',i - 0 + 1);
      }
    if(j){
        Util.data('starNumber2',j - 0 + 1 );
    }
    if(k){
        Util.data('starNumber3',k - 0 + 1);
    }


};


Callback.chooseStarCheckbox = function(btnId){
    var btn = $('#' + btnId);
    if(btn.hasClass('selected')){
        btn.removeClass('selected');
    }else{
        btn.addClass('selected');
    }
};

Callback.readRegNote = function(btnId){
    var btn = $('#'+btnId);
    if(!btn.hasClass('selected')){
        btn.addClass('selected');
        $('.ui-btn-style1').removeClass('bg-grey').addClass('ui-btn');
    }else{
        btn.removeClass('selected');
        $('.ui-btn-style1').addClass('bg-grey').removeClass('ui-btn');
    }

}

Callback.showPatientNoticeView = function(btnId){

    FuckHttp.nursesNoticeList({

        success: function(json) {
            Util.data('patientNotice',json.data);
            StageManager.pushView(Views.patientNoticeView);
        }
    })
}

Views.patientNoticeView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'patientNoticeView',
        name: '患者公告'
    },
    willShow: function(ct){
        this.render(ct, {
          data:Util.data('patientNotice')
        })
    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }
});

Callback.patineNoticeDetial = function(btnId){
    var btn = $('#'+btnId),
        id = btn.attr('data-rel');
    FuckHttp.nursesNoticeGet({
        data :{

            id:id
        },
        success: function(json) {
            Util.data('patientNoticeDetial',json.data);
            StageManager.pushView(Views.patientNoticeDetialView);
        }
    })

}

Views.patientNoticeDetialView = $.extend({}, Views.PanelView, {

    options: {
        tmpl: 'patientNoticeDetialView',
        name: '公告详情'
    },
    willShow: function(ct){
        this.render(ct, {
            data:Util.data('patientNoticeDetial')
        })
    },
    didShow: function () {
        this.makeScrollable($('.nurse-list'));
    }
});











