// ------------------------- 医院导航
//
Views.hospitalGuideView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'hospitalGuideView',
		name: '医院导航'
	},
	willShow: function(ct) {
		this.render(ct);
	}
});
Callback.showBaiduMap = function(btnId) {
    var jsonArray = baiduMapData;
	cordova.exec(
		function(winParam) {},
		function(error) {},
		"BaiduMapPlugin",
		"openRoutePlanView",
		[jsonArray]
	);
};



Views.guideView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'guideView',
        name: '就医指南'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

// ------------------------- 楼宇导航
//
Views.hospitalBuildingNavView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'hospitalBuildingNavView',
		name: '楼宇导航',

		mapWidth: 683,
		mapHeight: 1000,
		scaledWidth: 0,
		scaledHeight: 0,
		zoomMax: 2
	},

	willShow: function(ct) {
        var areamap1 = [
            {
                id: '1号',
                coords: [552, 399, 206, 157]
            },
            {
                id: '2号',
                coords: [371, 363, 139, 175]
            },
            {
                id: '3号',
                coords: [113, 325, 242, 141]
            },
            {
                id: '4号',
                coords: []
            },
            {
                id: '5号',
                coords: [558, 325, 140, 57]
            },
            {
                id: '6号',
                coords: [384, 241, 376, 59]
            },
            {
                id: '7号',
                coords: [74, 226, 214, 56]
            },
            {
                id: '8号',
                coords: [435, 169, 326, 48]
            },
            {
                id: '9号',
                coords: [73, 144, 215, 57]
            },
            {
                id: '10号',
                coords: [70, 502, 114, 61]
            }
        ];
        var areamap2 = [
            {
                id: '1号',
                coords: [400, 236, 206, 157]
            },
            {
                id: '2号',
                coords: [359, 490, 139, 175]
            },
            {
                id: '3号',
                coords: [324, 638, 242, 141]
            },
            {
                id: '4号',
                coords: []
            },
            {
                id: '5号',
                coords: [326, 306, 140, 57]
            },
            {
                id: '6号',
                coords: [243, 241, 376, 59]
            },
            {
                id: '7号',
                coords: [222, 715, 214, 56]
            },
            {
                id: '8号',
                coords: [168, 242, 326, 48]
            },
            {
                id: '9号',
                coords: [143, 715, 215, 57]
            },
            {
                id: '10号',
                coords: [500, 816, 114, 61]
            }
        ];
        Util.data('areamap1', areamap1);
        Util.data('areamap2', areamap2);
        this.viewScrollerDestroyAll();
        var showMap = Util.data('showMap');
        if(!showMap){
            Util.data('showMap', 'divOutofImg');
        }
		this.fixNavPicAndMapCoords(1000, 683, 'areamap1');

        var firstScroller = {
            areamap: this.options.areamap1,
            scaledWidth: this.options.scaledWidth,
            scaledHeight: this.options.scaledHeight
        };
        this.fixNavPicAndMapCoords(683, 1000, 'areamap2');
        var secondScroller = {
            areamap: this.options.areamap2,
            scaledWidth: this.options.scaledWidth,
            scaledHeight: this.options.scaledHeight
        };
		this.render(ct, {
			firstScroller: firstScroller,
            secondScroller: secondScroller,
            showMap: Util.data('showMap')
		});

        this.makeScrollable($('#divOutofImg'), {
            fadeScrollbar: false,
            hideScrollbar: false,
            zoom: true,
            zoomMin: 1,
            zoomMax: this.options.zoomMax
        });

        this.makeScrollable($('#divOutofImg2'), {
            fadeScrollbar: false,
            hideScrollbar: false,
            zoom: true,
            zoomMin: 1,
            zoomMax: this.options.zoomMax
        });

        return;


//        if (mobile_system === 'android' && (typeof device !== 'undefined' && typeof device.version !== 'undefined') && parseInt(device.version, 10) < 4) {
//            this.scroller = this.makeScrollable($('#divOutofImg'), {
//                fadeScrollbar: false,
//                hideScrollbar: false
//            });
//        } else {
//            var self = this;
//            this.scroller = this.makeScrollable($('#divOutofImg'), {
//                hScroll: true,
//                vScroll: true,
////                fadeScrollbar: false,
////                hideScrollbar: false,
//                zoom: true,
//                zoomMin: 1,
//                zoomMax: this.options.zoomMax,
//                scale: 0.5,
//                doubleTapZoom: 1,
//                onZoomStart: function(){
////                    Widget.popupToast('1111111111111');
//                    if(self.scroller.scale === 0.5){
//                        self.scroller.scale = 1;
//                        self.options.scale = 1;
//                    }else{
//                        self.scroller.scale = 0.5;
//                        self.options.scale = 0.5;
//                    }
//                },
//                onZoomEnd: function(){
////                    Widget.popupToast('2222222222222');
//                    self.scroller.scale = self.options.scale;
//                }
//            });
//        }
////        this.scroller.scale = 0.5;
////        this.scroller.scrollTo(-Math.round((this.options.scaledWidth-Layout.windowWidth)/2), 0, 0);
	},

	fixNavPicAndMapCoords: function(mapWidth, mapHeight, areamapStr) {

        if(areamapStr === 'areamap1'){
            this.options.scaledWidth = Layout.windowWidth;
            this.options.zoomMax = mapWidth / this.options.scaledWidth;
            this.options.scaledHeight =  mapHeight / this.options.zoomMax;
        }else{
            this.options.scaledHeight = (Layout.windowHeight - Layout.statusBarMargin - 44 -40);
            this.options.zoomMax = mapHeight / this.options.scaledHeight;
            this.options.scaledWidth =  (mapWidth / this.options.zoomMax);
        }

        var areamap = Util.data(areamapStr), zoomMax = this.options.zoomMax;
        for (var i = 0; i < areamap.length; ++i) {
            var coords = areamap[i].coords;
            for (var j = 0; j < coords.length; ++j) {
                coords[j] = Math.round( coords[j] / zoomMax );
            }
        }
        this.options[areamapStr] = areamap;
	}
});
Callback.searchBuiliding = function() {
	StageManager.pushView(Views.hospitalBuildingDetailView);
};
Callback.triggerMap = function(){
    var showMap = Util.data('showMap');
    if(showMap === 'divOutofImg'){
        $('#divOutofImg').hide();
        $('#divOutofImg2').show();
        Util.data('showMap', 'divOutofImg2');
    }else{
        $('#divOutofImg').show();
        $('#divOutofImg2').hide();
        Util.data('showMap', 'divOutofImg');
    }
};
var buildings = [
    {
        'id': '1号',
        'name': '1号楼急救中心',
        'floors':[
            {
                'name':'一层',
                'info': 'PET-CT室'
            },
            {
                'name':'二层',
                'info': '急诊输液厅、急诊注射室、急诊药房、急诊彩超室、急诊口腔科、急诊五官科'
            },
            {
                'name':'三层',
                'info': '急诊观察室'
            },
            {
                'name':'四层',
                'info': '31区急诊重症监护病房（EICU）'
            },
            {
                'name':'五层',
                'info': '32区急诊外科病房'
            },
            {
                'name':'六层',
                'info': '33区急诊内科病房'
            },
            {
                'name':'七层',
                'info': '急诊手术室'
            },
            {
                'name':'八层',
                'info': '53区呼吸内科病房'
            },
            {
                'name':'九层',
                'info': '53区呼吸内科病房'
            },
            {
                'name':'十层',
                'info': '急诊观察室'
            },
            {
                'name':'十一层',
                'info': '福建省立医院司法鉴定所、福建省心血管重点实验室、福建省立医院中心实验室'
            }
        ]
    },
    {
        'id': '2号',
        'name': '2号楼门诊大楼',
        'floors':[
            {
                'name':'地下一层',
                'info': '感染性疾病门诊（肠道、肝炎）、职工车辆停放处'
            },
            {
                'name':'一层',
                'info': '门诊办公室、医保办公室、健康管理部、社区医疗服务部、健康教育促进室、预约服务中心、核磁共振室、便民门诊、护理专科门诊'
            },
            {
                'name':'二层',
                'info': '心电诊断科（心电图）、注射室、雾化室、疼痛门诊、皮肤科、小儿科'
            },
            {
                'name':'三层',
                'info': '呼吸内科、消化内科、血液内科、介入科、风湿肾病科、内分泌科、脑电图科、肌电图科、肿瘤内科、神经内科、神经外科、心血管内科、心血管外科'
            },
            {
                'name':'四层',
                'info': '妇产科、肿瘤外科、胸外科、肝胆外科、胃肠外科、骨科、儿外科、美容整形科、泌尿外科、基本外科、换药室'
            },
            {
                'name':'五层',
                'info': '耳鼻咽喉科、眼科、收费台、口腔科'
            },
            {
                'name':'六层',
                'info': '出国体验部、防保科、康复科（针灸、理疗、推拿）、痔疮科、中医科、中医骨伤科'
            },
            {
                'name':'七层',
                'info': '消化内镜中心（胃镜、肠镜）、收费台、肺功能室、气管镜室、喉镜室'
            },
            {
                'name':'八层',
                'info': '健康体检中心、收费台、准分子激光近视治疗室、特需医疗专家门诊'
            }
        ]
    },
    {
        'id': '3号',
        'name': '3号楼住院大楼',
        'floors':[
            {
                'name':'负三层',
                'info': '停车库'
            },
            {
                'name':'负二层',
                'info': '停车库'
            },
            {
                'name':'负一层',
                'info': '静脉药物配置中心、配电房、供应室、职工食堂'
            },
            {
                'name':'一层',
                'info': '中药房、西药房、收费处、出入院服务中心、门诊咨询中心、超声诊断科、中心药房、放射科'
            },
            {
                'name':'二层',
                'info': '检验科介入导管室、核医学科、碎石室、血液净化科'
            },
            {
                'name':'三层',
                'info': '第一手术室、麻醉一科、重症医学三科'
            },
            {
                'name':'四层',
                'info': '（暂无信息）'
            },
            {
                'name':'五层',
                'info': '重症医学五科、产房、产科'
            },
            {
                'name':'六层',
                'info': '重症医学二科、 整形、烧伤科'
            },
            {
                'name':'七层',
                'info': '干部特诊一科（六区）'
            },
            {
                'name':'八层',
                'info': '干部特诊一科（七区）'
            },
            {
                'name':'九层',
                'info': '干部特诊一科（八区）'
            },
            {
                'name':'十层',
                'info': '妇科（九区）、妇科（十区）'
            },
            {
                'name':'十一层',
                'info': '眼科、耳鼻喉科'
            },
            {
                'name':'十二层',
                'info': '肝胆外科（13区）、肝胆外科（14区）'
            },
            {
                'name':'十三层',
                'info': '肿瘤外科、基本外科'
            },
            {
                'name':'十四层',
                'info': '消化内科、肿瘤外科、基本外科（16区）、口腔科'
            },
            {
                'name':'十五层',
                'info': '骨一科、骨二科'
            },
            {
                'name':'十六层',
                'info': '神经外科（21区）、 神经外科（22区）'
            },
            {
                'name':'十七层',
                'info': '神经内科（23区）、神经内科（24区）'
            },
            {
                'name':'十八层',
                'info': '胃肠外科（25区）、胃肠外科（26区）、消化内科'
            },
            {
                'name':'十九层',
                'info': '泌尿外科（27区）、 泌尿外科（28区）'
            },
            {
                'name':'二十层',
                'info': '血液科（29区）、血液科（30区）、康复科'
            }
        ]
    },
    {
        'id': '5号',
        'name': '5号楼',
        'floors':[
            {
                'name':'一层',
                'info': '抢救室、急诊内科、急诊儿科、急诊外科、急诊神经外科、收费处、急诊药房'
            },
            {
                'name':'M层',
                'info': '院前急救部、专家门诊'
            },
            {
                'name':'二层',
                'info': '急诊CT、急诊B超、急诊胸透、急诊X光'
            },
            {
                'name':'三层',
                'info': 'PCR实验室'
            },
            {
                'name':'四层',
                'info': '信息管理中心'
            },
            {
                'name':'五层',
                'info': '会议室、远程会诊'
            }
        ]
    },
    {
        'id': '6号',
        'name': '6号楼心血管病综合大楼',
        'floors':[
            {
                'name':'负三层',
                'info': '停车库、加速器'
            },
            {
                'name':'负二层',
                'info': '停车库'
            },
            {
                'name':'负一层',
                'info': '停车库、药库'
            },
            {
                'name':'一层',
                'info': '中心药房、 CT扫描、心脏彩超、心电图 '
            },
            {
                'name':'二层',
                'info': 'DSA、手术室、ICU、教学室'
            },
            {
                'name':'三层',
                'info': '重症医学四科、第二手术室、麻醉二科'
            },
            {
                'name':'四层',
                'info': '设备科'
            },
            {
                'name':'五层',
                'info': '心外一科'
            },
            {
                'name':'六层',
                'info': '心外二科'
            },
            {
                'name':'七层',
                'info': '心内一科'
            },
            {
                'name':'八层',
                'info': '心内二科'
            },
            {
                'name':'九层',
                'info': '心内三科'
            },
            {
                'name':'十层',
                'info': '小儿外科'
            },
            {
                'name':'十一层',
                'info': '儿 科'
            },
            {
                'name':'十二层',
                'info': '胸外科'
            },
            {
                'name':'十三层',
                'info': '胸外科、肿瘤内科'
            },
            {
                'name':'十四层',
                'info': '肿瘤内科'
            },
            {
                'name':'十五层',
                'info': '中医科'
            },
            {
                'name':'十六层',
                'info': '干部特诊二科（48区）'
            },
            {
                'name':'十七层',
                'info': '干部特诊二科（48区）'
            },
            {
                'name':'十八层',
                'info': '干部特诊二科（49区）'
            },
            {
                'name':'十九层',
                'info': '干部特诊二科（49区）'
            }
        ]
    },
	{
		'id': '7号',
        'name': '7号楼',
		'floors':[]
	},
    {
        'id': '8号',
        'name': '8号楼干部特诊二科',
        'floors':[
            {
                'name':'一层',
                'info': '干部门诊 '
            },
            {
                'name':'二层',
                'info': '52区 28-50床、康复理疗室'
            },
            {
                'name':'三层',
                'info': '52区 1-27床、医生办公室、护士站'
            },
            {
                'name':'四层',
                'info': '51区 1-26床、医生办公室、护士站'
            },
            {
                'name':'五层',
                'info': '50区 1-28床、医生办公室、护士站'
            },
            {
                'name':'六层',
                'info': '国际学术会议厅'
            }
        ]
    },
    {
        'id': '10号',
        'name': '10号楼',
        'floors':[
            {
                'name':'一层',
                'info': '发热门诊 综合内科（感染性疾病）（54区）'
            },
            {
                'name':'二层',
                'info': '综合内科（感染性疾病）（54区）'
            },
            {
                'name':'三层',
                'info': '综合内科（感染性疾病）（54区）'
            }
        ]
    }
];
Callback.showBuildingDetail = function(btnId) {

    var btn = $('#'+btnId), id = btn.attr('data-rel'), building = null;
    for(var i = 0; i<buildings.length; i++ ){
        if(buildings[i].id === id){
            building = buildings[i];
            break;
        }
    }
    /*if( !building){
        Widget.popupToast(id+ '号楼暂无信息');
        return;
    }*/
    //Util.data('buildingDetail', building);
	
	FuckHttp.getBuildingDetail({
        buildingId: id,
        success: function (json) {
			var result = {
				'id': id,
				'name': id,
				'floors':[]
			};
			
			if( building ) {
				result.id = building.id;
				result.name = building.name;
			}
			
			result.floors = json.data;
			
            Util.data('buildingDetail', result);
            StageManager.pushView(Views.hospitalBuildingDetailView);
        }
    });
	//StageManager.pushView(Views.hospitalBuildingDetailView);
};

// ------------------------- 楼层导航
//
Views.hospitalBuildingDetailView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'hospitalBuildingDetailView',
		name: '楼层导航'
	},

	willShow: function(ct) {
		this.render(ct, {
            data: Util.data('buildingDetail')
        });
		this.makeScrollable(ct.find('.ui-page-body'));
	}
});

// ------------------------- 医院交通
Views.hospitalBusView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'hospitalBusView',
		name: '医院交通'
	},

	willShow: function(ct) {
		this.render(ct);
	}
});

// -------------------------- 就医流程 treatmentProcessView
var treatmentProcessData =  [
    {
        'id': 1,
        'name': '作息时间',
        'type': 'text',
        'content': '<p class="title">门诊工作时间：</p>' +
            '<p>周一至周五8:00-12:00，14:00-17:00，</p>' +
            '<p>周六、周日8:00-12:00</p>' +
            '<p class="title">夏季：</p>' +
            '<p>周一至周五8:00-12:00，14:30-17:30，</p>' +
            '<p>周六、周日8:00-12:00</p>' +
            '<p class="title">急诊工作时间：</p>' +
            '<p>每日0:00-24:00（24小时不间断）</p>'
    },
    {
        'id': 2,
        'name': '住院规定',
        'type': 'text',
        'content': '<p>1、请自觉遵守医院规章制度，与医护人员密切合作，积极配合治疗和护理，主动参与疾病治疗和康复的全过程，增强自我保健意识，提高自我护理能力。</p>' +
            '<p>2、讲文明、讲礼貌，休养员之间应团结友爱、互相尊重、相互帮助、互相鼓励，增强战胜疾病的信心。为了您和他人的健康，请不要在病房内吸烟，不要随地吐痰，不要乱扔垃圾，不要大声喧哗，不要在房间打麻将，打扑克，保持整洁和安静。</p>' +
            '<p>3、为了您的安全，请行走时小心，防止摔跤、跌倒。注意饮食卫生，防止传染性疾病。</p>' +
            '<p>4、请您妥善保管好贵重物品和证件，不要携带较多物品，如有特别需要请与护士长联系。</p>' +
            '<p>5、治疗室是配药的地方，为了避免污染，请您不要擅自进入治疗室；为了保护您及其他病友的隐私，请不要翻阅病历及其它医护记录；为了您的医疗安全，请不要私自到院外求医购药。自购、自带的药品将不得在住院期间使用。</p>' +
            '<p>6、为了防止您受到交叉感染，请您不要随便到其它病房走动。</p>' +
            '<p>7、为了您的健康，请按时休息。在查房诊疗时间内不得擅自离开房间。特殊情况外出要请假，请征得经治医生（或值班医生）同意方可离开。为了您的安全，请不要外宿，否则作自动出院处理。</p>' +
            '<p>8、凡病危、大手术及五岁以下患者，视病情需要由护士长签发陪伴证，陪伴需服从病室管理。</p>' +
            '<p>9、探视者就按医院规定时间和手续探视病员。每次探视不得超过三人。</p>' +
            '<p>10、我院采用计算机系统进行医疗全过程的规范化、科学化管理，我们将根据您的需要为您提供"住院费用一日清单"，便于您核对和监督。如有疑议，请及时咨询。</p>'
    },
    {
        'id': 3,
        'name': '入院流程',
        'type': 'img',
        'content': 'ruyuanliucheng'
    },
    {
        'id': 4,
        'name': '出院流程',
        'type': 'img',
        'content': 'chuyuanliucheng'
    },
    {
        'id': 5,
        'name': '门诊检验流程',
        'type': 'img',
        'content': 'jianyanliucheng'
    },
    {
        'id': 6,
        'name': '门诊就诊流程',
        'type': 'text',
        'content': '<p>1、初次就诊请先填写建卡凭条，在各建卡窗口办理就诊卡及预交款，持卡复诊者，请先查询卡内余额，不足者可到自助充值结算机或者收费窗口办理交款。</p>'+
            '<p>2、到各科室按序侯诊，在医生处刷卡挂号、就诊。</p>'+
            '<p>3、若有电子医技检查、治疗单，可在自助结算机处刷卡就诊，取结算凭条，手工医技检查、治疗单在各医技科室或各收费处录入结算，再去相应科室检查、治疗。            </p>'+
            '<p>4、若有开药，直接在自助充值结算机上刷卡充值取药。</p>'+
            '<p>5、就诊结束后在收费处结账，打印发票。就诊卡内余额结账前可退还，亦可留下次使用。 </p>'+
            '<br>'+
            '<p> 注意：若就诊卡内金额不足时，需在自助充值结算机或各收费点补足所需医疗款，然后才能进行刷卡划账。建议多存交预金，避免排队补交款的麻烦。            </p>'
    },
    {
        'id': 7,
        'name': '患者投诉流程',
        'type': 'img',
        'content': 'patient-complaints-procedure'
    },
    {
        'id': 8,
        'name': '门（急）诊就诊流程',
        'type': 'img',
        'content': 'emergency-treatment-procedure'
    },
    {
        'id': 9,
        'name': '现场预约流程',
        'type': 'img',
        'content': 'site-appointment-process'
    },
    {
        'id': 10,
        'name': '医疗纠纷处置流程',
        'type': 'img',
        'content': 'medical-tangle-procedure'
    }
];
Views.treatmentProcessView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'treatmentProcessView',
        name: '就医流程'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: treatmentProcessData
        });
        this.makeScrollable($('#TPscroll'));
    }
});

Callback.showTPDetail = function(btnId){
    var btn = $('#' + btnId), id, data;
    id = btn.attr('data-rel');
    for(var i = 0; i < treatmentProcessData.length; i++) {
        var tpData = treatmentProcessData[i];
        if(tpData.id === id-0) {
            data = tpData;
            break;
        }
    }
    Util.data('treatmentProcessDetail', data);
    StageManager.pushView(Views.treatmentProcessDetailView);
};
Views.treatmentProcessDetailView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'treatmentProcessDetailView',
        name: '就医流程信息'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: Util.data('treatmentProcessDetail')
        });
    },
    didShow: function() {
        this.makeScrollable($('#TPDetail'));
    }
});

/**
 * 其他模块，咨询、资讯、满意度调查
 **/
Callback.showNews = function(btnId) {
	FuckHttp.getNewsClasses({
		success: function(json,isCache) {
			Widget.popupLoadingClose();
			if( json.data.length <= 0 ) {
				Widget.popupToast('暂无健康资讯');
				return;
			}

			if( !isCache ) {

				/*福建省立特殊处理*/
				for( var i=0, len=json.data.length ; i< len ;i++  ) {
					if( json.data[i].name === '心理' ) {
						json.data.remove(i);
						break;
					}
				}

				Util.data('newsCategories',json);
				Util.data('newsCategories.updateTime',(new Date()).getTime());
				
				CACHE.clearNews();
			}
			
			Util.data('newsCategories.sel',0);
			Util.data('newsCategories.class',json.data[0].id);

			StageManager.pushView(Views.newsView);
		}
	});

};
Views.newsView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'newsView',
		name: '资讯'
	},
	switchBtn: true,
	willShow: function(ct) {
		this.switchBtn = true;
		var newsCategories = Util.data('newsCategories'), selClass = Util.data('newsCategories.sel');
		this.render(ct,{
			categories: newsCategories.data,
			selClass: selClass
		});

		var _viewhScroller = this.makeScrollable($('.news-header'),{
			hScrollbar: false
		});
		_viewhScroller.scrollTo(selClass*(-94),0,0);

		this.loadSubView(Util.data('newsCategories.class')+'', false);

		this.makeScrollableWithPullRefresh($('#news-wrapper'),{
			onPullUpRefresh: function() {
				Views.newsView.loadMoreCurrentClass();
			},
			onPullDownRefresh: function() {
				Views.newsView.refreshCurrentClass();
			}
		});
	},
	loadSubView: function(classId, force) {
		this.switchBtn = false;
		FuckHttp.getNewsByClassId({
			id: classId,
			data: {
				catalogId: classId,
				pageNum: 1,
				pageSize: 10
			},
			success: function(json,isCache) {
				Widget.popupLoadingClose();

				if( !isCache ) {
					CACHE.setNewsByClassId(classId,{
						pageNum: 1,
						pageSize: 10,
						updateTime: (new Date()).getTime(),
						data: json
					});
					if( json.data.length < 10 ) {
						Views.newsView.closePullUp();
					} else {
						Views.newsView.openPullUp();
					}
				}

				$('.news-contents').html(Views.tmpl.newsListSub({
					NEWS_URL: NEWS_URL_PIC,
					news : json.data,
					isAppend: false
				}));

				Views.newsView.switchBtn = true;
			},
			always: function() {
				Views.newsView.switchBtn = true;
			}
		},force);
	},
	closePullUp: function() {
		$('#pullUp').hide().attr('id', 'pullUp-hide');
	},
	openPullUp: function() {
		$('#pullUp-hide').show().attr('id', 'pullUp');
	},
	refreshCurrentClass: function() {
		if( !this.switchBtn ) {
			return;
		}
		Views.newsView.loadSubView(Util.data('newsCategories.class')+'', true);
	},
	loadMoreCurrentClass: function() {
		if( !this.switchBtn ) {
			return;
		}
		this.switchBtn = false;
		//不能随便触发.

		var classId = Util.data('newsCategories.class'), _news = CACHE.getNewsByClassId(classId+'');
		var requestNum = _news.pageNum + 1, requestSize = _news.pageSize;
		FuckHttp.getNewsMoreByClassId({
			id: classId,
			data: {
				catalogId: classId,
				pageNum: requestNum,
				pageSize: 10
			},
			success: function(json,isCache) {
				Widget.popupLoadingClose();

				if( json.data.length > 0 ) {
					CACHE.addMoreNewsByClassId(classId,{
						pageNum: requestNum,
						pageSize: requestSize,
						data: json
					});
				}

				$('.news-contents').append(Views.tmpl.newsListSub({
					NEWS_URL: NEWS_URL_PIC,
					news : json.data,
					isAppend: true
				}));

				if( json.data.length < requestSize ) {
					Views.newsView.closePullUp();
				} else {
					Views.newsView.openPullUp();
				}

				Views.newsView.switchBtn = true;
			},
			always: function() {
				Views.newsView.switchBtn = true;
			}
		});
	}
});
Callback.changeNewsClass = function(btnId) {
	if( !Views.newsView.switchBtn ) {
		return;
	}

	var btn = $('#'+btnId), classId = btn.attr('data-rel'), index = btn.attr('news-index');Util.log(index);
	
	$('.news-item-label').removeClass('sel');
	btn.find('.news-item-label').addClass('sel');

	Util.data('newsCategories.sel',index-0);
	Util.data('newsCategories.class',classId-0);

	Views.newsView.loadSubView(classId, false);
};
Callback.showNewsDetail = function(btnId) {
	var btn = $('#'+btnId), newsId = btn.attr('data-rel')-0;
	FuckHttp.getNewsInfo({
		id: newsId,
		data: {
			familyId: 0
		},
		success: function(json,isCache) {
			Widget.popupLoadingClose();

			if( !isCache ) {
				CACHE.setNewsInfo(json);
			}

			Util.data('newsInfo', json.data);
			StageManager.pushView(Views.newsInfoView);
		}
	});
};
Views.newsInfoView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'newsInfoView',
		name: '资讯详情'
	},
	willShow: function(ct) {
		var info = Util.data('newsInfo'), classId = Util.data('newsCategories.class');

		info.addTime = DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii',new Date(info.addTime));
		this.render(ct,{
			info: info
		});
	},
	didShow: function() {
		this.makeScrollable($('#news-info'));
	}
});

Views.noopsycheDiagnoseGuideView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'noopsycheDiagnoseGuideView',
		name: '自助诊断-首页'
	},
	willShow: function(ct) {
		this.render(ct);
	}
});

Callback.diagnoseGo = function(btnId) {
	var age = $('#age').val().trim()-0,
		sex = $('#sex').val();
	if (age.length === 0) {
		Widget.popupToast('请输入年龄后继续');
		return;
	}
	if (isNaN(age) || age <= 0) {
		Widget.popupToast('请输入真实的年龄后继续');
		return;
	}
	
	Util.data('cache.diagnoseInfo', {
		sex: sex,
		age: age
	});
	StageManager.pushView(Views.noopsycheDiagnoseImgView);
};
Views.noopsycheDiagnoseImgView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'noopsycheDiagnoseImgView',
		name: '自助诊断-模型',
		img: {
			"woman-front": "themes/images/renti/woman-front.png",
			"woman-contrary": "themes/images/renti/woman-contrary.png",
			"man-front": "themes/images/renti/man-front.png",
			"man-contrary": "themes/images/renti/man-contrary.png"
		},
		mark: {
			"woman-front": "woman-contrary",
			"woman-contrary": "woman-front",
			"man-front": "man-contrary",
			"man-contrary": "man-front"
		}
	},
	willShow: function(ct) {
		var diagnoseInfo = Util.data('cache.diagnoseInfo');

		if (diagnoseInfo.sex === "MALE") {
			diagnoseInfo.imgSrc = this.options.img["man-front"];
			diagnoseInfo.imgSrc2 = this.options.img["man-contrary"];
		} else {
			diagnoseInfo.imgSrc = this.options.img["woman-front"];
			diagnoseInfo.imgSrc2 = this.options.img["woman-contrary"];
		}
		if( APPVERSION === 'web' ) {
			diagnoseInfo.mobile_system = 'web';
		} else {
			diagnoseInfo.mobile_system = mobile_system;
		}

		this.render(ct,diagnoseInfo);
	}
});
Callback.overturnRenti = function(btnId) {
	var btn = $('#'+btnId);
	if( btn.hasClass('overturn-in-contrary') ) {
		if( mobile_system === 'android' ) {
			$('.ui-renti-contrary').hide();
			$('.ui-renti-front').show();
		} else {
			$('.page-3d').removeClass('overturn');
		}
	} else {
		if( mobile_system === 'android' ) {
			$('.ui-renti-front').hide();
			$('.ui-renti-contrary').show();
		} else {
			$('.page-3d').addClass('overturn');
		}
	}
};

function imgToList(code, directionType, id) {
	var rentiDiv = $('.ui-renti-front');
	if( directionType === 'FRONT' ) {
		rentiDiv = $('.ui-renti-front');
	} else {
		rentiDiv = $('.ui-renti-contrary');
	}
	rentiDiv.find('#'+id).show();
	setTimeout(function(){
		rentiDiv.find('#'+id).hide();
	}, 180);

	var partType = Views.noopsycheDiagnoseListView.getPartType(Util.data('cache.diagnoseInfo'));
	FuckHttp.getBodypartSecond({
		code: code,
		partType: partType,
		data: {
			directionType: directionType
		},
		success: function(json) {
			Util.data("twoLevelPartData", json.data);
			StageManager.pushView(Views.noopsycheDiagnoseList2View);
		}
	});
}

Callback.showRentiList = function() {
	if( APPVERSION === 'web' ) {
		Util.data('firstLevelPartData', TestData.firstLevelPartData);
		StageManager.pushView(Views.noopsycheDiagnoseListView);
	} else {
		var partType = Views.noopsycheDiagnoseListView.getPartType(Util.data('cache.diagnoseInfo'));
		FuckHttp.getRentiBodyList({
			partType: partType,
			success: function(json) {
				Util.data("firstLevelPartData", json.data);
				StageManager.pushView(Views.noopsycheDiagnoseListView);
			}
		});
	}
};
Views.noopsycheDiagnoseListView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'noopsycheDiagnoseListView',
		name: '自助诊断-列表',
		title: '自助诊断',
		action: 'showRentiTwoLevel'
	},
	willShow: function(ct) {
		var firstLevelParts = Util.data('firstLevelPartData');
		this.render(ct,{
			datas: firstLevelParts,
			options: this.options
		});
	},
	didShow: function() {
		this.makeScrollable($('.renti-first-Part'));
	},
	getPartType: function(param) {
		var sex = param.sex,
			age = param.age * 1,
			postfix = (sex==="MALE"?"MAN":"WOMAN"),
			prefix = "";

		if (age < 18 && age >= 13) {
			prefix = "THIRTEEN_SEVENTEEN_";
		} else if (age < 13 && age >= 7) {
			prefix = "SEVEN_TWELVE_";
		} else if (age < 7 && age >= 3) {
			prefix = "THREE_SIX_";
		} else if (age < 3 && age >=0) {
			prefix = "ZERO_TWO_";
		}
		return prefix + postfix;
	}
});

Callback.showRentiTwoLevel = function(btnId){
	var partType = Views.noopsycheDiagnoseListView.getPartType(Util.data('cache.diagnoseInfo')),
		code = $("#" + btnId).attr("data-part-code");

	FuckHttp.getBodypartSecond({
		code: code,
		partType: partType,
		success: function(json) {
			if( json.data.length > 0 ) {
				Util.data("twoLevelPartData", json.data);
				StageManager.pushView(Views.noopsycheDiagnoseList2View);
			} else {
				Widget.popupToast('暂无数据');
			}
		}
	});
};

Views.noopsycheDiagnoseList2View = $.extend({}, Views.noopsycheDiagnoseListView, {
	options: {
		tmpl: 'noopsycheDiagnoseListView',
		name: '自助诊断-列表2',
		title: '',
		action: 'showSymptoms'
	},
	willShow: function(ct) {
		var twoLevelPartData = Util.data('twoLevelPartData');

		this.options.title = twoLevelPartData[0].partName;

		twoLevelPartData.splice(0,1);
		this.render(ct,{
			datas: twoLevelPartData,
			options: this.options
		});
	}
});

Callback.showSymptoms = function(btnId){
	var btn = $('#'+btnId), id = btn.attr('data-rel'), partName = btn.find('.left-label').html();

	FuckHttp.getSymptoms({
		id: id,
		success: function(json) {
			Util.data("symptomData", {part: partName, data: json.data});
			Util.data("selectedSymptomData",'');
			StageManager.pushView(Views.symptomDescribeView);
		}
	});
};
Views.symptomDescribeView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'symptomDescribeView',
		name: '自助诊断-列表3',
		title: ''
	},
	willShow: function(ct) {
		var param = Util.data("symptomData"), data = Util.data("selectedSymptomData");

		this.options.title = param.part;
		this.render(ct, {
			options: this.options,
			datas: param.data,
			sels: data
		});
	},
	didShow: function() {
		this.makeScrollable($('.renti-first-Part'));
	}
});
Callback.checkSymptom = function(btnId) {
	var btn = $('#'+btnId), _switch = btn.find('.sex-sel'), data_Id = btn.attr('data-rel'), data_name = btn.find('.sex-label').html();
	var data = Util.data("selectedSymptomData") || {}, param = Util.data("symptomData");

	if( _switch.hasClass('sel') ) {
		delete data[data_Id];

		Util.data("selectedSymptomData", data);

		_switch.removeClass('sel');
	} else {
		data[data_Id] = '(' + param.part + ')' + data_name;

		Util.data("selectedSymptomData", data);

		_switch.addClass('sel');
	}
};

Callback.showSelectedSymptomView = function(btnId) {
	Callback.toPathogenesis(btnId);
};
Views.selectedSymptomView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'selectedSymptomView',
		name: '已选症状'
	},
	willShow: function(ct) {
		this.render(ct, {
		});
	}
});

Callback.toPathogenesis = function(btnId) {
	var symptoms = Util.data("symptomData").data, symptomSels = Util.data("selectedSymptomData"), i;
	var ids = [];


	for( i=0;i<symptoms.length;i++ ) {
		if( symptomSels[symptoms[i].id] ) {
			ids.push(symptoms[i].id);
		}
	}
	ids = ids.join('+');

    if(!ids){
        Widget.popupToast('请先勾您感到不适的症状');
        return;
    }

	var age = Util.data('cache.diagnoseInfo').age + '';

	FuckHttp.getSymptomResult({
		ids: ids,
		data: {
			age: age
		},
		success: function(json) {
			if (!json.data || json.data.length === 0) {
				Util.alert("无匹配病症");
				return;
			}
			Util.data("pathogenesisData", json.data);
			StageManager.pushView(Views.symptomResultView);
		}
	});
};
Views.symptomResultView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'symptomResultView',
		name: '可能病因'
	},
	willShow: function(ct) {
		var data = Util.data("pathogenesisData");
		this.render(ct, {
			info: data
		});
		this.shrinkInfo();
		this.renderProgress();
		this.makeScrollable($('#pageScrollerWrapper'));
	},
	shrinkInfo: function() {
		$(".shrink-title").each(function (i) {
			var divH = $(this).height();
			var $span = $("span", $(this)).eq(0);
			while ($span.outerHeight() > divH) {
				$span.text($span.text().replace(/(\s)*([a-zA-Z0-9]+|\W)(\.\.\.)?$/, "..."));
			}
		});
	},
	renderProgress: function() {
		var self = $('#big-pathogenesis-progress');
		renderPublicProgress({
			self: self[0],
			x: 55,
			y: 55,
			fontSize: '18pt',
			process: self.text(),
			r1: 55,
			r1Color: '#03898c',
			r2: 48,
			r2Color: '#fff',
			r3: 46,
			r3Color: '#03898c',
			r4: 44,
			r4Color: '#fff'
		});
		$('.ui-item-progress').each(function(index, element){
			var r1Color = '#33afb1';
			if (index > 3 && index < 8) {
				r1Color = '#5ec2c0';
			} else if (index < 12 && index >= 8){
				r1Color = '#8bccce';
			} else if (index >=12){
				r1Color = '#cde5e5';
			}
			renderPublicProgress({
				self: this,
				x: 28,
				y: 28,
				fontSize: '10pt',
				process: $(this).text(),
				r1: 28,
				r1Color: r1Color,
				r2: 25,
				r2Color: '#fff',
				r3: 23,
				r3Color: r1Color,
				r4: 22,
				r4Color: '#fff'
			});
		});
	}
});
Callback.toDiseaseView = function(btnId) {
	var _btn = $("#" + btnId),
		_id = _btn.attr("data-id");

	FuckHttp.getDiseaseDetail({
		_id: _id,
		success: function(json) {
			Util.data('disease.data', json.data);
			StageManager.pushView(Views.diseaseView);
		}
	});
};
function renderPublicProgress(param) {
	var process = param.process;
	// 一个canvas标签
	var canvas = param.self;
	// 拿到绘图上下文,目前只支持"2d"
	var context = canvas.getContext('2d');
	// 将绘图区域清空,如果是第一次在这个画布上画图,画布上没有东西,这步就不需要了
//			context.clearRect(0, 0, 48, 48);

	var devicePixelRatio = window.devicePixelRatio || 1,
		backingStoreRatio = context.webkitBackingStorePixelRatio ||
			context.backingStorePixelRatio || 1,
		ratio = devicePixelRatio / backingStoreRatio,
		canvasWidth = canvas.width,
		canvasHeight = canvas.height;
	if (devicePixelRatio !== backingStoreRatio) {
		canvas.width = canvasWidth * ratio;
		canvas.height = canvasHeight * ratio;

		canvas.style.width = canvasWidth + 'px';
		canvas.style.height = canvasHeight + 'px';

		context.scale(ratio, ratio);
	}



	// 画进度
	var i = 0;
	var r = setInterval(function(){
		if (i >= process * 1) {
			clearInterval(r);
			return;
		}
		if (i > 0) context.clearRect(0, 0, canvasWidth, canvasHeight);
		context.save();

		context.beginPath();
		context.moveTo(param.x, param.y);
		context.arc(param.x, param.y, param.r4, 0, Math.PI * 2, false);
		context.closePath();
		context.fillStyle = param.r4Color;
		context.fill();

		//在中间写字
		context.font = "bold " + param.fontSize + " Arial";
		context.fillStyle = '#000';
		context.textAlign = 'center';
		context.textBaseline = 'middle';
		context.moveTo(55, 55);
		context.fillText(process + '%', param.x, param.y);

		context.globalCompositeOperation = 'destination-over';
		context.beginPath();
		context.moveTo(param.x, param.y);
		context.arc(param.x, param.y, param.r3, 0, Math.PI * 2, false);
		context.closePath();
		context.fillStyle = param.r3Color;
		context.fill();
		context.beginPath();

		context.globalCompositeOperation = 'destination-over';
		context.beginPath();
		context.moveTo(param.x, param.y);
		context.arc(param.x, param.y, param.r2, 0, Math.PI * 2, false);
		context.closePath();
		context.fillStyle = param.r2Color;
		context.fill();
		context.beginPath();

		// 画扇形的时候这步很重要,画笔不在圆心画出来的不是扇形
		context.moveTo(param.x, param.y);
		context.arc(param.x, param.y, param.r1, -Math.PI/2, -Math.PI/2 + Math.PI * 2 * (i + 1) / 100, false);
		context.closePath();
		context.fillStyle = param.r1Color;
		context.fill();

		context.restore();
		i++;
	}, 15);
	context.closePath();
}
Views.diseaseView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'diseaseView',
		name: 'diseaseView'
	},
	willShow: function(ct) {
		this.render(ct, {
			info: Util.data('disease.data'),
			width: $(window).width()
		});
		var height = $('#header-title').innerHeight();
		if (height > 40) {
			var maxHeight = $('#diseaseScroll').css('max-height');
			maxHeight = maxHeight.substring(0, maxHeight.length - 2) * 1 - (height - 40);
			$('#diseaseScroll').css({
				'height': maxHeight + 'px',
				'maxHeight': maxHeight + 'px'
			});
		}
		this.makeScrollable($('.ui-page-body', ct));
	}
});

Callback.showAllHideContent = function(btnId) {
    var btn = $('#' + btnId),
        angle = btn.find('div').eq(btn.find('div').length -1),
        element = btn.next();
    if (btn.find('div').eq(1).hasClass('ui-arrow-down')) {
        element.show();
        btn.find('div').eq(1).removeClass('ui-arrow-down').addClass('ui-arrow-up');
        if (angle.hasClass('ui-down-angle')) {
            angle.show();
        }
    } else {
        element.hide();
        btn.find('div').eq(1).removeClass('ui-arrow-up').addClass('ui-arrow-down');
        if (angle.hasClass('ui-down-angle')) {
            angle.hide();
        }
    }
};

// ------------------ 医院简介 hospitalIntroductionView
Views.hospitalIntroductionView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'hospitalIntroductionView',
        name: '医院简介'
    },
    willShow: function(ct) {
        this.render(ct, {hospitalId: HOSPITAL_ID});
    },
    didShow: function() {
        this.makeScrollable($('#pageScrollerWrapper'));
        this.loadData();
    },
    loadData: function() {
        var self = this;
        if (APPVERSION === 'web') {
            setTimeout(function() {
                TestSuit.getHtml('hospitalInfo.txt', function(rs) {
                    $('#pageScrollerWrapper').find('.ui-scroller').html(rs);
                });
            }, 1000);
            return;
        }
        var data = Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO'),
            now = new Date() - 0,
            lastTime = Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO.time');

        if (APPVERSION !== 'product' || !data || now - lastTime > Util.MILLIS_1_DAY) {
            var updateTime = Util.data(HOSPITAL_ID +'.hospitalNote.HOSPITAL_INFO.updateTime') ? Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO.updateTime') : '';
            FuckHttp.loadHospitalNote({
                data: {type: 'HOSPITAL_INFO', updateTime: updateTime},
                doneError: function() {},
                success: function(json) {
                    if (json.data && json.data.content) {
                        Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO', json.data.content);
                        Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO.time', new Date() - 0);
                        Util.data(HOSPITAL_ID + '.hospitalNote.HOSPITAL_INFO.updateTime', json.data.updateTime);
                        $('#pageScrollerWrapper').find('.ui-scroller').html(json.data.content);
                        return;
                    }
                    if (data) {
                        setTimeout(function(){
                            $('#pageScrollerWrapper').find('.ui-scroller').html(data);
                        }, 500);
                    }
                },
                error: function() {
                    if (data) {
                        setTimeout(function(){
                            $('#pageScrollerWrapper').find('.ui-scroller').html(data);
                        }, 500);
                    }
                }
            });
            return;
        }
        setTimeout(function(){
            $('#pageScrollerWrapper').find('.ui-scroller').html(data);
        }, 500);
    }
});
Views.departInfoView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'departInfoView',
        name: '科室简介'
    },
    willShow: function (ct) {
        this.render(ct, {
            data: Util.data('guideDept')
        });
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

// ------------------ 新手教程 NoviceCourseView
Views.NoviceCourseView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'NoviceCourseView',
        name: '新手教程',
        bannersList:[
            {
                name: '注册',
                images: [
                    'themes/images/noviceCourse/register.jpg'
                ]
            },
            {
                name: '绑就诊卡',
                images: [
                    'themes/images/noviceCourse/bindCard.jpg'
                ]
            },
            {
                name: '预约挂号',
                images: [
                    'themes/images/noviceCourse/reg.jpg'
                ]
            },
            {
                name: '取消预约',
                images: [
                    'themes/images/noviceCourse/cancelReg.jpg'
                ]
            },
            {
                name: '报告查询',
                images: [
                    'themes/images/noviceCourse/searchRecord.jpg'
                ]
            },
            {
                name: '充值',
                images: [
                    'themes/images/noviceCourse/recharge.jpg'
                ]
            },
            {
                name: '结算',
                images: [
                    'themes/images/noviceCourse/settle.jpg'
                ]
            }
        ]
    },
    willShow: function(ct) {
        var bannerList = this.options.bannersList;

        this.render(ct, {
            data: bannerList
        });
    },
    didShow: function() {
        this.makeScrollable($('.ui-page-body'));
    }
});

Callback.chooseNoviceCourse = function(btnId){
    var i = $('#'+btnId).attr('data-rel')-0;
    var thisView = StageManager.getCurrentView();
    var data  = thisView.options.bannersList[i];
    Util.data('cache.NoviceCourseDetail', data);
    StageManager.pushView(Views.NoviceCourseInfoView);
};

Views.NoviceCourseInfoView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'NoviceCourseInfoView',
        name: '新手教程'
    },
    willShow: function(ct){
        var data = Util.data('cache.NoviceCourseDetail');
        this.banners = data.images;
        this.name = data.name;
        this.render(ct,{
            banners: data.images,
            title: data.name
        });
    },
    didShow: function(ct){
        this.makeScrollable($('.ui-page-body', ct));
    }
//    willShow : function(ct){
//        var data = Util.data('cache.NoviceCourseDetail');
//        this.banners = data.images;
//
//        this.header.title = data.name;
//        this.container = ct;
//
//        var navopts = this.calcNavLayout();
//
//        navopts.windowWidth = $(window).width();
//        navopts.height = Math.round($(window).height()-45);
//        navopts.width = Math.round(navopts.height*750/1206);
//        navopts.hospitalName = HOSPITAL_NAME;
//        navopts.banners = this.banners;
//        this.render(ct,navopts);
//    },
//
//    didShow : function(data) {
//
//        if (this.bannerScroller)
//            this.viewScrollerDestroy(this.bannerScroller);
//        if (this._viewScroll)
//            this.viewScrollerDestroy(this._viewScroll);
//
//        var self = this;
//        if($('.images li').length > 1){
//            this.bannerScroller = this.makeScrollable(this.container.find('.scroller'), {
//                snap: true,
//                momentum: false,
//                hScrollbar: false,
//                onScrollEnd: function() {
//
//                }
//            });
//        }
//    },
//
//    hide : function() {
//        this.container = null;
//        this.bannerScroller = null;
//
//        if (this.bannerCarouselTid)
//            clearTimeout(this.bannerCarouselTid);
//    },
//
//    onResize : function(w, h) {
//        if (!this.container) return;
//
//        var navopts = this.calcNavLayout();
//        navopts.banners = this.banners;
//
//        this.viewScrollerDestroyAll();
//        this.show(this.container);
//    },
//
//    calcNavLayout : function() {
//        var cw = Layout.windowWidth,
//            ch = ( Layout.windowHeight) - Math.round(cw*0.4),
//            marginW = 6,
//            marginH = 6,
//            result = {};
//
//        if ( Layout.windowHeight > 450 ) {
//            marginH += ( Layout.windowHeight - 450 )/18;
//        }
//
//        result.marginW = marginW;
//        result.marginH = marginH;
//        result.imgW = ( cw-marginW*6 )/2;
//        result.imgH = ( ch-marginH*6 )/2;
//
//        return result;
//    }
});

//健康管理
Views.healthManageView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'healthManageView',
        name: '健康管理'
    },
    didShow: function () {
        this.makeScrollable($('.ui-page-body'));
    }
});

/****************** 信息公告 *****************/
Callback.showZixunMainView = function(){
    FuckHttp.getZixun({
        success: function(json){
            var data = json.data;
            if(data.length === 0){
                Widget.popupToast('暂无信息')
                return;
            }
            Util.data('cache.zixun', json.data);
            Util.data('cache.zixunNo', 0);
            Util.data('cache.zixunId', json.data[Util.data('cache.zixunNo')].id);
            StageManager.pushView(Views.zixunMainView);
        }
    });
};
Views.zixunMainView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'zixunMainView',
        name: '资讯主页'
    },
    willShow: function(ct) {
        var zixun = Util.data('cache.zixun');
        this.render(ct, {
            data: zixun,
            zixunNo: Util.data('cache.zixunNo'),
            mode: 'page'
        });
    },
    didShow: function(){
        this.ajaxFun();
        this.makeScrollable($('.scroller-list'));
    },
    ajaxFun: function(){
        var self = this;
        var zixunId = Util.data('cache.zixunId');
        FuckHttp.getZixunList({
            data: {
                id: zixunId,
                pageNum:1,
                pageSize:10
            },
            success: function(json){
                Util.data('cache.zixunList', json.data);
                self.loadHtml(json.data);
                var zixunNo = Util.data('cache.zixunNo');
                var marginLeft = (zixunNo-1)*60 - 30;
                $('.zixun-title-tab').css('margin-left', marginLeft+ 'px');
            }
        });
    },
    loadHtml: function(data){
        $('.zixun-list').html(Views.tmpl.zixunMainView({
            mode: 'list',
            data: data,
            Date: Date
        }));
    }
});
Callback.loadZixun = function(btnId){
    var zixunId = $('#'+btnId).attr('data-rel'),
        zixunNo = $('#'+btnId).attr('data-zixunNo');
    Util.data('cache.zixunNo', zixunNo);
    Util.data('cache.zixunId', zixunId );
    FuckHttp.getZixunList({
        data: {
            id: zixunId,
            pageNum:1,
            pageSize:10
        },
        success: function(json){
            Util.data('cache.zixunList', json.data);
            Views.zixunMainView.loadHtml(json.data);
            var zixunNo = Util.data('cache.zixunNo');
            var marginLeft = (zixunNo-1)*60 - 30;
            $('.zixun-title-tab').css('margin-left', marginLeft+ 'px');
        }
    });
}

Callback.showZixunDetailView = function(btnId){
    var id = $('#'+btnId).attr('data-rel');
    FuckHttp.getZixunDetail({
        data: {
            id: id,
            familyId: 0
        },
        success: function(json){
            Util.data('cache.zixunDetail', json.data);
            StageManager.pushView(Views.zixunDetailView);
        }
    });
}

Views.zixunDetailView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'zixunDetailView',
        name: '资讯详情'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: Util.data('cache.zixunDetail')
        });
        this.makeScrollable($('#content'));

    },
    didShow: function(ct){
        $('a').each(function (e) {
            var self = this,
                href = $(self).attr('href');
            $(self).removeAttr('href');
            $(self).addClass('ui-btn');
            $(self).attr('data-downaction', 'filterLink');
            $(self).attr('data-rel', href);
            $(self).css({
                'color': '-webkit-link',
                'text-decoration': 'underline'
            });
        });
        $('img', ct).each(function(e){
            var self = this;
            if($(self).width() > $(window).width()){
                $(self).removeAttr('style');
                $(self).attr('width','100%');
                $(self).attr('height','auto');
            }
//            $(self).addClass('ui-btn');
//            $(self).attr('data-action', 'showPicScroll');
        })
    }
});
Callback.filterLink = function(btnId){
    var btn = $('#'+ btnId),
        href = btn.attr('data-rel');
    window.open(href, '_system');
};

// --------------------- 满意度调查
Callback.showFirstInspectView = function (btnId) {
    if (!UserProfile.isUserLoggedIn()) {
        Util.alert('使用此功能，请先登录！',function(){
            StageManager.pushView(Views.loginView);
        });
        return;
    }
    var inspectTopicId = $('#'+btnId).attr('data-rel');
    Util.data('inspectTopicId', inspectTopicId);
    Util.data('inspectDept', '');
    Util.data('inspect.data', {});
    StageManager.pushView(Views.firstInspectView);
};
Views.firstInspectView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'firstInspectView',
        name: '满意度调查'
    },
    willShow: function (ct) {
        this.render(ct, {
                dept: Util.data('inspectDept'),
                data: Util.data('inspect.data')
            }
        );
    },
    didShow: function () {
//        $('input').on('change', function() {
//            var id = $(this).attr('id'),
//                value = $(this).val();
//            var data = Util.data('inspect.data');
//            data[id] = value;
//            Util.data('inspect.data', data);
//        })
    }
});
Callback.chooseInspectDept = function (btnId) {
    var id = $('#'+ btnId).attr('data-rel');
    var dept = CACHE.getDepartById(id);
    Util.data('inspectDept', dept);
    Callback.pageBack();
};
Callback.showSatisfactionSurveyView = function(){
    if (!UserProfile.isUserLoggedIn()) {
        Util.alert('使用此功能，请先登录！',function(){
            StageManager.pushView(Views.loginView);
        });
        return
    }

    FuckHttp.getInspectTopic({
        success: function(josn){
            if(josn.data.length === 0){
//                Widget.popupToast('暂无满意度调查题目');
//                return;
            }
            Util.data('inspectTopicList', josn.data);
            StageManager.pushView(Views.satisfactionSurveyView);
        }
    });
};
Views.satisfactionSurveyView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'satisfactionSurveyView',
        name: '满意度调查'
    },
    willShow: function (ct) {
        this.render(ct, {
            data: Util.data('inspectTopicList')
        });
    }
});

Views.inspectRadioView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'inspectRadioView',
        name: '单选页'
    },
    willShow: function (ct) {
        var list = Util.data('inspectCache');
        list.pop();
        Util.data('inspectCache', list);
        var data = list[list.length - 1];
        this.render(ct, {
            data: data,
            totalNum: Util.data('inspectTotalNum')
        });
        this.viewScrollerDestroyAll();
        this.viewScroll = this.makeScrollable(ct.find('.inspectRadioScroll'));
    },
    didHide: function() {
    }
});

Views.inspectCheckboxView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'inspectCheckboxView',
        name: '多选'
    },
    willShow: function (ct) {
        var list = Util.data('inspectCache');
        list.pop();
        Util.data('inspectCache', list);
        var data = list[list.length - 1];
        this.render(ct, {
            data: data,
            totalNum: Util.data('inspectTotalNum')
        });
        this.viewScrollerDestroyAll();
        this.makeScrollable($('#inspectCheckboxScroll'));
    },
    didHide: function() {
    }
});

Views.inspectTextView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'inspectTextView',
        name: '内容'
    },
    willShow: function (ct) {
        this.render(ct, {width: $(window).width()});
        this.makeScrollable($('.ui-page-body', ct));
    }
});

Callback.toInspectModule = function (btnId) {
    var id = $('#' + btnId).attr('data-rel');
    if ($('#' + btnId).attr('data-eCode') == '1') {
        var btnArray = ['取消', '确定'];
        mui.prompt('请输入提取码', '', '提示', btnArray, function(e) {
            if (e.index == 1) {
                FuckHttp.verifySurveyCode({
                    data: {topicId: id, verifyCode: e.value},
                    success: function(json) {
                        toInspectModule(id);
                    }
                });
            }
        });
        return;
    }
    toInspectModule(id);
};

function toInspectModule(id) {
    cleanInspectCache();
    //todo 此处的id需要从页面获取，时间一个，满意度一个
    Util.data('inspectTopicId', id);
    FuckHttp.getFirstSubject({
        data:{
            topicId: id
        },
        success: function(json){

            var list = [],
                id = json.data.id;
            FuckHttp.getInspect({
                id: id,
                success: function (json) {
                    var nextData = json.data;
                    nextData.indexNum = 1;
                    list.push(nextData);
                    list.push({});
                    Util.data('inspectCache', list);
                    if (nextData.isCheckBox === 0) {
                        StageManager.pushView(Views.inspectRadioView);
                    } else {
                        StageManager.pushView(Views.inspectCheckboxView);
                    }
//                Util.data('inspectMedicalId', id);
                }
            });
        }
    });
}

function cleanInspectCache() {
    Util.data('inspectCache', '');
    Util.data('inspectMedicalId');
}

Callback.chooseInspectRadio = function (btnId) {
    var list = Util.data('inspectCache'),
        data = list[list.length - 1],
        btn = $('#' + btnId),
        id = btn.attr('data-id') - 0,
        nextId = btn.attr('data-next-id') - 0,
        elementItems = $('.selected');
    if (elementItems.length > 0) {
        elementItems.removeClass('selected');
    }
    btn.addClass('selected');
    for (var i = 0; i < data.option.length; i++) {
        if (data.option[i].id === id) {
            data.option[i].checked = true;
            continue;
        }
        data.option[i].checked = false;
    }
    list[list.length - 1] = data;
    Util.data('inspectCache', list);
    toNextInspectView(nextId);
};

Callback.chooseInspectCheckbox = function (btnId) {
    var btn = $('#' + btnId),
        checked = true;
    if (btn.hasClass('selected')) {
        btn.removeClass('selected');
        checked = false;
    } else {
        btn.addClass('selected');
    }

    var list = Util.data('inspectCache'),
        data = list[list.length - 1],
        btn = $('#' + btnId),
        id = btn.attr('data-id') - 0;

    for (var i = 0; i < data.option.length; i++) {
        if (data.option[i].id === id) {
            data.option[i].checked = checked;
            break
        }
    }
    list[list.length - 1] = data;
    Util.data('inspectCache', list);
};

Callback.checkboxToNextInspect = function (btnId) {
    var list = Util.data('inspectCache'),
        btn = $('#' + btnId),
        nextId = 0,
        elementItems = $('.selected'),
        data = list[list.length - 1];
    if (elementItems.length === 0) {
        Util.alert('选择完成才能进入下一题');
        return;
    }

    for (var i = 0; i < elementItems.length; i++) {
        if ($(elementItems[i]).attr('data-next-id') - 0 > 0) {
            nextId = $(elementItems[i]).attr('data-next-id') - 0;
            break;
        }
    }

    toNextInspectView(nextId);
};

function toNextInspectView(nextId) {
    var list = Util.data('inspectCache'),
        data = list[list.length - 1];
    if (nextId === 0) {
        list.push({});
        Util.data('inspectCache', list);
        StageManager.pushView(Views.inspectTextView);
        return;
    }

    FuckHttp.getInspect({
        id: nextId,
        success: function (json) {
            var nextData = json.data;
            nextData.indexNum = data.indexNum + 1;
            list.push(nextData);
            list.push({});
            Util.data('inspectCache', list);
            if (nextData.isCheckBox === 0) {
                StageManager.pushView(Views.inspectRadioView);
            } else {
                StageManager.pushView(Views.inspectCheckboxView);
            }
        }
    });

}

Callback.resetInspect = function (btnId) {
    if ($('#remark').length > 0) {
        $('#remark').val('');
        $('#remark2').val('');
        return;
    }
    var list = Util.data('inspectCache'),
        data = list[list.length - 1],
        elementItems = $('.selected');
    for (var i = 0; i < data.option.length; i++) {
        data.option[i].checked = false;
    }
    if (elementItems.length > 0) {
        elementItems.removeClass('selected');
    }
    list[list.length - 1] = data;
    Util.data('inspectCache', list);
};

Callback.submitInspect = function () {
    var answer = '',
        list = Util.data('inspectCache');
    for (var i = 0; i < list.length - 1; i++) {
        var question = list[i],
            answerItem = question.id + ':',
            optionItem = '';
        for (var j = 0; j < question.option.length; j++) {
            var option = question.option[j];
            if (option.checked) {
                optionItem = optionItem + option.id + ',';
                if (question.isCheckBox === 0) {
                    break;
                }
            }
        }
        answerItem += optionItem.substring(0, optionItem.length - 1) + ';';
        answer += answerItem;
    }
    answer = answer.substring(0, answer.length - 1);
    if ( APPVERSION === 'web') {
        Widget.popupLoadingClose();
        cutOutPageHistoryForInspect(function () {
            Util.alert('提交成功');
            Callback.pageBack();
        });
        return;
    }
    Widget.popupLoading('正在提交...');
    var inspectData = Util.data('inspect.data');
    FuckHttp.commitInspect({
        data: {
            companyId: HOSPITAL_ID,
            accountId: UserProfile.id,
            answer: answer,
            remark: $('#remark').val() + '&&' + $('#remark2').val(),
            visitDoctorId: 0,
            subjectId :Util.data('inspectTopicId')
        },
        success: function (json) {
            Util.alert('感谢您的宝贵意见，我们将会竭诚为您服务', function () {
                StageManager.fixViewStack([Views.mainView, Views.satisfactionSurveyView, Views.inspectTextView], function(){
                    Callback.pageBack();
                });

            });
        },
        doneError: function(json) {
            Util.alert(json.errMsg, function(){
                StageManager.fixViewStack([Views.mainView, Views.satisfactionSurveyView, Views.inspectTextView], function(){
                    Callback.pageBack();
                });
            });
        }
    });
};

function cutOutPageHistoryForInspect(callback) {
    StageManager.fixViewStack([Views.mainView,  Views.satisfactionSurveyView, Views.inspectTextView], callback);
}
// ---------------------满意度调查 end

// ---------------------病例配送 start

Callback.showCaseDistributionView = function(btnId) {
    if (!UserProfile.isUserLoggedIn()) {
        Util.alert('使用此功能，请先登录！',function(){
            StageManager.pushView(Views.loginView);
        });
        return;
    }
    StageManager.pushView(Views.caseDistributionView);
};

Views.caseDistributionView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'caseDistributionView',
        name: '快递服务'
    },
    willShow: function(ct){
        this.render(ct, {

        });
        this.makeScrollable($('.ui-page-body', ct));
    },
    didShow: function(ct){

    }
});

Callback.showExpressView = function(bntId){
    Util.data('personalInfo','');
    StageManager.pushView(Views.showExpressView);
}

Views.showExpressView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'showExpressView',
        name: '快递预约'
    },
    willShow: function(ct){
        this.render(ct, {

        });
        this.makeScrollable($('.ui-page-body', ct));
    },
    didShow: function(ct){

    }
});
Callback.showCaseHelp = function(btnId) {
    var items = [
        {
            "answer": '患者亲属或代理人预约复印病历，请选择代理人选项。例如：父母为未成年子女预约复印病历，成年子女代父母预约病历的，都在代理人选项内操作。',
            "question": '我要复印的病历不是我本人的如何预约？'
        },
        {
            "answer": '按照国家卫生计生委《医疗机构病历管理规定(2013年版）》第十八条规定：医疗机构应当指定部门或者专（兼）职人员负责受理复制病历资料的申请。受理申请时，应当要求申请人提供有关证明材料，并对申请材料的形式进行审核',
            "question": '我是患者本人，在预约复印病历时，为什么要填写身份证号码，上传证件及自拍相？'
        },
        {
            "answer": '自拍像的要求为，正面免冠彩色头像，头部占相片尺寸的2/3。',
            "question": '患者本人预约申请，自拍相有什么要求？'
        },
        {
            "answer": '出院15天之后（出院科室病历归档时间直接影响快递发出时间）投递到您指定的地址并附上快递单号，具体送达进度可以在“预约记录”中查看物流信息。',
            "question": '支付完成预约费用、物流费用之后，多久可以收到病历？'
        },
        {
            "answer": '约1个工作日内。',
            "question": '预约提交后，多久会有审核结果？'
        },
        {
            "answer": '请在手机相机设置中，设置允许APP访问相机。',
            "question": '我的手机为什么不能拍照与上传相片？'
        },
        {
            "answer": '（一）申请人为患者代理人的，应当提供患者及其代理人的有效身份证明，以及代理人与患者代理关系的法定证明材料和授权委托书；' +
                '（二）申请人为死亡患者法定继承人的，应当提供患者死亡证明、死亡患者法定继承人的有效身份证明，死亡患者与法定继承人关系的法定证明材料；' +
                '（三）申请人为死亡患者法定继承人代理人的，应当提供患者死亡证明、死亡患者法定继承人及其代理人的有效身份证明，死亡患者与法定继承人关系的法定证明材料，代理人与法定继承人代理关系的法定证明材料及授权委托书。',
            "question": '如预约申请人为代理人，哪些文件可以算与患者关系证明的文件？'
        },
        {
            "answer": '住院病历出院后，病历需要整理归档，这期间病历还无法复印，一般出院15天后才能复印。',
            "question": '住院病历出院多久才能复印病历？'
        },
        {
            "answer": 'A.病历复印费：按照福建省物价局闽价服〔2007〕38号文规定，0.30元／张；按照病历申请复印内容及住院时间进行估价，预收复印工本费，多退少不补。一般每份病历预收复印费15元，凡住院天数超过30天、下达病危、要求复印所有化验单者，预收30元。其他特殊情况，参照上述标准，视具体要求预收费。以上费用均要求在线完成支付。',
            "question": '复印费与快递费如何收取？'
        },
        {
            "answer": '为保护患者隐私权益，必须用患者或联系人住院期间病案首页登记的手机号完成短信认证后才能查询住院记；本平台仅受理2013年以后的住院病人病案记录复印，2013年以前住院记录复印携带相关身份证明材料至我院病案室现场办理或致电预约。',
            "question": '为什么我无法在预约平台查找到住院记录？'
        }
    ];
    Util.data('faq.detail', {subject: '常见问题', items: items});
    StageManager.pushView(Views.commonProblemsView);
};
Callback.showCaseDistributionNoteView = function(){
    StageManager.pushView(Views.caseDistributionNoteView);

};
Views.caseDistributionNoteView = $.extend({}, Views.PanelView, {  //病例配送预约须知
    options: {
        tmpl: 'caseDistributionNoteView',
        name: '病案预约复印'
    },
    willShow: function(ct){
        this.render(ct, {

        });
        this.loadData();
    },
    loadData: function() {
        var self = this;
        var data = Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL'),
            now = new Date() - 0,
            lastTime = Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL.time');

        if (APPVERSION !== 'product' || !data || now - lastTime > Util.MILLIS_1_DAY) {
            var updateTime = Util.data(HOSPITAL_ID+ '.hospitalNote.PORTAL_PROTOCOL.updateTime') ? Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL.updateTime') : '';
            FuckHttp.loadHospitalNote({
                data: {type: 'PORTAL_PROTOCOL', updateTime: updateTime},
                doneError: function() {},
                success: function(json) {
                    if (json.data && json.data.content) {
                        Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL', json.data.content);
                        Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL.time', new Date() - 0);
                        Util.data(HOSPITAL_ID + '.hospitalNote.PORTAL_PROTOCOL.updateTime', json.data.updateTime);
                        setTimeout(function(){
                            $('#caseScrollerWrapper').find('.ui-scroller').html(json.data.content);
                            self.makeScrollable($('#caseScrollerWrapper'));
                        }, 500);
                        return;
                    }
                    if (data) {
                        setTimeout(function(){
                            $('#caseScrollerWrapper').find('.ui-scroller').html(data);
                            self.makeScrollable($('#caseScrollerWrapper'));
                        } ,500);
                    }
                },
                error: function() {
                    if (data) {
                        setTimeout(function(){
                            $('#caseScrollerWrapper').find('.ui-scroller').html(data);
                            self.makeScrollable($('#caseScrollerWrapper'));
                        } ,500);
                    }
                }
            });
            return;
        }
        setTimeout(function(){
            $('#caseScrollerWrapper').find('.ui-scroller').html(data);
            self.makeScrollable($('#caseScrollerWrapper'));
        } ,500);
    }
});
Callback.showCaseYuyue = function(){
    var  member =  {
        name : '',
        mobile : '',
        idCard : '',
        verifyCode : '',
        info:'ture'
    };
    Util.data('personalInfo',member);
    Util.data('cache.personalInfo', '');
    Util.data('contactType','contact1');
    Util.data('cache.card', '');
    Util.data('case.request.data', '');
    Util.data('cache.personType', 'person-self');
    StageManager.pushView(Views.casePatientInfoView);
};
Views.casePatientInfoView = $.extend({}, Views.PanelView, {  //患者信息
    options: {
        tmpl: 'casePatientInfoView',
        name: '病案预约复印'
    },
    willShow: function(ct){
        this.render(ct, {
            personType: Util.data('cache.personType'),
            member: Util.data('personalInfo'),
            card: Util.data('cache.card')
        });

        this.makeScrollable($('.ui-page-body', ct));
    },
    didShow: function(ct){
        if (Util.data('case.request.data') && Util.data('case.request.data').zyInfo) {
            changeZyInfoHtml(Util.data('case.request.data').zyInfo)
        }
    }
});

Callback.chooseCaseType = function(btnId) {
    var _btn = $('#' + btnId);
    _btn.siblings().removeClass('selected');
    _btn.addClass('selected');
    Util.data('cache.personType', _btn.attr('data-rel'));
};

Callback.getCaseCode = function(btnId){
    var member = UserProfile.getCurrentMember();
    var card = Util.data('cache.card');
    FuckHttp.getCheckSecCode({
        data: {
            idCardNo:member.paperNo,
            patientId: member.id,
            accountId: member.accountId,
            patientName: member.name,
            name: card.name,
            medicalCardNo: card.medicalCardNo,
            mobileNo: member.mobileNo,
            codeType: 4
        },
        success: function(json) {
            Util.alert('获取验证码成功');
            Util.data('case.request.data', {verifyCodeNo: json.errMsg});
            Callback.disableGetSCode(btnId);
        }
    });
};
Callback.getZyInfo = function(){
    var name = $('#name').text(),
        mobile = $('#mobile').text(),
        idCard = $('#idCard').text(),
        verifyCode =  $('#verifyCode_update').text()
    if (!name) {
        Widget.popupToast('请输入名字');
        return;
    }
    if (!mobile) {
        Widget.popupToast('请输入手机号');
        return;
    }
    if (!idCard) {
        Widget.popupToast('请输入身份证号');
        return;
    }

    if (!verifyCode) {
        Widget.popupToast('请输入验证码');
        return;
    }
    var member = UserProfile.getCurrentMember();
    var card = Util.data('cache.card');
    FuckHttp.getZyInfo({
        data: {
            patientId: member.id,
            accountId: member.accountId,
            patientName: member.name,
            name: card.name,
            medicalCardNo: card.medicalCardNo,
            mobileNo: member.mobileNo,
            codeType: 4,
            verifyCode: $('#verifyCode_update').text(),
            verifyCodeNo: Util.data('case.request.data').verifyCodeNo
        },
        success: function(json) {
            var data = Util.data('case.request.data');
            data.ZyList = json.data;
            data.zyInfo = json.data[0];
            Util.data('case.request.data', data);
            changeZyInfoHtml(data.zyInfo);
        }
    });
};

function changeZyInfoHtml(data) {
    $('#cyrq').text(data.outPatientTime);
    $('#zyh').text(data.caseHistoryNo);
    $('#cyks').text(data.deptName);
}

Callback.selectOutHospitalInfo = function(btnId) {
    var data = Util.data('case.request.data') || {};

    for (var i = 0; i < data.ZyList.length; i++) {
        data.ZyList[i].text = data.ZyList[i].outPatientTime;
    }
    data.zyInfo = data.ZyList[0];
    Util.data('case.request.data', data);
    if (!Views.casePatientInfoView.picker) {
        Views.casePatientInfoView.picker = new mui.PopPicker();
        Views.casePatientInfoView.picker.setData(data.ZyList);
    }
    Views.casePatientInfoView.picker.show(function (selectItems) {
        changeZyInfoHtml(selectItems[0]);
        data.zyInfo = selectItems[0];
        Util.data('case.request.data', data);
    });
};

Callback.showCasePatientMaterialView = function(){


    var name = $('#name').text(),
        mobile = $('#mobile').text(),
        idCard = $('#idCard').text(),
       verifyCode =  $('#verifyCode_update').text();
    if (!name) {
        Widget.popupToast('请输入名字');
        return;
    }
    if (!mobile) {
        Widget.popupToast('请输入手机号');
        return;
    }
    if (!idCard) {
        Widget.popupToast('请输入身份证号');
        return;
    }

    if (!verifyCode) {
        Widget.popupToast('请输入验证码');
        return;
    }
    if (!$('#cyrq').text()) {
        Widget.popupToast('请选择出院信息');
        return;
    }
    var info = {
        name : name ,
        mobile : mobile,
        idCard : idCard,
        verifyCode : verifyCode
    }
    initPaperType() ;
    Util.data('patient_info',info);
    Util.data('element_front','');
    Util.data('element_back','');
    StageManager.pushView(Views.casePatientMaterialView);
};
Views.casePatientMaterialView = $.extend({}, Views.PanelView, {  //复印材料选择，患者证件
    options: {
        tmpl: 'casePatientMaterialView',
        name: '病案预约复印'
    },
    willShow: function(ct){

        this.render(ct, {
            data: Util.data('case.request.data')
        });
        this.makeScrollable($('.ui-page-body', ct));


    },
    didShow: function(ct){

        var step2 = Util.data('case.request.data').step2 || {};
        if (step2.imgObj) {
            for (var x in step2.imgObj) {
                var html = '<img src="'+ step2.imgObj[x].imageUrl +'" style="width:100%; height:100%"></img>';
                $('#' + x).attr('data-imgId', step2.imgObj[x].imageUrl);
                $('#' + x).html(html);
            }
        }
        showAllHiddenImage(step2.cardType);
        Util.makeScrollable($('#selectSubView'));
    }
});

Callback.showSelectSubView1 = function(btnId) {
    var rel = $('#' + btnId).attr('data-rel'),
        data = Util.data('request.data');
    var array = [],
        pageName = $('#' + btnId).attr('data-rel');
    FuckHttp['getcopyMaterial']({
        success: function(json) {
           var array = [];
           for (var i = 0; i < json.data.length; i++) {
               array.push(json.data[i][rel]);
           }

            Util.data('request.data', json.data);
           $('#maskView').html(Views.tmpl.selectSubView({
               rel:$('#' + btnId).attr('data-rel'),
               data: array,
               content: $($('#' + btnId).find('.wholeLine')).text()
           }));
           $('#maskView').show();
           Util.makeScrollable($('#selectSubView'));

        }
    });

};

Callback.showSelectSubView = function(btnId) {
    var rel = $('#' + btnId).attr('data-rel'),
        data = Util.data('request.data');
    var array = [],
        pageName = $('#' + btnId).attr('data-rel');
    FuckHttp['getmedicalUse']({
       success: function(json) {
//           var array = [];
//           for (var i = 0; i < json.data.length; i++) {
//               array.push(json.data[i][rel]);
//           }
//           data[rel + 'List'] = array;
           Util.data('request.data', json.data);
//           $('#maskView').html(Views.tmpl.selectSubView({
//  allDepts             rel:$('#' + btnId).attr('data-rel'),
//               data:data[rel + 'List'],
//               content: $($('#' + btnId).find('.wholeLine')).text()
//           }));
//           $('#maskView').show();
//           Util.makeScrollable($('#selectSubView'));

           for (var i = 0; i < json.data.length; i++) {
               var item =  json.data[i];
               item.text = json.data[i]['medicalUse'];
               array.push(item);
           }
           if (!Views[pageName].picker1) {
               Views[pageName].picker1 = new mui.PopPicker();
               Views[pageName].picker1.setData(array);
           }
           Views[pageName].picker1.show(function(selectItems) {
               $('#medicalUse').text(selectItems[0]['medicalUse']);

           });
       }
    });

};

Callback.chooseOrNoChoose = function(btnId) {
    var btn = $('#' + btnId).find('.choose-ratio');
    if (btn.hasClass('selected')) {
        btn.removeClass('selected');
    } else {
        btn.addClass('selected');
    }
};

Callback.chooseResult = function(btnId) {
    var btns = $('div.form-table').find('.selected'),
        rel = $('#' + btnId).attr('data-rel'),
        result = '';
    for (var i = 0; i < btns.length; i++) {
        result = result + (i == 0 ? '' : '/') + $(btns[i]).parent().prev().text();
    }
    $('#' + rel).text(result);
    $('#maskView').hide();
};
Callback.chooseCancel = function(btnId) {
    var btns = $('div.form-table').find('.selected'),
        rel = $('#' + btnId).attr('data-rel'),
        result = '';
    for (var i = 0; i < btns.length; i++) {
        result = result + (i == 0 ? '' : '/') + $(btns[i]).parent().prev().text();
    }
    $('#' + rel).text(result);
    $('#maskView').hide();
};



Callback.selectCaseCardType = function(btnId) {
    var array = [],
        pageName = $('#' + btnId).attr('data-rel');
    for (var i = 0; i < Util.data('paperTypes').length; i++) {
        var item =  Util.data('paperTypes')[i];
        item.text = Util.data('paperTypes')[i]['name'];
        array.push(item);
    }
    if (!Views[pageName].picker) {
        Views[pageName].picker = new mui.PopPicker();
        Views[pageName].picker.setData(array);
    }
    Views[pageName].picker.show(function(selectItems) {
        $('#cardType').text(selectItems[0].name);
        showAllHiddenImage(selectItems[0].name);
    });
};

function showAllHiddenImage(text) {
    if (text != '身份证') {
        $('#imgBackWrapper').hide();
        $('#imgBack').attr('data-imgId', '');
        var html = '<div class="vertical-line"></div><div class="level-line"></div>';
        $('#imgBack').html(html);
    } else {
        $('#imgBackWrapper').show();
    }
}

Callback.switchImgSource = function(btnId) {
    var _btn = $('#' + btnId),
        rel = _btn.attr('data-rel');
    mui('#picture').popover('toggle');
    mui('body').off('tap', '#picture li>a');
    mui('body').on('tap', '#picture li>a', function() {
        var a = this,
            parent;
        //根据点击按钮，反推当前是哪个actionsheet
        for (parent = a.parentNode; parent != document.body; parent = parent.parentNode) {
                     if (parent.classList.contains('mui-popover-action')) {
                break;
            }
        }
        //关闭actionsheet
        mui('#' + parent.id).popover('toggle');
        if (a.innerHTML == '拍照') {
            navigator.camera.getPicture(function(imageURI) {
                handleImage(imageURI, _btn );
            }, null, {
                quality: 50, allowEdit: false,
                destinationType: Camera.DestinationType.FILE_URI,
                  targetWidth:$(window).width(),  //生成的图片大小 单位像素
                targetHeight:$(window).height()  ,
                sourceType :Camera.PictureSourceType.CAMERA});

        } else if (a.innerHTML == '相册') {
            navigator.camera.getPicture(function(imageURI) {
                handleImage(imageURI, _btn );
            }, null, {
                quality: 50, allowEdit: false,
                destinationType: Camera.DestinationType.FILE_URI,
                targetWidth:$(window).width() ,  //生成的图片大小 单位像素
                targetHeight:$(window).height()  ,
                sourceType :Camera.PictureSourceType.PHOTOLIBRARY});

        }
    })
};

function handleImage(imageURI, element ) {

    var array = imageURI.split('.'),
        option = {},
        array1 = imageURI.split('?');
    option.file = array1[0];
    option.url = WEB_URL + '/mobile/special/uploadImage/' + HOSPITAL_ID;
    option.mimeType = array[1] === 'png' ? 'image/png' : 'image/jpeg';
    option.data = {fileUse: 'MEDICAL_PORTAL'};
    Widget.popupLoading('正在上传图片...');
    option.onSuccess = function(e) {
        Widget.popupLoadingClose();
        var json = JSON.parse(e.response);
        var html = '<img  src= "'+ json.data +'"style="width:100%; height:100%"></img>';
        element.attr('data-imgId', json.data);
        element.html(html);
    };
    option.onError = function() {
        Widget.popupLoadingClose();
        Widget.popupToast('上传图片失败');
    };
    FSManager.upload(option);
}

Callback.showCaseLogisticsInfoView = function(){
    Util.data('caseRecordView', '');
    Util.data('infoType','caseRecordView');
    Util.data('status','');
    Util.data('type','全部');
    Util.data('type_state', 'record');
    var checkDate = {
        beginDate:new Date(new Date() - 0 - 1000*60*60*24*7).format('yyyy-MM-dd'),
        endDate: new Date().format('yyyy-MM-dd')
    }
    Util.data('check.Date', checkDate);
    Util.data('cache.personType')
    if ( Util.data('cache.personType') == 'person-other') {
        if (!$('#copyMaterial').text()) {
            Widget.popupToast('请选择复印材料');
            return;
        }
        if (!$('#medicalUse').text()) {
            Widget.popupToast('请选择病历用途');
            return;
        }
        if (!$('#cardType').text()) {
            Widget.popupToast('请选择证件类型');
            return;
        }
        if (!$('#imgFront').attr('data-imgId')) {
            Widget.popupToast('请选择证件正面');
            return;
        }
        if (!$('#imgBack').attr('data-imgId') && $('#cardType').text()=='身份证') {
            Widget.popupToast('请选择证件反面');
            return;
        }
        var data = Util.data('case.request.data');
        var imgObj = {};
        imgObj.imgFront = {"isAgent":1,"imageUrl":$('#imgFront').attr('data-imgId')};
        if ($('#imgBack').attr('data-imgId')) {
            imgObj.imgBack = {"isAgent":1,"imageUrl":$('#imgBack').attr('data-imgId')};
        }
        data.step2 = {
            used: $('#medicalUse').text(),
            copyDetail: $('#copyMaterial').text(),
            cardType: $('#cardType').text(),
            imgObj: imgObj
        };
        Util.data('case.request.data', data);

        StageManager.pushView(Views.caseAgentInfoView);
    } else {

        showCaseLogisticsInfoView1();

    }
};
Callback.showCaseLogisticsInfoView2 = function(){

    showCaseLogisticsInfoView2();

}

function showCaseLogisticsInfoView1() {
    if (!$('#copyMaterial').text()) {
        Widget.popupToast('请选择复印材料');
        return;
    }
    if (!$('#medicalUse').text()) {
        Widget.popupToast('请选择病历用途');
        return;
    }
    if (!$('#cardType').text()) {
        Widget.popupToast('请选择证件类型');
        return;
    }
    if (!$('#imgFront').attr('data-imgId')) {
        Widget.popupToast('请选择证件正面');
        return;
    }

    if (!$('#imgBack').attr('data-imgId') && $('#cardType').text()=='身份证') {
        Widget.popupToast('请选择证件反面');
        return;
    }
    var data = Util.data('case.request.data');
    var imgObj = {};
    imgObj.imgFront = {"isAgent":1,"imageUrl":$('#imgFront').attr('data-imgId')};
    if ($('#imgBack').attr('data-imgId')) {
        imgObj.imgBack = {"isAgent":1,"imageUrl":$('#imgBack').attr('data-imgId')};
    }
    data.step2 = {
        used: $('#medicalUse').text(),
        copyDetail: $('#copyMaterial').text(),
        cardType: $('#cardType').text(),
        imgObj: imgObj
    };
    Util.data('case.request.data', data);
    submitCase();
}

function showCaseLogisticsInfoView2() {
    var name = $('#name').val(),
        mobile = $('#mobile').val(),
        paperNo = $('#paperNo').val(),
        paperType = $('#cardType').text(),
        data = Util.data('case.request.data');
    if (!name) {
        Widget.popupToast('请填写姓名');
        return;
    }
    if (!paperNo) {
        Widget.popupToast('请填写身份证');
        return;
    } else {
        if (!Validator.stringIsIdCard(paperNo)) {
            Widget.popupToast('身份证格式不正确');
            return;
        }
    }
    if (!mobile) {
        Widget.popupToast('请填写手机');
        return;
    } else {
        if (!Validator.stringIsMobileNo(mobile)) {
            Widget.popupToast('手机格式不正确');
            return;
        }
    }
    if (!paperType) {
        Widget.popupToast('请选择证件类型');
        return;
    }
    var imgObj = {};
    if (!$('#imgFront').attr('data-imgId')) {
        Widget.popupToast('请选择证件正面');
        return;
    }
    imgObj.imgFront = {"isAgent":0,"imageUrl":$('#imgFront').attr('data-imgId')};
    if (!$('#imgBack').attr('data-imgId') && $('#cardType').text()=='身份证') {
        Widget.popupToast('请选择证件反面');
        return;
    }
    imgObj.imgBack = {"isAgent":0,"imageUrl":$('#imgBack').attr('data-imgId')};
    if (!$('#relative').attr('data-imgId')) {
        Widget.popupToast('请选择关系证明材料');
        return;
    }
    imgObj.relative = {"isAgent":2,"imageUrl":$('#relative').attr('data-imgId')};
    data.step3 = {
        agentName: name,
        agentMobile: mobile,
        agentCardNo: paperNo,
        agentCardType: paperType,
        imgObj: imgObj
    };
    Util.data('case.request.data', data);
    submitCase();

}
Callback.magnifyPicture = function(btnId){
//    var btn = $('#' + btnId),
//        id = btn.attr('data-rel'),
//        src =  $('#' + id ).attr('src'),
//        image = document.createElement('img');
//        image.src = src;
//    var real_width = image.width,
//        real_height = image.height;
//    var number =   window.innerWidth / real_width ,
//         height =  number * real_height  ;
//    var html = '<img  src="'+ src +'"  style= " width:'+ window.innerWidth + 'px' + '; height: '+ height + 'px' +' "></img>';
////    Util.data('html_image',html);
////    StageManager.pushView(Views.backgroudView1);
//    $("#backgroundView1").html(html);


    var btn = $('#' + btnId),
        id = btn.attr('data-rel'),
        src =  $('#' + id ).children('img').attr('src'),
        image = document.createElement('img');
    image.src = src;
    $('.backgroundView').removeClass('hidden');
    var real_width = image.width,
        real_height = image.height;
    var number =   window.innerWidth / 1.58 ,
        height =   window.innerWidth / 1.58  ;
    var html = '<img  src="'+ src +'"   style="width:100%; height:100%" ></img>';
    $("#backgroundView1").html(html);
};

Callback.hideBackgroundView = function(){

    $('.backgroundView').addClass('hidden');
};



Views.backgroudView1 = $.extend({}, Views.PanelView, {  //物流信息
    options: {
        tmpl: 'backgroudView1',
        name: '预览图片'
    },
    willShow: function(ct){
        this.render(ct, {

        });
        var  html =  Util.data('html_image') ;
        $("#backgroundView1").html(html);

    },
    didShow: function(ct){

    }
});




Views.caseAgentInfoView = $.extend({}, Views.PanelView, { //代理人信息
    options: {
        tmpl: 'caseAgentInfoView',
        name: '病案预约复印'
    },
    willShow: function(ct){
        var step3 = Util.data('case.request.data').step3 || {};
        this.render(ct, {
            data: Util.data('case.request.data')
        });

        this.makeScrollable($('.ui-page-body', ct));

    },
    didShow: function(ct){
        var step3 = Util.data('case.request.data').step3 || {};
        if (step3.imgObj) {
            for (var x in step3.imgObj) {
                var html = '<img src="'+ step3.imgObj[x].imageUrl +'" style="width:100%; height:100%"></img>';
                $('#' + x).attr('data-imgId', step3.imgObj[x].imageUrl);
                $('#' + x).html(html);
            }
        }
        showAllHiddenImage(step3.agentCardType);
        Util.makeScrollable($('div.ui-page-body'));
    }
});

Views.caseLogisticsInfoView = $.extend({}, Views.PanelView, {  //物流信息
    options: {
        tmpl: 'caseLogisticsInfoView',
        name: '病案预约复印'
    },
    willShow: function(ct){
        this.render(ct, {
            data: Util.data('case.request.data').step4 || {}
        });
        this.makeScrollable($('.ui-page-body', ct));
    },
    didShow: function(ct){

    }
});

Callback.selectAddress = function(btnId) {
//    var cacheData = CACHE.getExpressInfo();
    for (var i = 0; i < cacheData.length; i++) {
        cacheData[i].text = cacheData[i].procinceName;
        cacheData[i].children = cacheData[i].cityList;
        for (var j = 0; j < cacheData[i].children.length; j++) {
            cacheData[i].children[j].text = cacheData[i].children[j].cityName;
        }
    }
    if (!Views.caseLogisticsInfoView.picker) {
        Views.caseLogisticsInfoView.picker = new mui.PopPicker({layer: 2});
        Views.caseLogisticsInfoView.picker.setData(cacheData);
    }
    Views.caseLogisticsInfoView.picker.show(function(items) {
        $('#address').val(items[0].text + ' ' + items[1].text);
        $('#address').attr('data-rel', items[1].expressFee);
    });
};

function submitCase (){
    var  info = Util.data('patient_info');
        data = Util.data('case.request.data');
    var param = {
        businessNO: data.businessNO || '',
        accountId: UserProfile.id,
        patientName: info.name,
        patientMobile: info.mobile,
        patientCardNo: info.idCard,
        hospitalNumber: data.zyInfo.caseHistoryNo,
        deptId: 0,
        deptName: data.zyInfo.deptName,
        leaveTime: data.zyInfo.outPatientTime,
        isAgent: Util.data('cache.personType') == 'person-self' ? 1 : 0,
        used: data.step2.used,
        copyDetail: data.step2.copyDetail,
        cardType: data.step2.cardType,
        expressPrice: $('#address').attr('data-rel')
    };
    var images = [];
    for (var x in data.step2.imgObj) {
        images.push(data.step2.imgObj[x]);
    }
    if (param.isAgent == 0) {
        param.agentName = data.step3.agentName;
        param.agentMobile = data.step3.agentMobile;
        param.agentCardNo = data.step3.agentCardNo;
        param.agentCardType = data.step3.agentCardType;
        for (var x in data.step3.imgObj) {
            images.push(data.step3.imgObj[x]);
        }
    }
    param.images = JSON.stringify(images);
    FuckHttp.confirmReservation({
        data: param,
        success: function(json) {
            Util.data('case.request.data', '');
            Util.data('caseRecordDetailView', json.data);
            StageManager.fixViewStack([Views.mainView, Views.caseDistributionView, Views.caseRecordView, StageManager.getCurrentView()], function(){
                Callback.pageBack();
            });

        }
    });
};

Callback.defaultSetting = function(btnId){
    Util.data('location');
    var btn = $('#' + btnId),
        id = btn.attr('data-rel');
    if(btn.hasClass('radio')){
        btn.removeClass('radio');
        btn.addClass('radio1');
        Util.data('defult',1);
    }else{
        btn.removeClass('radio1');
        btn.addClass('radio');
        Util.data('defult',0);

    }

    Util.data('defult.location_have','have');
}

Callback.allSetting = function(btnId){

    var btn = $('#' + btnId)
    var information =  [] ;
    if(btn.hasClass('radio')){
        $(' .information').each(function(index, el) {
            $(el).addClass('radio1');
            $(el).removeClass('radio');
            var  id =  $(el).attr('data-rel');
            information.push(id);
        });
        btn.removeClass('radio');
        btn.addClass('radio1');
    }else{
        $(' .information').each(function(index, ell) {
            $(ell).addClass('radio');
            $(ell).removeClass('radio1');
            var  id =  $(ell).attr('data-rel');
            var index = information.indexOf(id);
            if (index > -1) {
                information.splice(index, 1);
            }
        });
       btn.removeClass('radio1');
       btn.addClass('radio')
    }


    Util.data('order_information',information );

}

Callback.submitInformation = function (btnId){
    var btn = $('#' + btnId);
    var id = btn.attr('data-rel');
     var information = Util.data('order_information') ? Util.data('order_information') : [] ;
    if(btn.hasClass('radio1')){
        btn.removeClass('radio1');
        btn.addClass('radio');
        var index = information.indexOf(id);
        if (index > -1) {
            information.splice(index, 1);
        }

    }else{
        btn.removeClass('radio');
        btn.addClass('radio1');
        information.push(id);
    }
    Util.data('order_information',information );

}



Views.caseSubmitResultView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'caseSubmitResultView',
        name: '病案预约复印'
    },
    didShow: function(ct){
        this.makeScrollable($('.ui-page-body', ct));
    }
});

Callback.showCaseRecordDetailFromYY = function(btnId) {
    Util.data('caseRecordView', '');
    StageManager.fixViewStack([Views.mainView, Views.caseDistributionView, Views.caseRecordView, Views.caseRecordDetailView, StageManager.getCurrentView()], function() {
       Callback.pageBack();
    });
};

Callback.showOrderPayView = function(){
    Util.data('type_state', 'pay');
    Util.data('order_information','');
    var  list =  Util.data('deliveryAddress');
    Util.data('location','');
    if(list){
            for (var i = 0 ; i < list.length ; i ++){
                if(list[i].default){
                    Util.data('location',list[i]);

                }
            }

        StageManager.pushView(Views.orderPayView);


    }else{
        var member = Util.data('cache.Info');
        FuckHttp.getMedicalSendDeliveryAddress({
            data: {
                accountId :member.accountId
            },
            success: function(json) {
                Util.data('deliveryAddress', json.data);
                    for (var i = 0 ; i < json.data.length ; i ++){
                        if(json.data[i].default){
                            Util.data('location',json.data[i]);
                        }

                }

                StageManager.pushView(Views.orderPayView);

            }
        });

    }





}
Views.orderPayView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'orderPayView',
        name: '订单支付'
    },
    willShow: function(ct) {

        var location =  Util.data('location') ? Util.data('location') : [];
        this.render(ct,{
            location : location

        });
        this.ajax();
        Util.data('order_information','');
    },
    didShow: function(ct) {
        var self = this;

        this.makeScrollableWithPullRefresh($('div.dingdanguanli1'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajax();
                Util.data('order_information','');
            }
        });
    },
    ajax: function() {
        var self = this;
        var checkDate =  Util.data('check.Date') ;
        FuckHttp.reservationRecord({
            data: {
                sendStatus : 'INIT_Y'
            },
            success: function(json) {
                Util.data('caseRecordView', json.data);
                self.loadHtml(json.data)
            },
            doneError: function(json) {
                Widget.popupToast(json.errMsg);
                Util.data('caseRecordView', []);
                self.loadHtml(json.data)
            }
        });
    },
    loadHtml: function(data) {

        $('div.reg-records-list').html(Views.tmpl.caseRecordSubView({
            data: data ,
            type :'pay'
        }));
    }
});

Callback.showSubmitOrder = function (btnId){
    var data = Util.data('caseRecordView'),
         ids = Util.data('order_information'),
        detail = [];
    var businessNOList = '';
    var copyPrice  = 0 ;
    for (var i = 0; i < data.length; i++) {
        for ( var j = 0 ; j < ids.length ; j ++){
            var  id = ids[j] - 0 ;
            if (data[i].id == id) {
                detail.push(data[i]);
                copyPrice =   copyPrice + data[i].copyPrice ;

            }
        }
    }
    Util.data('copyPrice',toDecimal(copyPrice));
    var location =  Util.data('location');
    if(!location){
        Widget.popupToast('请填写收货人信息');
        return;
    }
    if(detail.length == 0){
        Widget.popupToast('请填写发货信息');
        return;
    }

    for (var k = 0 ; k < detail.length ; k ++){

        if(k == 0){
            businessNOList  = detail[k].businessNO ;
        }else{
            businessNOList =   businessNOList + ',' +  detail[k].businessNO ;
        }
    }

    Util.data('businessNOList',businessNOList);
    FuckHttp.updateReservationLogistic({
        data: {
            province : location.provinces,
            city : location.hisLocation ,
            streetaddress: '',
            fulladdress :  location.fullAddress,
            businessNOList : businessNOList,
            toname :  location.deliveryName,
            tomobile :  location.deliveryMobile
        },
        success: function(json) {
            reservationRecord()
        }
    });

}

function reservationRecord(){
    var location =  Util.data('location');
    FuckHttp.reservationRecord({
        data: {
            sendStatus : 'INIT_Y'
        },
        success: function(json) {
            Util.data('caseRecordView', json.data);
            var   detail = [],
                   ids = Util.data('order_information');
            for (var i = 0; i < json.data.length; i++) {
                for ( var j = 0 ; j < ids.length ; j ++){
                    var  id = ids[j] - 0 ;
                    if (json.data[i].id == id) {
                        detail.push(json.data[i]);

                    }
                }
            }
            FuckHttp.provinceAndCit({
                data: {
                    province : location.provinces,
                    city :  location.hisLocation
                },
                success: function(json) {
                    Util.data('prince', json.data);
                    Util.data('orderDetailView', detail);
                    StageManager.pushView(Views.orderPayDetail);
                }
            });

        }
    });
}
function toDecimal(x) {
    var f = parseFloat(x);
    if (isNaN(f)) {
        return;
    }
    f = Math.round(x*100)/100;
    return f;
}

Views.orderPayDetail = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'orderPayDetail',
        name: '订单支付',
        id:'orderPayDetail'
    },
    willShow: function(ct) {
        var location =  Util.data('location');
        this.render(ct, {
           list: Util.data('orderDetailView'),
           location :  Util.data('location'),
           price : Util.data('prince'),
           copyPrice :  Util.data('copyPrice')
         });
    },
    didShow: function(ct) {
        this.makeScrollable($('div.ui-page-body'));
    }
});


Callback.selectedAdress = function(btnId){
    Util.data('is_addressView', 'No');
    StageManager.pushView(Views.locationManage);
}



Callback.showCaseRecordView = function() {
    Util.data('caseRecordView', '');
    Util.data('infoType','caseRecordView');
    Util.data('status','');
    Util.data('type','全部');
    Util.data('type_state', 'record');
    var checkDate = {
        beginDate:new Date(new Date() - 0 - 1000*60*60*24*7).format('yyyy-MM-dd'),
        endDate: new Date().format('yyyy-MM-dd')
    }
    Util.data('check.Date', checkDate);
    StageManager.pushView(Views.caseRecordView);
};

Views.caseRecordView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'caseRecordView',
        name: '订单管理',
        rangeType: 'EXPENSE'
    },
    willShow: function(ct) {
        this.render(ct,{
            checkDate :Util.data('check.Date'),
            type :Util.data('type')
        });
        this.ajax();
    },
    didShow: function(ct) {
        var self = this;
            FuckHttp.getReservationTimeSetting({
                success: function(json) {
                    Util.data(self.options.rangeType, json.data.days - 0);
                }
            });
        this.makeScrollableWithPullRefresh($('div.dingdanguanli'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajax();
            }
        });
    },
    ajax: function() {
        var self = this;
        var checkDate =  Util.data('check.Date') ;
        FuckHttp.reservationRecord({
            data: {
                orderDatekaishi: checkDate.beginDate,
                orderDatejieshu : checkDate.endDate ,
                sendStatus : Util.data('status')
            },
            success: function(json) {
                Util.data('caseRecordView', json.data);
                self.loadHtml(json.data)
            },
            doneError: function(json) {
                Widget.popupToast(json.errMsg);
                Util.data('caseRecordView', []);
                self.loadHtml(json.data)
            }
        });
    },
    loadHtml: function(data) {
        $('div.reg-records-list').html(Views.tmpl.caseRecordSubView({
            data: data ,
            type : 'record'
        }));
    }
});

Callback.orderState  = function(btnId){

    $('.backgroundView').removeClass('hidden');
    $('.backgroundView').html(Views.tmpl.backgroundView({
        type:'type_4'
    }))


}

Callback.statusOrder = function(btnId){
    $('.backgroundView').addClass('hidden');
    var btn = $('#' + btnId);
    var type = btn.attr('data-rel');
    var caseRecord =  Util.data('caseRecordView');
    var list = [] ;
    Util.data('status',type);
    if(type == 'INIT_FAIL' ){
        $('#state_item').html('审核未通过');
        Util.data('type','审核未通过');
    }
    if(type == 'INIT_WAIT' ){
        $('#state_item').html('审核中');
        Util.data('type','审核中');
    }
    if(type == 'SENDRD' ){
        Util.data('type','已发货');
        $('#state_item').html('已发货');
    }
    if(type == 'INIT_Y' ){
        $('#state_item').html('待付款');
        Util.data('type','待付款');
    }
    if(type == 'WAIT_SEND' ){
        Util.data('type','待发货');
        $('#state_item').html('待发货');
    }
    if(type == 'all' ){
        Util.data('status');
        $('#state_item').html('全部');
        Util.data('type','全部');
        Util.data('status','');
    }
    Views.caseRecordView.ajax();

}
Callback.showCaseRecordDetailView = function(btnId) {
    var data = Util.data('caseRecordView'),
        id = $('#' + btnId).attr('data-rel') - 0,
        detail;
    for (var i = 0; i < data.length; i++) {
        if (data[i].id == id) {
            detail = data[i];
            break;
        }
    }
    Util.data('caseRecordDetailView', detail);
    StageManager.pushView(Views.caseRecordDetailView);
};
Callback.showAddressView  = function(btnId){
    Util.data('is_addressView', 'is');
    StageManager.pushView(Views.locationManage);

}
Views.locationManage = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'locationManage',
        name: '地址管理'

    },
    willShow: function(ct) {
        this.render(ct,{
        });
        this.ajax();
    },
    didShow: function(ct) {
        var self = this;
        this.makeScrollableWithPullRefresh($('div.locationList'),{
            onPullUpRefresh: function() {
                Widget.popupToast('onPullUpRefresh');
            },
            onPullDownRefresh: function() {
                self.ajax();
            }
        });
    },
    ajax: function() {
        var self = this;
        var member = Util.data('cache.Info');
        FuckHttp.getMedicalSendDeliveryAddress({
            data: {
                accountId :member.accountId
            },
            success: function(json) {
                Util.data('deliveryAddress', json.data);
                self.loadHtml(json.data)
            },
            doneError: function(json) {
                Widget.popupToast(json.errMsg);
                Util.data('deliveryAddress', []);
                self.loadHtml(json.data)
            }
        });
    },
    loadHtml: function(data) {
        $('div.locationl-list').html(Views.tmpl.locationManageDetial({
            list: Util.data('deliveryAddress'),
            info : Util.data('is_addressView')
        }));
    }
});


Callback.confirmLocation = function(btnId){

    var id =  $('#' + btnId).attr('data-rel');
    var  list =  Util.data('deliveryAddress');
    Util.data('location','');
    for(var i = 0 ; i < list.length ; i ++ ){
        if(id == list[i].id){
            Util.data('location',list[i]);
        }
    }
    Callback.pageBack(Views.orderPayView);
}

Callback.editLocation = function(btnId){
    var id =  $('#' + btnId).attr('data-rel');
   var  list =  Util.data('deliveryAddress');
    Util.data('edit','is');
    for(var i = 0 ; i < list.length ; i ++ ){
        if(id == list[i].id){
            Util.data('oneAddress',list[i]);
        }
    }
    StageManager.pushView(Views.addLocationView);
}

Callback.cancelLocation = function(btnId){
    var id =  $('#' + btnId).attr('data-rel');
    var member = Util.data('cache.Info');
    Util.confirm('您确定要删除此地址吗？', function(index) {
        if (index === 2) {
            FuckHttp.cancellcoation({
                data: {
                    id :id ,
                    accountId :member.accountId
                },
                success: function(json) {
                    Util.data('deliveryAddress', json.data);
                    Views.locationManage.ajax();
                }
            });
        }
    });


}
Callback.showNewLocation = function(btnId){
    Util.data('oneAddress','');
    Util.data('defult.location_have','');
    Util.data('city.data','');
    Util.data('defult',0);
    Util.data('edit','NO');
    StageManager.pushView(Views.addLocationView);

}

Views.addLocationView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'addLocationView',
        name: '添加新地址'
    },
    willShow: function(ct) {
        var data = Util.data('oneAddress');

        this.render(ct, {
          data :data,
          edit : Util.data('edit')
        });
    },
    didShow: function(ct) {
        this.makeScrollable($('div.locationList'));
    }
});


Callback.selectedProvince = function(btnId) {

    var rel = $('#' + btnId).attr('data-rel');
    var array = [] ,
        pageName = $('#' + btnId).attr('data-rel');
    FuckHttp['getExpressProvinceAndCity']({
        success: function(json) {
            for (var i = 0; i < json.data.length; i++) {
                var item =  json.data[i];
                item.text = json.data[i]['procinceName'];
                array.push(item);
            }
            if (!Views[pageName].picker) {
                Views[pageName].picker = new mui.PopPicker();
                Views[pageName].picker.setData(array);
            }
            Views[pageName].picker.show(function(selectItems) {
                $('#procinceName').text(selectItems[0]['procinceName']);
                Util.data('city.data', selectItems[0]['cityList']);
            });
        }
    });
    var procince = $('#procinceName').text();
    if(procince != Util.data('city.data')){
        $('#cityName').html('请选择');
    }


}

Callback.selectedCity = function(btnId) {

    var rel = $('#' + btnId).attr('data-rel');
    var array = [] ,
        pageName = $('#' + btnId).attr('data-rel');
      var cityList = Util.data('city.data');
    if(!cityList){
        Widget.popupToast('请选择省份');
        return;
    }
    for (var i = 0; i < cityList.length; i++) {
        var item =  cityList[i];
        item.text = cityList[i]['cityName'];
        array.push(item);
    }

        Views[pageName].picker1 = new mui.PopPicker();
        Views[pageName].picker1.setData(array);
    Views[pageName].picker1.show(function(selectItems) {
        $('#cityName').text(selectItems[0]['cityName']);
    });
}

Callback.showAddLocation = function(btnId){

    var name = $('#shouhuoMan').val(),
        mobile = $('#shounuoNumber').val(),
        procinceName = $('#procinceName').text(),
        cityName = $('#cityName').text(),
        detailAddress = $('#detailAddress').val();
    var member = Util.data('cache.Info');
    var id = $('#' + btnId).attr('data-rel');
    if (!name) {
        Widget.popupToast('请填写姓名');
        return;
    }
    if (!mobile) {
        Widget.popupToast('请填写手机');
        return;
    } else {
        if (!Validator.stringIsMobileNo(mobile)) {
            Widget.popupToast('手机格式不正确');
            return;
        }
    }
    if (!procinceName) {
        Widget.popupToast('请选择省份');
        return;
    }
    if (!cityName) {
        Widget.popupToast('请选择城市');
        return;
    }
    if (!detailAddress) {
        Widget.popupToast('请填写详细地址');
        return;
    }

    if(Util.data('edit') != 'is') {
    FuckHttp.deliveryAddress({
        data: {
            accountId :member.accountId ,
            deliveryName: name ,
            deliveryMobile :  mobile ,
            provinces : procinceName ,
            hisLocation : cityName  ,
            streetAddress :  '',
            fullAddress :  detailAddress,
            isDefault : Util.data('defult')
        },
        success: function(json) {
          Callback.pageBack(Views.locationManage);

        }
    })
    }else{
        FuckHttp.updateMedical({
            data: {
                accountId :member.accountId ,
                deliveryName: name ,
                deliveryMobile :  mobile ,
                provinces :  procinceName ,
                hisLocation : cityName  ,
                streetAddress :  '',
                fullAddress :  detailAddress,
                isDefault : Util.data('defult'),
                id: id
            },
            success: function(json) {
                Callback.pageBack(Views.locationManage);
            }
        })
    }



}



Views.caseRecordDetailView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'caseRecordDetailView',
        name: '预约记录'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: Util.data('caseRecordDetailView')

    });
    },
    didShow: function(ct) {
        this.makeScrollable($('div.ui-page-body'));
    }
});

Callback.reservationTopay = function(btnId) {
    FuckHttp.reservationTopay({
//        businessNOList: Util.data('orderDetailView')[0].businessNO,

        data: {feeType: $('#' + btnId).attr('data-rel'),
            businessNOList : Util.data('businessNOList')
        },
        success: function(json) {
            json.data.way = 'reservation';
            json.data.wayType = $('#' + btnId).attr('data-rel');
              Callback.commonPay(json);

        }
    })
//
//    var rel = $('#' + btnId).attr('data-money');
//    Util.data('cache.tradeFee', rel);
//    StageManager.pushView(Views.selectPayWayView);
};

function reservationChangeStatus() {

    var list = Util.data('orderDetailView'),
        detail = Util.data('orderDetailView')[0],
        order = Util.data('recharge.order');
    if (order.wayType == 'copyMaterial') {
        for(var i = 0 ; i < list.length ; i ++){
            list[i].copyPayStatus = 'PAID_SUCCESS';
        }
        detail.copyPayStatus = 'PAID_SUCCESS';
    } else {
        for(var i = 0 ; i < list.length ; i ++){
            list[i].expressPayStatus = 'PAID_SUCCESS';
        }
        detail.expressPayStatus = 'PAID_SUCCESS';
    }

    if (detail.copyPayStatus == 'PAID_SUCCESS' && detail.expressPayStatus == 'PAID_SUCCESS') {
        detail.status = 'WAIT_SEND';
        for(var i = 0 ; i < list.length ; i ++){
            list[i].status = 'WAIT_SEND';
        }
        Util.data('caseRecordDetailView', detail);
        StageManager.fixViewStack([Views.mainView, Views.caseDistributionView,Views.caseRecordView,
            Views.caseRecordDetailView, StageManager.getCurrentView()], function(){
            Callback.pageBack();
        });
    } else{
        StageManager.fixViewStack([Views.mainView, Views.caseDistributionView,Views.orderPayView,
            Views.orderPayDetail, StageManager.getCurrentView()], function(){
            Callback.pageBack();
        });
    }

    Util.data('caseRecordView', '') ;
    Util.data('orderDetailView',list) ;


}

Views.caseNotPassResultView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'caseNotPassResultView',
        name: '未通过原因'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: Util.data('caseRecordDetailView')
        });
    },
    didShow: function(ct) {
        this.makeScrollable($('div.ui-page-body'));
    }
});

Callback.showCaseEditView = function() {
    var item = Util.data('caseRecordDetailView') ,
        data = {};
     var info =  Util.data('patient_info');
    if (item.isAgent == 0) {
        Util.data('cache.personType', 'person-other');
        var imgObj = {},
            images1 = [],
            images2;
        for (var i = 0; i < item.agentImages.length; i++) {
            if (item.agentImages[i].isAgent == 0) {
                images1.push(item.agentImages[i]);
            } else {
                images2 = item.agentImages[i];
            }
        }
        imgObj.imgFront = images1[0];
        if (images1.length == 2) {
            imgObj.imgBack = images1[1];
        }
        imgObj.relative = images2;
        data.step3 = {
            agentName: item.agentName,
            agentMobile: item.agentMobile,
            agentCardNo: item.agentCardNo,
            agentCardType: item.agentCardType,
            imgObj: imgObj
        }
    } else {
        Util.data('cache.personType', 'person-self');
    }
    UserProfile.setCurrentMember(item.patientId);
    for (var i = 0; i < Util.data('cards').length; i++) {
        if (item.hospitalNumber == Util.data('cards')[i].medicalCardNo && Util.data('cards')[i].medicalCardType == '住院号') {
            Util.data('cache.card', Util.data('cards')[i]);
            break;
        }
    }
    data.zyInfo = {
        caseHistoryNo: item.hospitalNumber,
        deptName: item.deptName,
        outPatientTime: item.leaveTime
    };

    var imgObj = {};
    imgObj.imgFront = item.patientImages[0];
    if (item.patientImages.length == 2) {
        imgObj.imgBack = item.patientImages[1];
    }
    data.step2 = {
        used: item.used,
        copyDetail: item.copyDetail,
        cardType: item.cardType,
        imgObj: imgObj
    };

    data.step4 = {
        toName: item.toName,
        toMobile: item.toMobile,
        toPhone: item.toPhone,
        toPkRegion: item.toPkRegion,
        toAddress: item.toAddress
    };
   var  member = {
        name : item.patientName,
        mobile : item.patientMobile,
        idCard : item.patientCardNo,
        verifyCode : info.verifyCode
    }
    data.businessNO = item.businessNO;
    Util.data('personalInfo',member);
    Util.data('case.request.data', data);
    Util.data('caseRecordView', '');
    StageManager.fixViewStack([Views.mainView, Views.caseDistributionView, Views.casePatientInfoView, StageManager.getCurrentView()], function(){
        Callback.pageBack();
    });
};

Callback.showSendRecord = function(btnId) {
    FuckHttp.expressDetail({
        expressNo: $('#' + btnId).text(),
        success: function(json) {
            Util.data('expressDetailView', json.data);
            StageManager.pushView(Views.expressDetailView);
        }
    })
};

Views.expressDetailView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'expressDetailView',
        name: '物流信息'
    },
    willShow: function(ct) {
        this.render(ct, {
            data: Util.data('expressDetailView')
        });
    },
    didShow: function(ct) {
        this.makeScrollable($('div.ui-page-body'));
    }
});
// ---------------------病例配送 end