var TestData = {
	userProfile: {
        "accounts": [
            {
                "accountId": 10666,
                "age": -1,
                "familyMember": true,
                "hospitalId": -1,
                "id": 906,
                "idCard": "330721199008101111",
                "medicalCardId": 516,
                "medicalCardNo": "1",
                "medicalCardType": "院内卡",
                "medicalCardValid": true,
                "medicalCards": [
                    {
                        "hospitalId": 10010,
                        "id": 516,
                        "medicalCardNo": "1",
                        "medicalCardType": "院内卡",
                        "medicalCardTypeId": 22,
                        "medicalCardValid": true,
                        "name": "医院测试1",
                        "patientId": 906
                    },
                    {
                        "hospitalId": 10010,
                        "id": 517,
                        "medicalCardNo": "2",
                        "medicalCardTypeId": 0,
                        "medicalCardValid": false,
                        "name": "医院测试1",
                        "patientId": 906
                    }
                ],
                "mobileNo": "18930142356",
                "name": "户主",
                "birthday": '1990-01-01',
                "address": '',
                "newsNum": 0,
                "sex": "MALE",
                "paperType": '身份证',
                "paperNo": '330721199008101111'
            },
            {
                "accountId": 10666,
                "address": "上海市杨浦区",
                "age": -1,
                "familyMember": true,
                "hospitalId": -1,
                "id": 910,
                "idCard": "330721199008101111",
                "medicalCardId": 0,
                "medicalCardValid": false,
                "mobileNo": "18930142356",
                "name": "智康一",
                "birthday": '1990-01-01',
                "newsNum": 0,
                "sex": "MALE",
                "paperType": '身份证',
                "paperNo": '330721199008101111'
            }
        ],
        "code": "18930142356",
        "id": 10666
    },
    medicalCards: [
        {
            "hospitalId": 10010,
            "id": 510,
            "medicalCardNo": "001",
            "medicalCardType": "院内卡",
            "medicalCardTypeId": 22,
            "medicalCardValid": false,
            "name": "医院测试1",
            "patientId": 903,
            "patientName": '医院测试1'
        },
        {
            "hospitalId": 10010,
            "id": 516,
            "medicalCardNo": "002",
            "medicalCardType": "院内卡",
            "medicalCardTypeId": 22,
            "medicalCardValid": false,
            "name": "户主",
            "patientId": 906,
            "patientName": '户主'
        },
        {
            "hospitalId": 10010,
            "id": 522,
            "medicalCardNo": "003",
            "medicalCardType": "院内卡",
            "medicalCardTypeId": 22,
            "medicalCardValid": false,
            "name": "户主",
            "patientId": 906,
            "patientName": '户主'
        },
        {
            "hospitalId": 10010,
            "id": 523,
            "medicalCardNo": "004",
            "medicalCardType": "院内卡",
            "medicalCardTypeId": 22,
            "medicalCardValid": true,
            "name": "户主",
            "patientId": 906,
            "patientName": '户主'
        },
        {
            "hospitalId": 10010,
            "id": 524,
            "medicalCardNo": "005",
            "medicalCardType": "院内卡",
            "medicalCardTypeId": 22,
            "medicalCardValid": true,
            "name": "户主",
            "patientId": 906,
            "patientName": '户主'
        }
    ],
	departs: [
		{
			"doctors": [],
			"id": 11844,
			"name": "放疗科",
			"regScheduleVOList": [],
			"shortPinyin": "FLK"
		},
		{
			"doctors": [],
			"id": 11837,
			"name": "耳鼻咽喉科",
			"regScheduleVOList": [],
			"shortPinyin": "EBYHK"
		},
		{
			"doctors": [],
			"id": 11830,
			"name": "儿科",
			"regScheduleVOList": [],
			"shortPinyin": "EK"
		},
		{
			"doctors": [],
			"id": 30018,
			"name": "产科",
			"regScheduleVOList": [],
			"shortPinyin": "CK"
		},
		{
			"doctors": [],
			"id": 11819,
			"name": "儿童近视斜弱视",
			"regScheduleVOList": [],
			"shortPinyin": "ETJSXRS"
		},
		{
			"doctors": [],
			"id": 11825,
			"name": "妇科",
			"regScheduleVOList": [],
			"shortPinyin": "FK"
		},

		{
			"doctors": [],
			"id": 11814,
			"name": "发热门诊",
			"regScheduleVOList": [],
			"shortPinyin": "FRMZ"
		},
		{
			"doctors": [],
			"id": 11811,
			"name": "关节疾病",
			"regScheduleVOList": [],
			"shortPinyin": "GJJB"
		},
		{
			"doctors": [],
			"id": 11818,
			"name": "宫颈疾病",
			"regScheduleVOList": [],
			"shortPinyin": "GJJB"
		},
		{
			"doctors": [],
			"id": 11828,
			"name": "骨科",
			"regScheduleVOList": [],
			"shortPinyin": "GK"
		},
		{
			"doctors": [],
			"id": 11838,
			"name": "呼吸内科",
			"regScheduleVOList": [],
			"shortPinyin": "HXNK"
		},
		{
			"doctors": [],
			"id": 11810,
			"name": "计划生育门诊",
			"regScheduleVOList": [],
			"shortPinyin": "JHSYMZ"
		},
		{
			"doctors": [],
			"id": 11812,
			"name": "脊柱疾病",
			"regScheduleVOList": [],
			"shortPinyin": "JZJB"
		},
		{
			"doctors": [],
			"id": 11807,
			"name": "口腔科初诊",
			"regScheduleVOList": [],
			"shortPinyin": "KQKCZ"
		},
		{
			"doctors": [],
			"id": 11808,
			"name": "口腔科复诊",
			"regScheduleVOList": [],
			"shortPinyin": "KQKFZ"
		},
		{
			"doctors": [],
			"id": 11820,
			"name": "淋巴瘤骨髓瘤专科门诊",
			"regScheduleVOList": [],
			"shortPinyin": "LBLGSLZKMZ"
		},
		{
			"doctors": [],
			"id": 11815,
			"name": "老年医学科",
			"regScheduleVOList": [],
			"shortPinyin": "LNYXK"
		},
		{
			"doctors": [],
			"id": 11834,
			"name": "泌尿外科",
			"regScheduleVOList": [],
			"shortPinyin": "MNWK"
		},
		{
			"doctors": [],
			"id": 11832,
			"name": "内分泌科",
			"regScheduleVOList": [],
			"shortPinyin": "NFMK"
		},
		{
			"doctors": [],
			"id": 11840,
			"name": "皮肤病科",
			"regScheduleVOList": [],
			"shortPinyin": "PFBK"
		},
		{
			"doctors": [],
			"id": 11831,
			"name": "普通外科",
			"regScheduleVOList": [],
			"shortPinyin": "PTWK"
		},
		{
			"doctors": [],
			"id": 11843,
			"name": "普通外科",
			"regScheduleVOList": [],
			"shortPinyin": "PTWK"
		},
		{
			"doctors": [],
			"id": 11816,
			"name": "乳腺专病门诊",
			"regScheduleVOList": [],
			"shortPinyin": "RXZBMZ"
		},
		{
			"doctors": [],
			"id": 11823,
			"name": "神经病理性疼痛门诊",
			"regScheduleVOList": [],
			"shortPinyin": "SJBLXTTMZ"
		},
		{
			"doctors": [],
			"id": 11842,
			"name": "神经内科",
			"regScheduleVOList": [],
			"shortPinyin": "SJNK"
		},
		{
			"doctors": [],
			"id": 11827,
			"name": "神经外科",
			"regScheduleVOList": [],
			"shortPinyin": "SJWK"
		},
		{
			"doctors": [],
			"id": 11833,
			"name": "烧伤整形科",
			"regScheduleVOList": [],
			"shortPinyin": "SSZXK"
		},
		{
			"doctors": [],
			"id": 11813,
			"name": "手外疾病",
			"regScheduleVOList": [],
			"shortPinyin": "SWJB"
		},
		{
			"doctors": [],
			"id": 11835,
			"name": "肾脏内科",
			"regScheduleVOList": [],
			"shortPinyin": "SZNK"
		},
		{
			"doctors": [],
			"id": 11821,
			"name": "糖尿病专科护理门诊",
			"regScheduleVOList": [],
			"shortPinyin": "TNBZKHLMZ"
		},
		{
			"doctors": [],
			"id": 11836,
			"name": "消化内科",
			"regScheduleVOList": [],
			"shortPinyin": "XHNK"
		},
		{
			"doctors": [],
			"id": 11845,
			"name": "胸外科",
			"regScheduleVOList": [],
			"shortPinyin": "XWK"
		},
		{
			"doctors": [],
			"id": 11829,
			"name": "心血管内科",
			"regScheduleVOList": [],
			"shortPinyin": "XXGNK"
		},
		{
			"doctors": [],
			"id": 11839,
			"name": "血液科",
			"regScheduleVOList": [],
			"shortPinyin": "XYK"
		},
		{
			"doctors": [],
			"id": 11809,
			"name": "心脏外科",
			"regScheduleVOList": [],
			"shortPinyin": "XZWK"
		},
		{
			"doctors": [],
			"id": 11824,
			"name": "眼科",
			"regScheduleVOList": [],
			"shortPinyin": "YK"
		},
		{
			"doctors": [],
			"id": 11817,
			"name": "营养咨询",
			"regScheduleVOList": [],
			"shortPinyin": "YYZX"
		},
		{
			"doctors": [],
			"id": 11822,
			"name": "助产士咨询门诊",
			"regScheduleVOList": [],
			"shortPinyin": "ZCSZXMZ"
		},
		{
			"doctors": [],
			"id": 11846,
			"name": "肿瘤科",
			"regScheduleVOList": [],
			"shortPinyin": "ZLK"
		},
		{
			"doctors": [],
			"id": 11841,
			"name": "中医科",
			"regScheduleVOList": [],
			"shortPinyin": "ZYK"
		}
	],
	departCommon:  {
		"doctors": [],
		"id": 10809,
		"introduction": "松江区中心医院儿科共设病床41张，特需病房2间。现有医师17名，其中主任医师1名，副主任医师3名。\n主治以下儿科疾病：\n诊治特色\n★  新生儿疾病：新生儿窒息、肺炎、坏死性肠炎、出血症、颅内出血、黄疸等\n★  呼吸系统：反复呼吸道感染、哮喘、肺炎\n★  消化系统：急性胃炎、胃窦炎、消化性溃疡（胃十二指肠溃疡）、腹泻病、婴儿肝炎综合征\n★  心血管系统：心肌炎、心律失常\n★  血液系统：贫血、急性溶血、白血病、淋巴瘤治疗\n★  肾脏疾病：尿路感染、肾炎、紫癜性肾炎、肾病综合征\n★  神经系统：小儿各类癫痫、多动症、多发性抽动、面神经炎（面瘫）、颅内感染（脑炎、脑膜炎）\n★  小儿风湿性疾病：川崎病、急性风湿热、儿童型类风湿性关节炎、系统性红斑狼疮、过敏性紫癜\n★  哮喘: 是当今世界最常见的慢性疾病之一。全世界有1亿五千万哮喘患者。本着“方便病人、服务病人”的宗旨，儿科从05年3月起，为了对儿童哮喘进行长期治疗、管理，推广哮喘全球防治（GINA）方案。在儿科开展吸入疗法治疗哮喘。开展IVT703、706两种过敏原试验，可以检测十几种过敏原",
		"location": "普通门诊二楼 专家门诊四楼",
		"name": "儿科",
		"regScheduleVOList": [
			{
				"price": "5.00",
				"regDate": "2014-05-13",
				"regTime": "AFTERNOON",
				"scheduleId": 16099,
				"weekDay": "周二",
				"times": [
					{
						"id": 194,
						"timeline": "09:00-10:00"
					}
				]
			},
			{
				"price": "10.00",
				"regDate": "2014-03-31",
				"regTime": "MORNING",
				"scheduleId": 860,
				"weekDay": "周一",
				"times": [
					{
						"id": 194,
						"timeline": "09:00-10:00"
					}
				]
			},
			{
				"price": "10.00",
				"regDate": "2014-04-01",
				"regTime": "MORNING",
				"scheduleId": 862,
				"weekDay": "周二",
				"times": [
					{
						"id": 195,
						"timeline": "14:00-15:00"
					}
				]
			},
			{
				"price": "5.00",
				"regDate": "2014-05-13",
				"regTime": "MORNING",
				"scheduleId": 16098,
				"weekDay": "周二"
			}
		],
		"shortPinyin": "EK"
	},
	doctors: [
		{
			"doctorType": "医院专家",
			"id": 10902,
			"name": "曹树军",
			"picName": "10902",
			"speciality": "擅长妇科肿瘤的诊治，宫颈癌、子宫内膜癌等根治术；微创妇科手术独具特色，用腹腔镜、宫腔镜、射频消融、宫颈LEEP刀等先进设备实施微创手术、子宫阴式切除术等数千例，经验丰富，技术精湛。",
			"title": "主任医师",
			"today": false
		},
		{
			"doctorType": "医院专家",
			"id": 10907,
			"name": "原玮",
			"picName": "10907",
			"speciality": "擅长不孕不育及月经异常疾病的检查及治疗，包括：不孕症、习惯性流产、闭经及月经失调的诊治；妇科超声检查；宫腔镜、腹腔镜等微创手术以及辅助生殖技术。",
			"title": "副主任医师",
			"today": false
		},
		{
			"doctorType": "医院专家",
			"id": 10908,
			"name": "曹桂荣",
			"picName": "10908",
			"speciality": "从事妇产科临床工作二十余年，有丰富的临床经验，熟练掌握妇产科常见病及多发病的诊治，对妇产科疑难病有独到的见解，擅长产科各类高位妊娠、妊娠合并症及疑难病的诊治，熟练开展妇产科各种手术。",
			"title": "主任医师",
			"today": false
		},
		{
			"doctorType": "医院专家",
			"id": 10909,
			"name": "金艳",
			"picName": "10909",
			"speciality": "妇科常见疾病及疑难杂症和妇科肿瘤，经验丰富，尤其妇科微创诊治，包括宫腔镜下不孕症的诊治、宫腔镜下子宫内膜息肉及粘膜下肌瘤切除等；腹腔镜下卵巢囊肿剥离、附件切除、肌瘤剜出、子宫切除及宫腹腔镜联合诊治不孕症。",
			"title": "副主任医师",
			"today": false
		}
	],
	doctor: {
		"introduction": "福建省立医院妇产科副主任医师。",
		"doctorType": "医院专家",
		"expertTimePrice": "周一下午:14.00元。周四上午:14.00元。周日上午:14.00元。周日下午:14.00元。",
		"id": 10914,
		"location": "门诊四楼",
		"name": "陈国宏",
		"picName": "10914",
		"regScheduleVOList": [
			{
				"price": "17.00",
				"regDate": "2014-06-20",
				"regTime": "MORNING",
				"scheduleId": 6026,
				"times": [
					{
						"hisPlanId": "20140620061TB130800",
						"id": 13043,
						"timeline": "08:00",
						"leftNum": 1
					},
					{
						"hisPlanId": "20140620061TB130900",
						"id": 13044,
						"timeline": "09:00",
						"leftNum": 1
					},
					{
						"hisPlanId": "20140620061TB131000",
						"id": 13045,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "20140620061TB131100",
						"id": 13046,
						"timeline": "11:00"
					}
				],
				"weekDay": "周五"
			},
			{
				"price": "68.00",
				"regDate": "2014-06-23",
				"regTime": "MORNING",
				"scheduleId": 6029,
				"times": [
					{
						id: 2,
						"timeline": "09:00",
						"leftNum": 1
					},
					{
						"hisPlanId": "2014062306ATB130900",
						"id": 13056,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "2014062306ATB131000",
						"id": 13057,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "2014062306ATB131100",
						"id": 13058,
						"timeline": "11:00"
					}
				],
				"weekDay": "周一"
			},
			{
				"price": "17.00",
				"regDate": "2014-06-27",
				"regTime": "MORNING",
				"scheduleId": 6028,
				"times": [
					{
						"hisPlanId": "20140627061TB130800",
						"id": 13051,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "20140627061TB130900",
						"id": 13052,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "20140627061TB131000",
						"id": 13053,
						"timeline": "10:00",
						"leftNum": 1
					},
					{
						"hisPlanId": "20140627061TB131100",
						"id": 13054,
						"timeline": "11:00"
					}
				],
				"weekDay": "周五"
			},
			{
				"price": "68.00",
				"regDate": "2014-06-30",
				"regTime": "MORNING",
				"scheduleId": 6033,
				"times": [
					{
						"hisPlanId": "2014063006ATB130800",
						"id": 13071,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "2014063006ATB130900",
						"id": 13072,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "2014063006ATB131000",
						"id": 13073,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "2014063006ATB131100",
						"id": 13074,
						"timeline": "11:00"
					}
				],
				"weekDay": "周一"
			},
			{
				"price": "17.00",
				"regDate": "2014-07-04",
				"regTime": "MORNING",
				"scheduleId": 6027,
				"times": [
					{
						"hisPlanId": "20140704061TB130800",
						"id": 13047,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "20140704061TB130900",
						"id": 13048,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "20140704061TB131000",
						"id": 13049,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "20140704061TB131100",
						"id": 13050,
						"timeline": "11:00"
					}
				],
				"weekDay": "周五"
			},
			{
				"price": "68.00",
				"regDate": "2014-07-07",
				"regTime": "MORNING",
				"scheduleId": 6030,
				"times": [
					{
						"hisPlanId": "2014070706ATB130800",
						"id": 13059,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "2014070706ATB130900",
						"id": 13060,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "2014070706ATB131000",
						"id": 13061,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "2014070706ATB131100",
						"id": 13062,
						"timeline": "11:00"
					}
				],
				"weekDay": "周一"
			},
			{
				"price": "17.00",
				"regDate": "2014-07-11",
				"regTime": "MORNING",
				"scheduleId": 6032,
				"times": [
					{
						"hisPlanId": "20140711061TB130800",
						"id": 13067,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "20140711061TB130900",
						"id": 13068,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "20140711061TB131000",
						"id": 13069,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "20140711061TB131100",
						"id": 13070,
						"timeline": "11:00"
					}
				],
				"weekDay": "周五"
			},
			{
				"price": "68.00",
				"regDate": "2014-07-14",
				"regTime": "MORNING",
				"scheduleId": 6031,
				"times": [
					{
						"hisPlanId": "2014071406ATB130800",
						"id": 13063,
						"timeline": "08:00"
					},
					{
						"hisPlanId": "2014071406ATB130900",
						"id": 13064,
						"timeline": "09:00"
					},
					{
						"hisPlanId": "2014071406ATB131000",
						"id": 13065,
						"timeline": "10:00"
					},
					{
						"hisPlanId": "2014071406ATB131100",
						"id": 13066,
						"timeline": "11:00"
					}
				],
				"weekDay": "周一"
			}
		],
		"speciality": "擅长儿内科常见病、多发病的诊治，尤其在小儿呼吸系统疾病如哮喘、慢性咳嗽、反复呼吸道感染、肺炎，儿童消化系统疾病等领域具有丰富的临床经验。",
		"title": "副主任医师",
		"today": false
	},
	timeRegs: {
		"monthName": "2014-04",
		"regRecords": [
			{
				"alreadySelfAssessment": true,
				"canDelete": 0,
				"createTime": "2014-04-19 13:55:13",
				"dept": "儿童近视斜弱视",
				"deptId": 11819,
				"expertId": 0,
				"hisTradeId": "22053",
				"id": 1274,
				"isExpert": 0,
				"isTingZhen": 0,
				"name": "徐炜虹",
				"patientId": 1761,
				"price": "5.00",
				"regDate": "2014-04-22",
				"status": "PASS",
				"visitNo": "1",
				"visitTime": "07:30-08:00",
				"zhpTradeId": "G1397886913585"
			},
			{
				"alreadySelfAssessment": false,
				"canDelete": 1,
				"createTime": "2014-04-19 13:49:22",
				"dept": "呼吸内科",
				"deptId": 11838,
				"expertId": 11597,
				"expertName": "黄娴",
				"hisTradeId": "22051",
				"id": 1272,
				"isExpert": 1,
				"isTingZhen": 0,
				"name": "徐炜虹",
				"patientId": 1761,
				"price": "5.00",
				"regDate": "2014-04-21",
				"regTime": "AFTERNOON",
				"status": "PASS",
				"title": "副主任医师",
				"visitNo": "1",
				"visitTime": "12:30-13:00",
				"zhpTradeId": "G1397886562945"
			},
			{
				"alreadySelfAssessment": false,
				"canDelete": 1,
				"createTime": "2014-04-19 13:52:43",
				"dept": "骨科",
				"deptId": 11828,
				"expertId": 0,
				"hisTradeId": "22052",
				"id": 1273,
				"isExpert": 0,
				"isTingZhen": 1,
				"name": "徐炜虹",
				"patientId": 1761,
				"price": "5.00",
				"regDate": "2014-04-20",
				"status": "CANCELLED",
				"visitNo": "1",
				"visitTime": "07:30-08:00",
				"zhpTradeId": "G1397886763226"
			}
		]
	},
	deptExperts: [
		{
			"doctors": [
				{
					"doctorType": "医院专家",
					"expertTimePrice": "星期一上午，星期四上午",
					"id": 11524,
					"introduction": "福建省立医院妇产科副主任医师。",
					"name": "任贤勤",
					"picName": "11524",
					"speciality": "擅长产科高危妊娠、各种难产手术、妇科肿瘤、盆腔炎等疾病。",
					"title": "副主任医师",
					"today": false
				},
				{
					"doctorType": "医院专家",
					"expertTimePrice": "星期二上午",
					"id": 11629,
					"introduction": "从事妇产科专业工作29年，从一位普通住院医师成长为具有较为经验丰富的主任医师、科主任。",
					"name": "尤子善",
					"picName": "11629",
					"speciality": "擅长急性羊水栓塞、凶险性前置胎盘大出血、妊娠急性脂肪肝、子痫等产科重症治疗。",
					"title": "主任医师",
					"today": false
				}
			],
			"id": 11826,
			"name": "产科",
			"regScheduleVOList": [],
			"shortPinyin": "CK"
		},
		{
			"doctors": [
				{
					"doctorType": "医院专家",
					"expertTimePrice": "星期二上午，星期六上午",
					"id": 11568,
					"introduction": "福建省立医院妇产科副主任医师，医学硕士。",
					"name": "纪丽伟",
					"picName": "11568",
					"speciality": "擅长妇产科常见病、疑难病诊治、妇科微创手术和不孕症治疗。",
					"title": "副主任医师",
					"today": false
				},
				{
					"doctorType": "医院专家",
					"id": 11612,
					"introduction": "1998年毕业于上海第二医科大学（现上海交通大学医学院），从事妇产科临床工作15年。",
					"name": "赵诗坚",
					"picName": "11612",
					"speciality": "熟练掌握妇产科常见病、多发病及疑难杂症的诊治。",
					"title": "副主任医师",
					"today": false
				},
				{
					"doctorType": "医院专家",
					"expertTimePrice": "周一上午，周四上午",
					"id": 11590,
					"introduction": "福建省立医院妇产科主任，副主任医师。",
					"name": "冯亚红",
					"picName": "11590",
					"speciality": "擅长腹腔镜操作技术，可应用腹腔镜进行泛子宫切除术、盆腔淋巴结清扫术等高难度手术操作。",
					"title": "副主任医师",
					"today": false
				},
				{
					"doctorType": "医院专家",
					"id": 11527,
					"introduction": "",
					"name": "徐艳彬",
					"picName": "11527",
					"speciality": "",
					"title": "副主任医师",
					"today": false
				}
			],
			"id": 11825,
			"name": "妇科",
			"regScheduleVOList": [],
			"shortPinyin": "FK"
		},
		{
			"doctors": [
				{
					"doctorType": "医院专家",
					"expertTimePrice": "星期一全天，星期二全天，星期三上午，星期四全天，星期五上午，星期六上午",
					"id": 11549,
					"introduction": "福建省立医院中医科主任，主任中医师，副教授。",
					"name": "彭磊",
					"picName": "11549",
					"speciality": "擅长治疗胃肠道疾病和妇科疾病",
					"title": "副主任医师",
					"today": false
				}
			],
			"id": 11841,
			"name": "中医科",
			"regScheduleVOList": [],
			"shortPinyin": "ZYK"
		}
	],
	faqData:[
		{
			"questionList": [
				{
					"answer": "医保卡在松江医院首次就诊之后，才能够被绑定。掌上医院支持医保卡(9位)，白玉兰卡(10位)，自费卡(15位)，但前提是在松江中心医院就诊过！",
					"priority": 1,
					"question": "医保卡是否能绑定？掌上医院支持什么卡？"
				},
				{
					"answer": "第一步，确保就诊卡卡号及对应持卡人姓名填写无误，字母大小写要一致，且不要留有空格；\r\n第二步，确保就诊卡已开通，即确保已使用该就诊卡在上海市松江区中心医院至少有效就诊过一次（若未开通，则请持卡前往医院进行一次有效就诊即可）；\r\n第三步，若上述操作都已正确执行但仍出现该问题，则请联系我们客服人员进行处理。\r\n",
					"priority": 1,
					"question": "绑定就诊卡时提示“就诊卡卡号与持卡人姓名不匹配”，如何处理？"
				},
				{
					"answer": "第一步，每张就诊卡能且仅能被一个账号绑定，故请确认该就诊卡是否已被家人在其他账号下绑定；\r\n第二步，若确认就诊卡未被家人在其他账号下绑定，则请联系我们客服人员进行处理。\r\n",
					"priority": 1,
					"question": "绑定就诊卡时提示“该就诊卡已绑定”，如何处理？"
				}
			],
			"subject": "关于就诊卡绑定"
		},
		{
			"questionList": [
				{
					"answer": "建议用户先持就诊卡前往预约科室就诊，就诊结束后前往门诊大楼2楼7号窗口进行转身份操作（即通过刷医保卡将用户的自费身份转为医保身份）、退费及其他费用（药费、检查检验费等）结算。",
					"priority": 1,
					"question": "医保用户通过我们平台成功自费挂号后，如何退取挂号费中医保报销部分的费用？"
				},
				{
					"answer": "比如充值100元，提示成功，但挂号提示余额不足或者查看余额为零，请查看是否为家庭其他账户(如A)充值成功，而挂号的账户不是A.",
					"priority": 1,
					"question": "充值成功，但挂号失败或者余额为零？"
				},
				{
					"answer": "遇到该类问题，请先确认是否为问题中描述的情况，若确为如此，请联系我们客服人员进行处理。",
					"priority": 1,
					"question": "账户余额充值时，提示充值失败，充值账户（支付宝、信用卡或储蓄卡）扣款成功，但充值失败（即账户余额未增加），如何处理？"
				}
			],
			"subject": "关于就诊后的付费&退费"
		},
		{
			"questionList": [
				{
					"answer": "持就诊卡及短信凭证（预约成功后会有短信通知）直接前往预约科室候诊。",
					"priority": 1,
					"question": "用户通过我们平台成功预约挂号后，如何就诊？"
				},
				{
					"answer": "若用户在候诊室等候多时，但叫号屏始终未叫该号（由于预约号相较现场号靠前，用户前往时可能已过号），则用户可直接前往医生处说明情况进行就诊。",
					"priority": 1,
					"question": "用户通过我们平台成功预约挂号后，前往预约科室候诊，但叫号屏始终不叫该号，如何处理？"
				},
				{
					"answer": "第一步，确保预约就诊时间、预约就诊科室（或预约就诊专家）、预约就诊卡号无误，即预约就诊时间与实际前往就诊时间需一致，预约就诊科室（或预约就诊专家）与实际前往就诊科室（或就诊专家）需一致，预约就诊卡的持卡人需为实际就诊用户本人（即谁就诊，预约挂号时请用该用户的就诊卡预约挂号）；\r\n第二步，若上述信息均确认无误，但问题仍未处理，则请联系我们客服人员进行处理。\r\n",
					"priority": 1,
					"question": "用户通过我们平台成功预约挂号后，前往预约科室就诊，但医生那没有用户预约就诊信息，如何处理？"
				}
			],
			"subject": "关于成功预约挂号后的就诊"
		},
		{
			"questionList": [
				{
					"answer": "第一步，确保个人账户余额足够支付本次挂号费用，若余额不足可通过手机app提供的支付方式（包括支付宝、信用卡或存储卡）进行账户余额充值；\r\n第二步，若预约挂号为专家号，确保该专家在该时段还有剩余号源（当剩余号源数较少时，有机会出现挂不上号的情况，原因为被其他用户迅速抢占预约，可刷新剩余号源数进行确认）；\r\n第三步，若上述两步均确认无误，仍预约挂号失败，可退出重新登录尝试；\r\n第四步，若仍无法解决，请联系我们客服人员进行处理。\r\n",
					"priority": 1,
					"question": "用户选择预约挂号科室（或专家）并申请预约挂号后，预约挂号失败，如何处理？"
				}
			],
			"subject": "关于预约挂号"
		},
		{
			"questionList": [
				{
					"answer": "第一步，确保手机处于上网环境且上网信号较好；\r\n第二步，确保“松江中心医院”为1.1.0版本以上，建议使用最新版本；\r\n第三步，若仍无法解决，疑为院方或我方服务器异常或维护中，可隔一段时间后再尝试使用；\r\n",
					"priority": 1,
					"question": "提示“网络异常”，如何处理？"
				},
				{
					"answer": "可选择“原网页访问”进行下载，亦可在苹果商店（苹果手机用户）及安卓主流市场（安卓手机用户）搜索“松江中心医院”进行下载。",
					"priority": 1,
					"question": "微信扫一扫，扫描二维码成功，但无法自动跳转至下载页面下载，如何处理？"
				},
				{
					"answer": "第一步，确保“松江中心医院”app应用版本在1.1.0以上；\r\n第二步，确保就诊卡存在交易记录（现金交易记录不显示，只显示通过就诊卡内部账户进行的交易记录）；\r\n",
					"priority": 1,
					"question": "就诊卡交易记录无法查询，如何处理？"
				}
			],
			"subject": "其他"
		}
	]
};